<?php
session_start();


/**********************************************************************************************/
/*  FraXStats, the most flexible game server stats - http://www.FraXStats.com                 */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2006 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation.                           */
/*                                                                                            */
/**********************************************************************************************/

/*****************      Function Library for all SETTING functions      ************************/






//  SETTING GENERAL @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_general($dosave, $tstep, $statsheader1, $statsheader2, $cobgtbhe, $cobgtbod, $cobgtbev, $cobgtbov, $minkills, $pruneage, $language, $userupdatetime){

    if ($dosave == "yes") {
        $tstep = intval(htmlentities($tstep));
        $statsheader1 = htmlentities($statsheader1);
        $statsheader2 = htmlentities($statsheader2);
        $cobgtbhe = htmlentities($cobgtbhe);
        $cobgtbod = htmlentities($cobgtbod);
        $cobgtbev = htmlentities($cobgtbev);
        $cobgtbov = htmlentities($cobgtbov);
        $minkills = intval($minkills);
        $pruneage = intval($pruneage);
        $userupdatetime = intval($userupdatetime);

        mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsconfig SET tstep='$tstep', cobgtbhe='$cobgtbhe', cobgtbod='$cobgtbod', cobgtbev='$cobgtbev', cobgtbov='$cobgtbov', minkills='$minkills', statsheader1='$statsheader1', statsheader2='$statsheader2', pruneage='$pruneage', language='$language', userupdatetime='$userupdatetime'")
        or error_handling("true", mysql_errno(),mysql_error(),"",_ad_set_gen_am_savefailed);
        if ($_SESSION['phpnuke']=="0") {
            @include($_SESSION['basefolder']."language/lang-".$language.".php");
            echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$_SESSION['mainadmfile']."?op=FraXStats&amp;func=setting_general\"></head>";
        }
        action_message(_ad_set_gen_am_savedok);
    }

    $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsconfig LIMIT 1");
    $row = mysql_fetch_assoc($result);
    $statsheader1 = $row["statsheader1"];
    $statsheader2 = $row["statsheader2"];
    $cobgtbhe = $row["cobgtbhe"];
    $cobgtbod = $row["cobgtbod"];
    $cobgtbev = $row["cobgtbev"];
    $cobgtbov = $row["cobgtbov"];
    $minkills = $row["minkills"];
    $pruneage = $row["pruneage"];
    $tstep = $row["tstep"];
    $language = $row["language"];
    $userupdatetime = $row["userupdatetime"];

    // header
    echo "<div class=\"title\"><center>"._ad_set_gen_header."</center></div><br><br>";
    echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";

    // Language
    echo "<div class=\"option\">"._ad_set_gen_ch1_header."</div>";
    echo "<div class=\"content\">"._sel_language."<br><br>";
    if ($_SESSION['phpnuke']=="0") {
        // read in list of language files
        if ($dir = opendir($_SESSION['basefolder']."language")) {
            while (($file = readdir($dir)) !== false) {
                $filecheck = explode("-", $file,2);
                if($filecheck[0] == "lang") {
                    $country = explode(".php", $filecheck[1],2);
                    $filelist[] = $country[0];
                }
            }
            closedir($dir);
        }
        asort($filelist);

        echo _ad_set_gen_ch1_text."<br>";
        echo "<select name=\"language\"size=\"1\">";
        echo "<option value =\"-1\">"._ad_set_gen_ch1_droplist."</option>";

        while (list ($key, $val) = each ($filelist)) {
            echo "<option";
            if ($language == $val) {
                echo " selected";
            }
            echo ">".$val."</option>";
        }
        echo "</select> <input type=\"submit\" value=\"select\"></div><br><br>";
    }

    // Maximum script execution time
    echo "<div class=\"option\">"._ad_set_gen_ch2_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch2_text."<br><br>"
    . "<div class=\"boxtitle\">"._gn_attention." </div>"._ad_set_gen_ch2_attention."<br><br>"
    . "<div class=\"boxtitle\">"._ad_set_gen_ch2_infheader." </div>"._ad_set_gen_ch2_information."</div><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch2_seconds." ";
    echo "<input class= \"content\" name=\"tstep\" value=\"".$tstep."\" type=\"text\" size=\"10\" maxlength=\"7\">";
    echo "</div><br><br><br>";

    //Headers
    echo "<div class=\"option\">"._ad_set_gen_ch3_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch3_text."</div><br><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch3_head1."</div>";
    echo "<div class=\"content\"><input name=\"statsheader1\" value=\"".$statsheader1."\" type=\"text\" size=\"50\" maxlength=\"20\"></div><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch3_head2."</div>";
    echo "<div class=\"content\"><input name=\"statsheader2\" value=\"".$statsheader2."\" type=\"text\" size=\"50\" maxlength=\"40\"></div>";
    echo "<br><br><br>";

    // Background colours
    echo "<div class=\"title\">"._ad_set_gen_ch4_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch4_text."</div><br>";
    echo "<table width=\"200\" border=\"0\">";
    echo "<tr><td>";
    echo "<div class=\"title\">"._ad_set_gen_ch4_head."</div>";
    echo "</td><td>";
    echo "<input class= \"content\" name=\"cobgtbhe\" value=\"".$cobgtbhe."\" type=\"text\" size=\"10\" maxlength=\"10\">";
    echo "</td></tr><tr><td>";
    echo "<div class=\"title\">"._ad_set_gen_ch4_odd."</div>";
    echo "</td><td>";
    echo "<input class= \"content\" name=\"cobgtbod\" value=\"".$cobgtbod."\" type=\"text\" size=\"10\" maxlength=\"10\">";
    echo "</td></tr><tr><td>";
    echo "<div class=\"title\">"._ad_set_gen_ch4_even."</div>";
    echo "</td><td>";
    echo "<input class= \"content\" name=\"cobgtbev\" value=\"".$cobgtbev."\" type=\"text\" size=\"10\" maxlength=\"10\">";
    echo "</td></tr><tr><td>";
    echo "<div class=\"title\">"._ad_set_gen_ch4_over."</div>";
    echo "</td><td>";
    echo "<input class= \"content\" name=\"cobgtbov\" value=\"".$cobgtbov."\" type=\"text\" size=\"10\" maxlength=\"10\">";
    echo "</td></tr></table><br><br><br>";

    // Minumum kills
    echo "<div class=\"option\">"._ad_set_gen_ch5_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch5_text."</div><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch5_value." ";
    echo "<input class= \"content\" name=\"minkills\" value=\"".$minkills."\" type=\"text\" size=\"10\" maxlength=\"4\">";
    echo "</div><br><br><br>";

    // Prune age of records
    echo "<div class=\"option\">"._ad_set_gen_ch6_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch6_text."</div><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch6_days." ";
    echo "<input class= \"content\" name=\"pruneage\" value=\"".$pruneage."\" type=\"text\" size=\"10\" maxlength=\"3\">";
    echo "</div><br><br><br>";

    // Minimum period between user updates in minutes
    echo "<div class=\"option\">"._ad_set_gen_ch7_header."</div>";
    echo "<div class=\"content\">"._ad_set_gen_ch7_text."</div><br>";
    echo "<div class=\"title\">"._ad_set_gen_ch7_minutes." ";
    echo "<input class= \"content\" name=\"userupdatetime\" value=\"".$userupdatetime."\" type=\"text\" size=\"10\" maxlength=\"3\">";
    echo "</div><br><br><br>";

    // end of form with submit button
    echo "<input type=\"hidden\" name=\"dosave\" value=\"yes\">";
    echo "<input type=\"hidden\" name=\"func\" value=\"setting_general\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
    echo "<div align=\"right\"><input type=\"submit\" value=\""._gn_save."\"></div>";
    echo "</form><br><br>";


}





//  SETTING MYSQL @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_mysql ($dosave, $newdbprefix, $dbhost, $dbname, $dbuname, $dbpass, $newport) {
    if ($dosave == "true") {
        $errorflag="false";
        $dblink = @mysql_connect($dbhost, $dbuname, $dbpass)
        or error_handling("true","","",_gn_attention." "._ad_set_mys_setwrong."</div><div class=\"content\">"._ad_set_mys_settings."<br>"._ad_set_mys_servername." ".$dbhost."<br>"._ad_set_mys_username." ".$dbuname."<br>"._ad_set_mys_password." ".$dbpass."<br><br><br>",_ad_set_mys_notcreated,"setting_mysql");

        mysql_select_db($dbname)
        or error_handling("true","","",_gn_attention." "._ad_set_mys_setwrong."</div><div class=\"content\">"._ad_set_mys_nodatabase."<br>Please double check these settings and try again.<br>"._ad_set_mys_password." ".$dbname,_ad_set_mys_notcreated,"setting_mysql");

        if (strpos($newdbprefix, "-")) {
           $errorflag="true";
        }
        mysql_close($dblink);

        $handle = fopen($_SESSION['basefolder']."fraxstats-config.php", "w+");

        if (!fwrite($handle, "<?PHP\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "session_start();\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "////////////////   CONFIGURATION SECTION BEGIN   //////////////////////\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "\$dbhost = \"".$dbhost."\";\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "\$dbname = \"".$dbname."\";\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "\$dbuname = \"".$dbuname."\";\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "\$dbpass = \"".$dbpass."\";\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "\$_SESSION['dbprefix'] = \"".$newdbprefix."\";\n")) {
           $errorflag="true";
        }
        if ($newport != "") {
            if (!fwrite($handle, "\$admport = \"".md5($newport)."\";\n")) {
            $errorflag="true";
            }
        } else {
            if (!fwrite($handle, "\$admport = \"".unserialize($_SESSION['port'])."\";\n")) {
                $errorflag="true";
            }
        }
        if (!fwrite($handle, "////////////////   CONFIGURATION SECTION END   ////////////////////////\n")) {
           $errorflag="true";
        }
        if (!fwrite($handle, "?>\n")) {
           $errorflag="true";
        }
        !fclose($handle);
        
        if ($errorflag=="true") {
            error_handling("true","","",_ad_set_mys_notsaved,_ad_set_mys_notcreated,"setting_mysql");
        } else {
            $dblink = mysql_connect($dbhost, $dbuname, $dbpass);
            mysql_select_db($dbname, $dblink);

            // Initialise all tables if they dont exist
            $exists = mysql_query("SELECT 1 FROM `".$newdbprefix."_fraxstatsconfig` LIMIT 0");
            if (!$exists) {
                $_SESSION['dbprefix'] = $newdbprefix;
                setting_table("yes", "0" ,"", "", "", "", "", "", "", "", "", "", "", "", "yes", true);
                action_message(_ad_set_mys_am_configok);
                error_handling("true","","",_ad_set_mys_configtableok1,_ad_set_mys_configtableok2,"");
            } else {
                action_message(_ad_set_mys_am_configok);
                error_handling("true","","",_ad_set_mys_configok1,_ad_set_mys_configok2,"");
            }
        }
    }

    if ($_SESSION['dbprefix'] =="") {
        $newdbprefix ="fraxstats";
    } else {
        $newdbprefix =$_SESSION['dbprefix'];
    }

    echo "<br><br><div class=\"title\"><center>"._ad_set_mys_header."</center></div><br><br>";

    // ensure that the permissions for all folders are set
    check_permissions();

    echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
    echo "<div class=\"content\">"._ad_set_mys_text."<br>";
    echo "<br><div class=\"option\">MySQL "._ad_set_mys_servername."</div>";
    echo "<input class= \"content\" name=\"dbhost\" value=\"".$dbhost."\" type=\"text\" size=\"30\" maxlength=\"50\">";
    echo "<br><br><div class=\"option\">"._ad_set_mys_database."</div>";
    echo "<input class= \"content\" name=\"dbname\" value=\"".$dbname."\" type=\"text\" size=\"30\" maxlength=\"50\">";
    echo "<br><br><div class=\"option\">"._ad_set_mys_username."</div>";
    echo "<input class= \"content\" name=\"dbuname\" value=\"".$dbuname."\" type=\"text\" size=\"30\" maxlength=\"50\">";
    echo "<br><br><div class=\"option\">"._ad_set_mys_password."</div>";
    echo "<input class= \"content\" name=\"dbpass\" value=\"".$dbpass."\" type=\"text\" size=\"30\" maxlength=\"50\">";
    echo "<br><br><div class=\"option\">"._ad_set_mys_prefix."</div><div class=\"tiny\">"._ad_set_mys_prefixhint."</div>";
    echo "<input class= \"content\" name=\"newdbprefix\" value=\"".$newdbprefix."\" type=\"text\" size=\"30\" maxlength=\"30\">";
    echo "<br><br><br><br><div class=\"title\"><center>"._ad_set_mys_pwheader."</center></div><br><br>";
    echo "<div class=\"option\">"._ad_set_mys_pwtext."</div><div class=\"tiny\">"._ad_set_mys_pwhint."</div>";
    echo "<input class= \"content\" name=\"newport\" value=\"\" type=\"text\" size=\"30\" maxlength=\"50\">";
    echo "</div><br><br>";
    echo "<input type=\"hidden\" name=\"dosave\" value=\"true\">";
    echo "<input type=\"hidden\" name=\"func\" value=\"setting_mysql\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
    echo "<input type=\"submit\" value=\""._gn_save."\">";
    echo "</form>";
    echo "<br>";
}









//  SETTING TABLE @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_table ($sure, $counter, $games, $servers, $players, $stats, $config, $chats, $tempstats, $tempplayers, $statsat, $tempchats, $useridfilter, $gametype, $all, $mysqlcall=false) {

    if (strtolower($sure) ==_ad_set_tbl_confirmword) {
        $counter ="";
        if (($gametype == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsgametype")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsgametype")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Gametype (".$_SESSION['dbprefix']."_fraxstatsgametype)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = "<div class=\"content\">Gametype - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsgametype (
            gametype int (2),
            game varchar(30),
            logfilesamount int (2),
            pbsupport varchar(1),
            logfilestype int (2),
            udpport1 int(5),
            udpport2 int(5),
            porcesslastlogfile varchar(5)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Gametype (".$_SESSION['dbprefix']."_fraxstatsgametype)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Gametype - "._ad_set_tbl_createok."</div>";

            // List of Supported Games
            // Logfiletype ---
            // 1 - Call of Duty
            // 2 - Call of Duty - United Offensive
            // 3 - Call of Duty 2
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsgametype set game='Call of Duty', gametype='1', logfilesamount='1', logfilestype='1', udpport1='11111', udpport2='22222', porcesslastlogfile='false', pbsupport='1'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Gametype CoD!",_ad_set_tbl_defaultfail1,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsgametype set game='CoD - United Offensive', gametype='2', logfilesamount='1', logfilestype='1', udpport1='11111', udpport2='22222', porcesslastlogfile='false', pbsupport='1'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Gametype CoD-UO!",_ad_set_tbl_defaultfail1,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsgametype set game='Call of Duty 2', gametype='3', logfilesamount='1', logfilestype='1', udpport1='11111', udpport2='22222', porcesslastlogfile='false', pbsupport='1'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Gametype CoD2!",_ad_set_tbl_defaultfail1,"setting_table");

            $action_msg = $action_msg."<div class=\"content\">Gametype - "._ad_set_tbl_defaultok."</div>";
        }

        if (($games == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsgames")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsgames")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Games (".$_SESSION['dbprefix']."_fraxstatsgames)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Games - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsgames (
            gid int(2) NOT NULL auto_increment,
            game varchar(30),
            gametype int (2),
            PRIMARY KEY (gid),
            KEY gid (gid)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Games (".$_SESSION['dbprefix']."_fraxstatsgames)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Games - "._ad_set_tbl_createok."</div>";
        }

        if (($useridfilter == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsuseridfilter")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsuseridfilter")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Player ID filter (".$_SESSION['dbprefix']."_fraxstatsuseridfilter)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Player ID filter - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsuseridfilter (
            sid int(2) NOT NULL auto_increment,
            gid int(2),
            userid varchar(60),
            name varchar(50),
            KEY userid (userid),
            KEY sid (sid)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Player ID filter (".$_SESSION['dbprefix']."_fraxstatsuseridfilter)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Player ID filter - "._ad_set_tbl_createok."</div>";
        }

        if (($config == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsconfig")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsconfig")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Config (".$_SESSION['dbprefix']."_fraxstatsconfig)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Config - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsconfig(
            tstep int(6),
            statsheader1 varchar(254),
            statsheader2 varchar(254),
            cobgtbhe varchar(10),
            cobgtbod varchar(10),
            cobgtbev varchar(10),
            cobgtbov varchar(10),
            minkills int(3),
            pruneage int(3),
            language varchar(15),
            userupdatetime int(3),
            fraxstats_version varchar(10)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Config (".$_SESSION['dbprefix']."_fraxstatsconfig)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Config - "._ad_set_tbl_createok."</div>";
            @ini_set('max_execution_time','600');
            $mtime =ini_get('max_execution_time') -5;
            // Version information
            mysql_query("
            INSERT ".$_SESSION['dbprefix']."_fraxstatsconfig set
            tstep = '".$mtime."',
            statsheader1 = 'FraXStats',
            statsheader2 = 'the most flexible server stats',
            cobgtbhe = '#2222E8',
            cobgtbod = '#2222B0',
            cobgtbev = '#2260D0',
            cobgtbov = '#0060FF',
            minkills = '1',
            pruneage = '30',
            fraxstats_version = '1.0'
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." General Config!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Configuration - "._ad_set_tbl_defaultok."</div>";
        }

        if (($players == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsplayers")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsplayers")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Players (".$_SESSION['dbprefix']."_fraxstatsplayers)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Players - "._ad_set_tbl_delok."</div>";
            }
//            historyplace tinyint(1) NOT NULL default '0',
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsplayers(
            game tinyint(2),
            player varchar(254),
            history0 varchar(254) NOT NULL default '',
            history1 varchar(254) NOT NULL default '',
            history2 varchar(254) NOT NULL default '',
            history3 varchar(254) NOT NULL default '',
            history4 varchar(254) NOT NULL default '',
            history5 varchar(254) NOT NULL default '',
            history6 varchar(254) NOT NULL default '',
            history7 varchar(254) NOT NULL default '',
            history8 varchar(254) NOT NULL default '',
            history9 varchar(254) NOT NULL default '',
            guid varchar(60),
            PRIMARY KEY  (guid)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Players (".$_SESSION['dbprefix']."_fraxstatsplayers)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Players - "._ad_set_tbl_createok."</div>";
        }

        if (($stats == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstats")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstats")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Statistics (".$_SESSION['dbprefix']."_fraxstats)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Statistics - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstats(
            record_id bigint(9) auto_increment,
            game tinyint(2),
            server tinyint(2),
            timest int(4),
            actiontype char(1),
            guid varchar(60),
            map varchar(30),
            weapon varchar(30),
            gametype varchar(30),
            bodypart varchar(25),
            oponentguid varchar(60),
            team varchar(20),
            damage_points_given int(3),
            damage_points_taken int(3),
            damage_by varchar(30),
            say_text varchar(150),
            KEY guid (guid),
            KEY actiontype(actiontype),
            KEY map(map),
            PRIMARY KEY record_id(record_id)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Statistics (".$_SESSION['dbprefix']."_fraxstats)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Statistics - "._ad_set_tbl_createok."</div>";
        }

        if (($tempplayers == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsplayerstemp")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsplayerstemp")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Temporary Players (".$_SESSION['dbprefix']."_fraxstatsplayerstemp)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Temporary Players - "._ad_set_tbl_delok."</div>";
            }
//            historyplace tinyint(1) NOT NULL default '0',
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsplayerstemp(
            game tinyint(2),
            player varchar(254),
            history0 varchar(254) NOT NULL default '',
            history1 varchar(254) NOT NULL default '',
            history2 varchar(254) NOT NULL default '',
            history3 varchar(254) NOT NULL default '',
            history4 varchar(254) NOT NULL default '',
            history5 varchar(254) NOT NULL default '',
            history6 varchar(254) NOT NULL default '',
            history7 varchar(254) NOT NULL default '',
            history8 varchar(254) NOT NULL default '',
            history9 varchar(254) NOT NULL default '',
            guid varchar(60),
            PRIMARY KEY  (guid)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Temporary Players (".$_SESSION['dbprefix']."_fraxstatsplayerstemp)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Temporary Players - "._ad_set_tbl_createok."</div>";
        }

        if (($tempstats == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatstemp")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatstemp")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Temporary Statistics (".$_SESSION['dbprefix']."_fraxstatstemp)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Temporary Statistics - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatstemp(
            record_id bigint(9),
            game tinyint(2),
            server tinyint(2),
            timest int(4),
            actiontype char(1),
            guid varchar(60),
            map varchar(30),
            weapon varchar(30),
            gametype varchar(30),
            bodypart varchar(25),
            oponentguid varchar(60),
            team varchar(20),
            damage_points_given int(3),
            damage_points_taken int(3),
            damage_by varchar(30),
            say_text varchar(150),
            KEY guid (guid),
            KEY actiontype(actiontype),
            KEY map(map),
            KEY record_id (record_id)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Temporary Statistics (".$_SESSION['dbprefix']."_fraxstatstemp)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Temporary Statistics - "._ad_set_tbl_createok."</div>";
        }

        if (($servers == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsservers")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsservers")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Servers (".$_SESSION['dbprefix']."_fraxstatsservers)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Servers - "._ad_set_tbl_delok."</div>";
            }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsservers(
            gid tinyint(2),
            sid tinyint(2) NOT NULL auto_increment,
            server varchar(50),
            lastupdate varchar(20),
            lastchecked varchar(20),
            udpport1 varchar(6),
            udpport2 varchar(6),
            rconpassword varchar(50),
            guidserver varchar(1) NOT NULL default '1',
            amountlogfiles varchar(1),
            howtoreadin varchar(1),
            filterhandling varchar(1) NOT NULL default '1',
            filtertype varchar(1) NOT NULL default '1',
            locallogfilefolder varchar(250),
            localfilehandling varchar(1),
            localmovefileto varchar(250),
            locallogfilename varchar(50),
            locallinenumber bigint(10) NOT NULL default '1',
            localsizelastfile bigint(10),
            localcontentlast varchar(250) NOT NULL default 'none',
            locallogfilemask varchar(50),
            localprocesslastfile varchar(1),
            localnamelastfile varchar(50),
            lpbpicsource varchar(250),
            lpbpicprune varchar(3),
            lpbpicdelete varchar(1) NOT NULL default '1',
            ftpserver varchar(50),
            ftpport varchar(5),
            ftppasvftp varchar(1),
            ftpusername varchar(50),
            ftppassword varchar(50),
            ftpfolder varchar(250),
            ftplocalfolder varchar(250),
            ftpdeletefiles varchar(1),
            ftpfilename varchar(50),
            ftplinenumber bigint(10) NOT NULL default '1',
            ftpsizelastfile bigint(10),
            ftpcontentlast varchar(250) NOT NULL default 'none',
            ftpfilemask varchar(50),
            ftpprocesslastfile varchar(1),
            ftpnamelastfile varchar(50),
            fpbpicsource varchar(250),
            fpbpicprune varchar(3),
            fpbpicdelete varchar(1) NOT NULL default '1',
            remoteserver varchar(50),
            remoteport varchar(5),
            remotepasvftp varchar(1),
            remoteusername varchar(50),
            remotepassword varchar(50),
            remotefolder varchar(250),
            remotedeletefiles varchar(1),
            remotelinenumber bigint(10) NOT NULL default '1',
            remotesizelastfile bigint(10),
            remotecontentlast varchar(250) NOT NULL default 'none',
            remotelogfilename varchar(50),
            remotefilemask varchar(50),
            remoteprocesslastfile varchar(1),
            remotenamelastfile varchar(50),
            rpbpicsource varchar(250),
            rpbpicprune varchar(3),
            rpbpicdelete varchar(1) NOT NULL default '1',
            PRIMARY KEY  (sid),
            UNIQUE `server`(`server`)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Servers (".$_SESSION['dbprefix']."_fraxstatsservers)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Servers - "._ad_set_tbl_createok."</div>";
        }

        if (($statsat == "yes") OR ($all=="yes")) {
            if (mysql_table_exists("".$_SESSION['dbprefix']."_fraxstatsat")) {
                mysql_query("drop table ".$_SESSION['dbprefix']."_fraxstatsat")
                or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_delfail." Actiontypes (".$_SESSION['dbprefix']."_fraxstatsat)!",_ad_set_tbl_notcreated,"setting_table");
                $action_msg = $action_msg."<div class=\"content\">Actiontypes - "._ad_set_tbl_delok."</div>";
             }
            mysql_query("
            CREATE TABLE ".$_SESSION['dbprefix']."_fraxstatsat(
            game tinyint(2),
            actiontype char(1),
            description varchar(30),
            orderin varchar(3),
            available_weapon char(1),
            available_map char(1),
            available_guid char(1),
            available_bodypart char(1),
            available_gametype char(1),
            available_detailed char(1),
            available_game char(1),
            KEY game (game)
            )
            ") or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_createfail." Actiontypes (".$_SESSION['dbprefix']."_fraxstatsat)!",_ad_set_tbl_notcreated,"setting_table");
            $action_msg = $action_msg."<div class=\"content\">Actiontypes - "._ad_set_tbl_createok."</div>";

            // Call of Duty - actiontypes
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'A', description = 'Did Kill', orderin = 'a', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'B', description = 'Got Killed', orderin = 'b', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'C', description = 'Kill - Death Ratio', orderin = 'c', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'D', description = 'Shots at Others', orderin = 'e', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'E', description = 'Shots received', orderin = 'f', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'F', description = 'Survived, Won Round', orderin = 'g', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'G', description = 'Survived, Lost Round', orderin = 'h', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'H', description = 'Bombs Planted', orderin = 'i', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'I', description = 'Bombs Defused', orderin = 'j', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'J', description = 'Items Picked up', orderin = 'k', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'K', description = 'Items Re-captured', orderin = 'l', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'L', description = 'Weapons Picked up', orderin = 'm', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'M', description = 'Rounds Played', orderin = 'n', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'N', description = 'Chats', orderin = 'o', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'O', description = 'Team Chats', orderin = 'p', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'P', description = 'Suicide', orderin = 'q', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'Q', description = 'Did Teamkill', orderin = 'r', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'R', description = 'Got Teamkilled', orderin = 's', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'S', description = 'Kill / Death Points', orderin = 'd', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'T', description = 'Damage Points Inflicted', orderin = 't', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '1', actiontype = 'U', description = 'Damage Points Recived', orderin = 'u', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");

            // CoD-United Offensive - actiontypes
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'A', description = 'Did Kill', orderin = 'a', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'B', description = 'Got Killed', orderin = 'b', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'C', description = 'Kill - Death Ratio', orderin = 'c', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'D', description = 'Shots at Others', orderin = 'e', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'E', description = 'Shots received', orderin = 'f', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'F', description = 'Survived, Won Round', orderin = 'g', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'G', description = 'Survived, Lost Round', orderin = 'h', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'H', description = 'Bombs Planted', orderin = 'i', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'I', description = 'Bombs Defused', orderin = 'j', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'J', description = 'Items Picked up', orderin = 'k', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'K', description = 'Items Re-captured', orderin = 'l', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'L', description = 'Weapons Picked up', orderin = 'm', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'M', description = 'Rounds Played', orderin = 'n', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'N', description = 'Chats', orderin = 'o', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'O', description = 'Team Chats', orderin = 'p', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'P', description = 'Suicide', orderin = 'q', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'Q', description = 'Did Teamkill', orderin = 'r', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'R', description = 'Got Teamkilled', orderin = 's', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'S', description = 'Kill / Death Points', orderin = 'd', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'T', description = 'Damage Points Inflicted', orderin = 't', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '2', actiontype = 'U', description = 'Damage Points Recived', orderin = 'u', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");

            // Call of Duty 2 - actiontypes
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'A', description = 'Did Kill', orderin = 'a', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'B', description = 'Got Killed', orderin = 'b', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'C', description = 'Kill - Death Ratio', orderin = 'c', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'D', description = 'Shots at Others', orderin = 'e', available_map = 'y', available_weapon = 'y', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'E', description = 'Shots received', orderin = 'f', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'F', description = 'Survived, Won Round', orderin = 'g', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'G', description = 'Survived, Lost Round', orderin = 'h', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'H', description = 'Bombs Planted', orderin = 'i', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'I', description = 'Bombs Defused', orderin = 'j', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'J', description = 'Items Picked up', orderin = 'k', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'K', description = 'Items Re-captured', orderin = 'l', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'L', description = 'Weapons Picked up', orderin = 'm', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'M', description = 'Rounds Played', orderin = 'n', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'N', description = 'Chats', orderin = 'o', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'O', description = 'Team Chats', orderin = 'p', available_map = 'y', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'y', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'P', description = 'Suicide', orderin = 'q', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'Q', description = 'Did Teamkill', orderin = 'r', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'R', description = 'Got Teamkilled', orderin = 's', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'S', description = 'Kill / Death Points', orderin = 'd', available_map = 'N', available_weapon = 'N', available_guid = 'y', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'T', description = 'Damage Points Inflicted', orderin = 't', available_map = 'N', available_weapon = 'y', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsat set game = '3', actiontype = 'U', description = 'Damage Points Recived', orderin = 'u', available_map = 'N', available_weapon = 'N', available_guid = 'N', available_bodypart = 'y', available_gametype = 'N', available_detailed = 'y'")
            or error_handling("true",mysql_errno(),mysql_error(),_ad_set_tbl_defaultfail." Statistic Actiontypes!",_ad_set_tbl_notcreated,"setting_table");

            $action_msg = $action_msg."<div class=\"content\">Actiontypes - "._ad_set_tbl_defaultok."</div>";
        }

        action_message(_ad_set_tbl_am_allok);

    }

    if ($counter !="") {
       action_message(_ad_set_tbl_amconfirmfail);
    }

    // if called from install routine then don't show this part
    if (!$mysqlcall) {
        echo "<br><br><div class=\"title\"><center>"._ad_set_tbl_header."</center></div><br><br>";
        echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
        echo "<div class=\"content\">"._ad_set_tbl_text;
        echo "<br><br><div class=\"option\">"._ad_set_tbl_select."</div>";
        echo "<input type=\"checkbox\" name=\"games\" value=\"yes\"> Games<br>";
        echo "<input type=\"checkbox\" name=\"servers\" value=\"yes\"> Servers<br>";
        echo "<input type=\"checkbox\" name=\"players\" value=\"yes\"> Players<br>";
        echo "<input type=\"checkbox\" name=\"stats\" value=\"yes\"> Statistics<br>";
        echo "<input type=\"checkbox\" name=\"config\" value=\"yes\"> Configuration<br>";
        echo "<input type=\"checkbox\" name=\"tempstats\" value=\"yes\"> Statistics import (internal)<br>";
        echo "<input type=\"checkbox\" name=\"tempplayers\" value=\"yes\"> Players import (internal)<br>";
        echo "<input type=\"checkbox\" name=\"statsat\" value=\"yes\"> Statistic Actiontypes (internal)<br>";
        echo "<input type=\"checkbox\" name=\"gametype\" value=\"yes\"> Supported Games (internal)<br>";
        echo "<input type=\"checkbox\" name=\"useridfilter\" value=\"yes\"> Player ID filter<br>";
        echo "<input type=\"checkbox\" name=\"all\" value=\"yes\"> <strong>All</strong><br>";
        echo "<br><br>"._ad_set_tbl_confirmhint."</div><br>";
        echo "<div class=\"option\">"._ad_set_tbl_confirmheader." ";
        echo "<input class= \"content\" name=\"sure\" value=\""._ad_set_tbl_confirmnegative."\" type=\"text\" size=\"10\" maxlength=\"7\">";
        echo "</div><br><br>";
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_table\">";
        echo "<input type=\"hidden\" name=\"counter\" value=\"1\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
        echo "<input type=\"submit\" value=\""._gn_execute."\">";
        echo "</form>";
    }
}









//  SETTING GAME @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_game($gid, $action, $game, $gametype) {
    $game = htmlentities($game);

    if ($action =="update") {
        if ($game =="") {
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstats where game=$gid")
            or die("<div class=\"option\">Deleting all associated statistics for this game FAILED!<br>".mysql_error()."</div>");
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsservers where gid=$gid")
            or die("<div class=\"option\">Deleting servers for this game FAILED!<br>".mysql_error()."</div>");
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsuseridfilter where gid=$gid")
            or die("<div class=\"option\">Deleting all associated user filters for this game FAILED!<br>".mysql_error()."</div>");
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsgames where gid=$gid")
            or die("<div class=\"option\">Deleting game FAILED!<br>".mysql_error()."</div>");
            action_message (_ad_set_gam_deleteok);
        } else {
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsgames set game='$game' WHERE gid = '$gid'")
            or die("<div class=\"option\">Updating game FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_gam_updateok);
        }
    } elseif ($action =="insert") {
        if ($gametype != "-1") {
            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsgames set game='$game', gametype ='$gametype' ")
            or die("<div class=\"option\">Adding game FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_gam_addedok);
        } else {
            action_message (_ad_set_gam_selectfirst);
        }
    }

    echo "<br><br><div class=\"title\"><center>"._ad_set_gam_header."</center></div><br><br>";
    echo "<font class=\"content\">"._ad_set_gam_text."<br><br>"
    . _gn_attention." "._ad_set_gam_attention."<br><br></font>";
    echo "<font class=\"title\">"._ad_set_gam_gamename."</font><font class=\"tiny\">"._ad_set_gam_gamehint."</font><br>";

    $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames ORDER BY game");
    while($myrowg = mysql_fetch_assoc($result)) {
        $results = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype WHERE gametype='".$myrowg["gametype"]."'");
        $myrows = mysql_fetch_assoc($results);
        echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";

        echo "<input readonly size=\"23\" type=\"text\" name=\"game\" value=\"".$myrows["game"]."\"> ";
        echo "<input size=\"23\" type=\"text\" name=\"game\" value=\"".$myrowg["game"]."\"> ";
        echo "<input type=\"hidden\" name=\"gametype\" value=\"".$myrowg["gametype"]."\"> ";
        echo "<input type=\"hidden\" name=\"action\" value=\"update\">";
        echo "<input type=\"hidden\" name=\"gid\" value=\"".$myrowg["gid"]."\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_game\">"; 
        echo "<input type=\"submit\" value=\""._gn_ok."\">";
        echo "</form>";
    }

    echo "<br><form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";

    echo "<select name=\"gametype\" size=\"1\">";
    echo "<option value =\"-1\">"._ad_set_gam_gameselect."</option>";
    $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype ORDER BY game");
    while($myrowg = mysql_fetch_assoc($result)) {
        echo "<option value =\"".$myrowg["gametype"]."\">";
        echo $myrowg["game"]."</option>";
    }
    echo "</select> ";
    echo "<input size=\"23\" type=\"text\" name=\"game\" value=\"[Custom game name]\"> ";
    echo "<input type=\"hidden\" name=\"action\" value=\"insert\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
    echo "<input type=\"hidden\" name=\"func\" value=\"setting_game\">"; 
    echo "<input type=\"submit\" value=\""._ad_set_gam_addnew."\">";
    echo"</form><br>";

}







// Settings Columns Order   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@222

function setting_columns($gametype, $dosave){

    echo "<center><div class=\"title\">"._ad_set_col_header."<br></div><br></center>";
    echo "<div class=\"content\">";

    if (($gametype=="") OR ($gametype=="-1")){

        if ($gametype=="-1") {
            action_message(_ad_set_col_amselect);
        }
        echo "<br><form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";

        echo "<select name=\"gametype\" size=\"1\">";
        echo "<option value =\"-1\">"._ad_set_col_selectgame."</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype ORDER BY game");
        while($myrowg = mysql_fetch_assoc($result)) {
            echo "<option value =\"".$myrowg["gametype"]."\">";
            echo $myrowg["game"]."</option>";
        }
        echo "</select> ";
        echo "<input type=\"hidden\" name=\"action\" value=\"insert\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_columns\">";
        echo "<input type=\"submit\" value=\""._gn_modify."\">";
        echo"</form><br>";

    } else {

        if ($dosave=="yes") {
            $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsat WHERE ".$_SESSION['dbprefix']."_fraxstatsat.game=$gametype ORDER BY actiontype");
            while($row = mysql_fetch_assoc($result)) {
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsat set description='".$_POST["des_".$row["actiontype"]]."', orderin='".$_POST[$row["actiontype"]]."', available_weapon='".$_POST[$row["actiontype"]."weapon"]."', available_map='".$_POST[$row["actiontype"]."map"]."', available_bodypart='".$_POST[$row["actiontype"]."bodypart"]."', available_detailed='".$_POST[$row["actiontype"]."compare"]."', available_gametype='".$_POST[$row["actiontype"]."gametype"]."', available_guid='".$_POST[$row["actiontype"]."guid"]."', available_game='".$_POST[$row["actiontype"]."game"]."' WHERE actiontype='".$row["actiontype"]."' AND game='".$gametype."'")
                or die("ERROR: Could not update order sequenze.");
            }
            action_message(_ad_set_col_updateok);
        }

        $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype WHERE gametype ='".$gametype."'");
        $row = mysql_fetch_assoc($resultg);
        echo "<font class=\"option\">"._ad_set_col_gtheader." </font>";
        echo "<font class=\"content\">".$row["game"]."<br><br>";
        echo _ad_set_col_text."<br><br>"
        . _gn_attention." "._ad_set_col_attention1."<br><br>"
        . _gn_attention." "._ad_set_col_attention2."<br><br>"
        . "</font><br><br>";

        echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
        echo "<input type=\"hidden\" name=\"gametype\" value=\"$gametype\">";
        echo "<input type=\"hidden\" name=\"dosave\" value=\"yes\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_columns\">"; 
        echo "<input tabindex=\"98\" type=\"submit\" value=\""._gn_save."\"><br><br>";

        echo "<table width=\"710\" border =\"1\">";
        echo "<tr>";
        echo "<th width=\"150\" rowspan=\"2\">";
        echo "<font class=\"option\">"._ad_set_col_description."</font>";
        echo "</th>";
        echo "<th width=\"130\" rowspan=\"2\">";
        echo "<font class=\"option\">"._ad_set_col_order."</font>";
        echo "</th>";
        echo "<th width=\"430\" colspan=\"5\">";
        echo "<font class=\"option\"> "._ad_set_col_showstats." </font>";
        echo "</th>";
        echo "</tr>";
        echo "</td><td width=\"70\" align=\"center\">";
        echo "<font class=\"option\">"._ad_set_col_weapon."</font>";
        echo "</td><td width=\"50\" align=\"center\">";
        echo "<font class=\"option\">"._ad_set_col_map."</font>";
        echo "</td><td width=\"50\" align=\"center\">";
        echo "<font class=\"option\">"._ad_set_col_guid."</font>";
        echo "</td><td width=\"70\" align=\"center\">";
        echo "<font class=\"option\">"._ad_set_col_gametype."</font>";
        echo "</td><td width=\"70\" align=\"center\">";
        echo "<font class=\"option\">"._ad_set_col_detailed."</font>";
        echo "</td></tr>";
        $i=1;

        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsat WHERE game=".$gametype." ORDER BY orderin");
        while($row = mysql_fetch_assoc($result)) {
            if (1&$i) {
                echo "<tr bgcolor=\"#0060D0\">";
            } else {
                echo "<tr bgcolor=\"#00A0D0\">";
            }
            echo "<td>";
            echo "<input class= \"content\" name=\"des_".$row["actiontype"]."\" value=\"".$row["description"]."\" type=\"text\" size=\"20\" maxlength=\"30\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."\" value=\"".$row["orderin"]."\" type=\"text\" size=\"2\" maxlength=\"3\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."weapon\" value=\"".$row["available_weapon"]."\" type=\"text\" size=\"2\" maxlength=\"1\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."map\" value=\"".$row["available_map"]."\" type=\"text\" size=\"2\" maxlength=\"1\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."guid\" value=\"".$row["available_guid"]."\" type=\"text\" size=\"2\" maxlength=\"1\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."gametype\" value=\"".$row["available_gametype"]."\" type=\"text\" size=\"2\" maxlength=\"1\"><br>";
            echo "</td><td align=\"center\">";
            echo "<input class= \"content\" name=\"".$row["actiontype"]."compare\" value=\"".$row["available_detailed"]."\" type=\"text\" size=\"2\" maxlength=\"1\"><br>";
            echo "</td></tr>";
            $i++;
        }
        echo "</table>";
    }
}










//  SETTING SERVER @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_server($action) {

    $gid = $_POST['gid'];
    $sid = $_POST['sid'];
    $server = $_POST['server'];
    $lastupdate = $_POST['lastupdate'];
    $udpport1 = $_POST['udpport1'];
    $udpport2 = $_POST['udpport2'];
    $rconpassword = $_POST['rconpassword'];
    $guidserver = $_POST['guidserver'];
    $amountlogfiles = $_POST['amountlogfiles'];
    $howtoreadin = $_POST['howtoreadin'];
    $filterhandling = $_POST['filterhandling'];
    $filtertype = $_POST['filtertype'];
    $locallogfilefolder = str_replace("\\", "/", $_POST['locallogfilefolder']);
    $localfilehandling = $_POST['localfilehandling'];
    $localmovefileto = str_replace("\\", "/", $_POST['localmovefileto']);
    $locallinenumber = $_POST['locallinenumber'];
    $locallogfilename = $_POST['locallogfilename'];
    $locallogfilemask = $_POST['locallogfilemask'];
    $localprocesslastfile = $_POST['localprocesslastfile'];
    $localnamelastfile = $_POST['localnamelastfile'];
    $lpbpicsource = $_POST['lpbpicsource'];
    $lpbpicprune = $_POST['lpbpicprune'];
    $lpbpicdelete = $_POST['lpbpicdelete'];
    $ftpserver = $_POST['ftpserver'];
    $ftpport = $_POST['ftpport'];
    $ftppasvftp = $_POST['ftppasvftp'];
    $ftpusername = $_POST['ftpusername'];
    $ftppassword = $_POST['ftppassword'];
    $ftpfolder = str_replace("\\", "/", $_POST['ftpfolder']);
    $ftplocalfolder = str_replace("\\", "/", $_POST['ftplocalfolder']);
    $ftplinenumber = $_POST['ftplinenumber'];
    $ftpdeletefiles = $_POST['ftpdeletefiles'];
    $ftpfilename = $_POST['ftpfilename'];
    $ftpfilemask = $_POST['ftpfilemask'];
    $ftpprocesslastfile = $_POST['ftpprocesslastfile'];
    $ftpnamelastfile = $_POST['ftpnamelastfile'];
    $fpbpicsource = $_POST['fpbpicsource'];
    $fpbpicprune = $_POST['fpbpicprune'];
    $fpbpicdelete = $_POST['fpbpicdelete'];
    $remoteserver = $_POST['remoteserver'];
    $remoteport = $_POST['remoteport'];
    $remotepasvftp = $_POST['remotepasvftp'];
    $remoteusername = $_POST['remoteusername'];
    $remotepassword = $_POST['remotepassword'];
    $remotefolder = str_replace("\\", "/", $_POST['remotefolder']);
    $remotelinenumber = $_POST['remotelinenumber'];
    $remotedeletefiles = $_POST['remotedeletefiles'];
    $remotelogfilename = $_POST['remotelogfilename'];
    $remotefilemask = $_POST['remotefilemask'];
    $remoteprocesslastfile = $_POST['remoteprocesslastfile'];
    $remotenamelastfile = $_POST['remotenamelastfile'];
    $rpbpicsource = $_POST['rpbpicsource'];
    $rpbpicprune = $_POST['rpbpicprune'];
    $rpbpicdelete = $_POST['rpbpicdelete'];
    $action_llff = $_POST['action_llff'];
    $action_lmlf = $_POST['action_lmlf'];
    $action_ff = $_POST['action_ff'];
    $action_llaf = $_POST['action_llaf'];
    $action_rf = $_POST['action_rf'];
    $action_lpbpic = $_POST['action_lpbpic'];
    $action_fpbpic = $_POST['action_fpbpic'];
    $action_rpbpic = $_POST['action_rpbpic'];
    $action_testremote = $_POST['action_testremote'];
    $action_testftp = $_POST['action_testftp'];
    $browserdir = str_replace("\\\\", "/", $_POST['browserdir']);
    $showlocation = $_POST['showlocation'];

    //save directory received from browser fuction
    if ($showlocation !="") {
        if ($showlocation =="Local log file source") {
            //Save local log file source
            if ((substr($browserdir,strlen($browserdir)-1,1) !="/")) {
                $browserdir = $browserdir."/";
               }
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set locallogfilefolder='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_amlocalpathupdate);
        } elseif ($showlocation =="Move local log files to") {
            //Save move local log files to
            if ((substr($browserdir,strlen($browserdir)-1,1) !="/")) {
                $browserdir = $browserdir."/";
               }
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set localmovefileto='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_amlocalmoveupdate);
        } elseif ($showlocation =="FTP server log file source") {
            //Save FTP server log file source
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set ftpfolder='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_Set_srv_amftppathupdate);
        } elseif ($showlocation =="Local log file archive") {
            //Save local log file archive
            if ((substr($browserdir,strlen($browserdir)-1,1) !="/")) {
                $browserdir = $browserdir."/";
               }
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set ftplocalfolder='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_amftparchiveupdate);
        } elseif ($showlocation =="Remote FTP server log file source") {
            //Save remote FTP server log file source
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set remotefolder='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_amremotepathupdate);
        } elseif ($showlocation =="Local PunkBuster files source") {
            //Save local PunkBuster  file source
            if ((substr($browserdir,strlen($browserdir)-1,1) !="/")) {
                $browserdir = $browserdir."/";
               }
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set lpbpicsource='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_ampbpicupdate);
        } elseif ($showlocation =="FTP PunkBuster files source") {
            //Save FTP PunkBuster  file source
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set fpbpicsource='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_ampbpicupdate);
        } elseif ($showlocation =="Remote PunkBuster files source") {
            //Save Remote PunkBuster  file source
            mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set rpbpicsource='$browserdir' WHERE sid = '$sid'")
            or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
            action_message(_ad_set_srv_ampbpicupdate);
        }
    }

   if (($action==_gn_save) OR ($action==_gn_select) OR ($action_llff==_gn_browse) OR ($action_lmlf==_gn_browse) OR ($action_ff==_gn_browse) OR ($action_llaf==_gn_browse) OR ($action_rf==_gn_browse) OR ($action_lpbpic==_gn_browse) OR ($action_fpbpic==_gn_browse) OR ($action_rpbpic==_gn_browse) OR ($action_testremote==_ad_set_srv_ftptest) OR ($action_testftp==_ad_set_srv_ftptest)) {

        // set line numbers to 1 if empty
        if ($locallinenumber =="") {
            $locallinenumber ="1";
        }
        if ($ftplinenumber =="") {
            $ftplinenumber ="1";
        }
        if ($remotelinenumber =="") {
            $remotelinenumber ="1";
        }

        if (($gid!="-1") AND ($gid!="0") AND ($gid!="")) {
            if ($server!="") {
                if ($sid != "") {
//                    udpport1='$udpport1',
//                    udpport2='$udpport2',
//                    rconpassword='$rconpassword',
//                    localnamelastfile='$localnamelastfile',
//                    ftpnamelastfile='$ftpnamelastfile',
                    mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set
                    gid='$gid',
                    sid='$sid',
                    server='$server',
                    lastupdate='$lastupdate',
                    guidserver='$guidserver',
                    amountlogfiles='$amountlogfiles',
                    howtoreadin='$howtoreadin',
                    locallogfilefolder='$locallogfilefolder',
                    localfilehandling='$localfilehandling',
                    localmovefileto='$localmovefileto',
                    locallogfilename='$locallogfilename',
                    locallinenumber='$locallinenumber',
                    locallogfilemask='$locallogfilemask',
                    localprocesslastfile='$localprocesslastfile',
                    lpbpicsource='$lpbpicsource',
                    lpbpicprune='$lpbpicprune',
                    lpbpicdelete='$lpbpicdelete',
                    ftpserver='$ftpserver',
                    ftpport='$ftpport',
                    ftppasvftp='$ftppasvftp',
                    ftpusername='$ftpusername',
                    ftppassword='$ftppassword',
                    ftpfolder='$ftpfolder',
                    ftplocalfolder='$ftplocalfolder',
                    ftplinenumber='$ftplinenumber',
                    ftpdeletefiles='$ftpdeletefiles',
                    ftpfilename='$ftpfilename',
                    ftpfilemask='$ftpfilemask',
                    ftpprocesslastfile='$ftpprocesslastfile',
                    fpbpicsource='$fpbpicsource',
                    fpbpicprune='$fpbpicprune',
                    fpbpicdelete='$fpbpicdelete',
                    remoteserver='$remoteserver',
                    remoteport='$remoteport',
                    remotepasvftp='$remotepasvftp',
                    remoteusername='$remoteusername',
                    remotepassword='$remotepassword',
                    remotefolder='$remotefolder',
                    remotelinenumber='$remotelinenumber',
                    remotedeletefiles='$remotedeletefiles',
                    remotelogfilename='$remotelogfilename',
                    remotefilemask='$remotefilemask',
                    remoteprocesslastfile='$remoteprocesslastfile',
                    remotenamelastfile='$remotenamelastfile',
                    rpbpicsource='$rpbpicsource',
                    rpbpicprune='$rpbpicprune',
                    rpbpicdelete='$rpbpicdelete'
                    WHERE sid = '$sid'") or die("<div class=\"option\">Updating server FAILED!<br>".mysql_error()."</div>");
                    action_message(_ad_set_srv_srvupdateok);
                } else {
                    mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsservers set
                    gid='$gid',
                    server='$server',
                    lastupdate='$lastupdate',
                    udpport1='$udpport1',
                    udpport2='$udpport2',
                    rconpassword='$rconpassword',
                    guidserver='$guidserver',
                    amountlogfiles='$amountlogfiles',
                    howtoreadin='$howtoreadin',
                    filterhandling='1',
                    filtertype='1',
                    locallogfilefolder='$locallogfilefolder',
                    localfilehandling='$localfilehandling',
                    localmovefileto='$localmovefileto',
                    locallogfilename='$locallogfilename',
                    locallinenumber='1',
                    localcontentlast='none',
                    locallogfilemask='$locallogfilemask',
                    localprocesslastfile='$localprocesslastfile',
                    localnamelastfile='$localnamelastfile',
                    lpbpicsource='$lpbpicsource',
                    lpbpicprune='$lpbpicprune',
                    lpbpicdelete='$lpbpicdelete',
                    ftpserver='$ftpserver',
                    ftpport='$ftpport',
                    ftppasvftp='$ftppasvftp',
                    ftpusername='$ftpusername',
                    ftppassword='$ftppassword',
                    ftpfolder='$ftpfolder',
                    ftplocalfolder='$ftplocalfolder',
                    ftpdeletefiles='$ftpdeletefiles',
                    ftpfilename='$ftpfilename',
                    ftplinenumber='1',
                    ftpcontentlast='none',
                    ftpfilemask='$ftpfilemask',
                    ftpprocesslastfile='$ftpprocesslastfile',
                    ftpnamelastfile='$ftpnamelastfile',
                    fpbpicsource='$fpbpicsource',
                    fpbpicprune='$fpbpicprune',
                    fpbpicdelete='$fpbpicdelete',
                    remoteserver='$remoteserver',
                    remoteport='$remoteport',
                    remotepasvftp='$remotepasvftp',
                    remoteusername='$remoteusername',
                    remotepassword='$remotepassword',
                    remotefolder='$remotefolder',
                    remotedeletefiles='$remotedeletefiles',
                    remotelinenumber='1',
                    remotecontentlast='none',
                    remotelogfilename='$remotelogfilename',
                    remotefilemask='$remotefilemask',
                    remoteprocesslastfile='$remoteprocesslastfile',
                    remotenamelastfile='$remotenamelastfile',
                    rpbpicsource='$rpbpicsource',
                    rpbpicprune='$rpbpicprune',
                    rpbpicdelete='$rpbpicdelete'
                    ") or die("<div class=\"option\">Adding server FAILED!<br>".mysql_error()."</div>");
                    $result = mysql_query("select sid from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE server='".$server."'");
                    $myrow = mysql_fetch_assoc($result);
                    $sid = $myrow['sid'];
                    action_message(_ad_set_srv_amserveradded);
                }
            } elseif ($sid!="") {
                mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstats where server=$sid")
                or die("<div class=\"option\">Deleting statistics for this server FAILED!<br>".mysql_error()."</div>");
                mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsservers where sid=$sid")
                or die("<div class=\"option\">Deleting server FAILED!<br>".mysql_error()."</div>");


                // delete files in PB folder for this server
                $dir = @opendir($_SESSION['basefolder']."pb-files/") ;
                while ($file = @readdir($dir) ) {
                    if (reset(explode("-", $file)) == $sid) {
                        @unlink($_SESSION['basefolder']."pb-files/".$file);
                    }
                }
                @closedir($dir);

                action_message(_ad_set_srv_amserverdeleted);
                $sid = "";
                $gid = "";
            }
        }
    }

    if ((($gid=="") OR ($gid=="-1")) AND (($sid=="") OR ($sid=="-1"))) {
        echo "<center><div class=\"title\">"._ad_set_srv_header."<br></div><br></center>";
        echo "<div class=\"content\">";

        if ((($gid=="-1") AND ($sid =="")) OR (($gid=="") AND ($sid =="-1"))) {
            action_message(_ad_set_srv_amselectfirst);
        }

        echo "<br>"._ad_set_srv_modifytext;
        echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
        echo "<select name=\"sid\" size=\"1\">";
        echo "<option value =\"-1\">"._ad_set_srv_selectserver."</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers ORDER BY server");
        while($myrow = mysql_fetch_assoc($result)) {
            echo "<option value =\"".$myrow["sid"]."\">";
            echo $myrow["server"]."</option>";
        }
        echo "</select> ";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">"; //PHP-Nuke integration
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_server\">";
        echo "<input type=\"submit\" value=\""._gn_modify."\">";
        echo"</form><br>";
        echo "<br><br>";
        echo "<br>"._ad_set_srv_addtext."<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
        echo "<select name=\"gid\" size=\"1\">";
        echo "<option value =\"-1\">"._ad_set_srv_selectgame."</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames ORDER BY game");
        while($myrow = mysql_fetch_assoc($result)) {
            echo "<option value =\"".$myrow["gid"]."\">";
            echo $myrow["game"]."</option>";
        }
        echo "</select> ";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">"; //PHP-Nuke integration
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_server\">";
        echo "<input type=\"submit\" value=\""._gn_add."\">";
        echo"</form><br>";
    } elseif ($action_llff==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $locallogfilefolder, "Local log file source", "", "", "","");
    } elseif ($action_lmlf==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $localmovefileto, "Move local log files to", "", "", "","");
    } elseif ($action_ff==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $ftpfolder, "FTP server log file source", "", "", "","");
    } elseif ($action_llaf==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $ftplocalfolder, "Local log file archive", "", "", "","");
    } elseif ($action_rf==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $remotefolder, "Remote FTP server log file source", "", "", "","");
    } elseif ($action_lpbpic==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $lpbpicsource, "Local PunkBuster files source", "", "", "","");
    } elseif ($action_fpbpic==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $fpbpicsource, "FTP PunkBuster files source", "", "", "","");
    } elseif ($action_rpbpic==_gn_browse) {
        // call browse function for local log files
        file_browse($sid, $gid, "", $rpbpicsource, "Remote PunkBuster files source", "", "", "","");
    } else {

        if ($action_testftp=="test FTP") {
            // get ftp server settings
            $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
            $row = mysql_fetch_assoc($resultg);
            $ftpserver = $row['ftpserver'];
            $ftpusername = $row['ftpusername'];
            $ftppassword = $row['ftppassword'];
            $ftpport = $row['ftpport'];
            $ftppasv = $row['ftppasvftp'];
            $ftpcon = @ftp_connect($ftpserver, $ftpport, 10);
            $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
            if ((!$ftpcon) || (!$ftplog)) {
                action_message(_ad_set_srv_amftpfailure);
            } else {
                action_message(_ad_set_srv_amftpok);
            }
            @ftp_close($ftpcon);
        } elseif ($action_testremote=="test FTP") {
            // get remote ftp server settings
            $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
            $row = mysql_fetch_assoc($resultg);
            $ftpserver = $row['remoteserver'];
            $ftpusername = $row['remoteusername'];
            $ftppassword = $row['remotepassword'];
            $ftpport = $row['remoteport'];
            $ftppasv = $row['remotepasvftp'];
            $ftpcon = @ftp_connect($ftpserver, $ftpport, 10);
            $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
            if ((!$ftpcon) || (!$ftplog)) {
                action_message(_ad_set_srv_amremotefailure);
            } else {
                action_message(_ad_set_srv_amremoteok);
            }
            @ftp_close($ftpcon);
        }

        echo "<center><div class=\"title\">"._ad_set_srv_header."<br></div><br></center>";
        echo "<div class=\"content\">";

        if ($sid !="") {
            $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
            $row = mysql_fetch_assoc($resultg);
            if ($gid =="") {
                $gid = $row["gid"];
            }
            $server=$row['server'];
            $lastupdate=$row['lastupdate'];
            $udpport1=$row['udpport1'];
            $udpport2=$row['udpport2'];
            $amountlogfiles=$row['amountlogfiles'];
            $rconpassword=$row['rconpassword'];
            $guidserver=$row['guidserver'];
            $howtoreadin=$row['howtoreadin'];
            $filterhandling=$row['filterhandling'];
            $filtertype=$row['filtertype'];
            $locallogfilefolder=$row['locallogfilefolder'];
            $localfilehandling=$row['localfilehandling'];
            $localmovefileto=$row['localmovefileto'];
            $locallogfilename=$row['locallogfilename'];
            $locallinenumber=$row['locallinenumber'];
            $locallogfilemask=$row['locallogfilemask'];
            $localprocesslastfile=$row['localprocesslastfile'];
            $localnamelastfile=$row['localnamelastfile'];
            $lpbpicsource=$row['lpbpicsource'];
            $lpbpicprune=$row['lpbpicprune'];
            $lpbpicdelete=$row['lpbpicdelete'];
            $ftpserver=$row['ftpserver'];
            $ftpport=$row['ftpport'];
            $ftppasvftp=$row['ftppasvftp'];
            $ftpusername=$row['ftpusername'];
            $ftppassword=$row['ftppassword'];
            $ftpfolder=$row['ftpfolder'];
            $ftplocalfolder=$row['ftplocalfolder'];
            $ftplinenumber = $row['ftplinenumber'];
            $ftpdeletefiles=$row['ftpdeletefiles'];
            $ftpfilename=$row['ftpfilename'];
            $ftpfilemask=$row['ftpfilemask'];
            $ftpprocesslastfile=$row['ftpprocesslastfile'];
            $ftpnamelastfile=$row['ftpnamelastfile'];
            $fpbpicsource=$row['fpbpicsource'];
            $fpbpicprune=$row['fpbpicprune'];
            $fpbpicpdelete=$row['fpbpicdelete'];
            $remoteserver=$row['remoteserver'];
            $remoteport=$row['remoteport'];
            $remotepasvftp=$row['remotepasvftp'];
            $remoteusername=$row['remoteusername'];
            $remotepassword=$row['remotepassword'];
            $remotefolder=$row['remotefolder'];
            $remotelinenumber=$row['remotelinenumber'];
            $remotedeletefiles=$row['remotedeletefiles'];
            $remotelogfilename=$row['remotelogfilename'];
            $remotefilemask=$row['remotefilemask'];
            $remoteprocesslastfile=$row['remoteprocesslastfile'];
            $remotenamelastfile=$row['remotenamelastfile'];
            $rpbpicsource=$row['rpbpicsource'];
            $rpbpicprune=$row['rpbpicprune'];
            $rpbpicpdelete=$row['rpbpicdelete'];
        } else {
            $server="";
            $lastupdate="";
            $udpport1="";
            $udpport2="";
            $rconpassword="";
            $guidserver="1";
            $amountlogfiles="";
            $howtoreadin="";
            $filterhandling="1";
            $filtertype="1";
            $locallogfilefolder="";
            $localfilehandling="";
            $localmovefileto="";
            $locallogfilename="";
            $locallinenumber="1";
            $localcontentlast="none";
            $locallogfilemask="";
            $localprocesslastfile="";
            $localnamelastfile="";
            $lpbpicsource="";
            $lpbpicprune="";
            $lpbpicdelete="1";
            $ftpserver="";
            $ftpport="21";
            $ftppasvftp="1";
            $ftpusername="";
            $ftppassword="";
            $ftpfolder="";
            $ftplocalfolder="";
            $ftplinenumber="1";
            $ftpdeletefiles="";
            $ftpfilename="";
            $ftplinenumber="1";
            $ftpcontentlast="none";
            $ftpfilemask="";
            $ftpprocesslastfile="";
            $ftpnamelastfile="";
            $fpbpicsource="";
            $fpbpicprune="";
            $fpbpicdelete="1";
            $remoteserver="";
            $remoteport="21";
            $remotepasvftp="1";
            $remoteusername="";
            $remotepassword="";
            $remotefolder="";
            $remotelinenumber="1";
            $remotedeletefiles="";
            $remotelinenumber="1";
            $remotecontentlast="none";
            $remotelogfilename="";
            $remotefilemask="";
            $remoteprocesslastfile="";
            $remotenamelastfile="";
            $rpbpicsource="";
            $rpbpicprune="";
            $rpbpicdelete="1";
        }

        echo "<br><br><form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">"
        . "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">" //PHP-Nuke integration
        . "<input type=\"hidden\" name=\"func\" value=\"setting_server\">"
        . "<input type=\"hidden\" name=\"sid\" value=\"".$sid."\">";
     
        // General Settings
        echo "<div style=\"width:97%; border:thin solid gray; padding:5px\">"
        . "<div class=\"title\" align=\"center\">"._ad_set_srv_hegeneral."</div><br>";

        // General Settings - Game Type
        $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid ='".$gid."'");
        $row = mysql_fetch_assoc($resultg);
        echo "<br><div class=\"option\">"._ad_set_srv_chgame."</div>";
        echo "<input readonly class= \"content\" size=\"50\" type=\"text\" name=\"server\" value=\"".$row["game"]."\"></font><br><br><br>";
        echo "<input type=\"hidden\" name=\"gid\" value=\"".$gid."\">";

        // read-in gametype information for further use in form
        $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype WHERE gametype ='".$row["gametype"]."'");
        $row = mysql_fetch_assoc($resultg);
        $pbsupport = $row['pbsupport'];
        if ($amountlogfiles =="") {
            $amountlogfiles = $row['logfilesamount'];
        }
        if ($udpport1 =="") {
            $udpport1 = $row['udpport1'];
        }
        if ($udpport2 =="") {
            $udpport2 = $row['udpport2'];
        }
        if ($porcesslastlogfile =="") {
            $porcesslastlogfile = $row['porcesslastlogfile'];
        }
        
        // General Settings - Server Name
        echo "<div class=\"option\">"._ad_set_srv_serverch."</div>";
        echo "<font class=\"content\">"._ad_set_srv_servertext."<br>"
        . "<u>"._gn_attention."</u> "._ad_set_srv_serverattention."";
        echo "<br><br><input class= \"content\" size=\"50\" type=\"text\" name=\"server\" value=\"".$server."\"></font><br><br><br>";

        // General Settings - UDP Port 1
//        echo "<div class=\"option\">"._ad_set_srv_udpportch."</div>";
//        echo "<font class=\"content\">"._ad_set_srv_udpporttext;
//        echo "<br><br><input name=\"udpport1\" value=\"".$udpport1."\" maxlength=\"5\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

        // General Settings - UDP Port 2

        // General Settings - UDP password
/*        echo "<div class=\"option\">RCON Password:</div>";
        echo "<font class=\"content\">Every Game Server can be controlled by sending comands to it via the "
        . "Internet. And also FraXStats does make use of this feature in order to release the game log "
        . "file, so that it can be accessed properly.<br>"
        . "Please specify the RCON password that is valid for your game server, because only with the correct "
        . "RCON password FraXStats can tell the game server to create a new log file.";
        echo "<br><br><input name=\"rconpassword\" value=\"".$rconpassword."\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";
*/
        // General Settings - GUID server
        echo "<div class=\"option\">"._ad_set_srv_guidch."</div>";
        echo "<font class=\"content\">"._ad_set_srv_guidtext;
        echo "<br><br><select name=\"guidserver\" size=\"1\">";
        echo "<option ";
        if ($guidserver == "1") { echo " selected ";}
        echo "value =\"1\">"._ad_set_srv_guidselectyes."</option>";
        echo "<option ";
        if ($guidserver == "2") { echo " selected ";}
        echo "value =\"2\">"._ad_set_srv_guidselectno."</option>";
        echo "</select> ";
        echo "<input type=\"submit\" name=\"action\" value=\""._gn_select."\"><br><br><br>";

        // General Settings - Amount logfiles
        echo "<div class=\"option\">"._ad_set_srv_amountch."</div>";
        echo "<font class=\"content\">"._ad_set_srv_amounttext;
        echo "<br><br><select name=\"amountlogfiles\" size=\"1\">";
        echo "<option ";
        if ($amountlogfiles == "1") { echo " selected ";}
        echo "value =\"1\">"._ad_set_srv_amountone."</option>";
        echo "<option ";
        if ($amountlogfiles == "2") { echo " selected ";}
        echo"value =\"2\">"._ad_set_srv_amountmany."</option>";
        echo "</select> ";
        echo "<input type=\"submit\" name=\"action\" value="._gn_select."><br><br><br>";


        // General Settings - How to read in - local / FTP / remote
        echo "<div class=\"option\">"._ad_set_srv_howtoch."</div>";
        echo "<font class=\"content\">"._ad_set_srv_howtotext
        . "<br><br><u>"._ad_set_srv_howtolocalhe."</u><br>"._ad_set_srv_howtolocalte
        . "<br><br><u>"._ad_set_srv_howtoftphe."</u><br>"._ad_set_srv_howtoftpte
        . "<br><br><u>"._ad_set_srv_howtoremotehe."</u><br>"._ad_set_srv_howtoremotete;
        echo "<br><br><select name=\"howtoreadin\" size=\"1\">";
        echo "<option value =\"0\">"._ad_set_srv_howtoselplease."</option>";
        echo "<option ";
        if ($howtoreadin == "1") { echo " selected ";}
        echo "value =\"1\">"._ad_set_srv_howtosellocal."</option>";
        echo "<option ";
        if ($howtoreadin == "2") { echo " selected ";}
        echo"value =\"2\">"._ad_set_srv_howtoselftp."</option>";
        echo "<option ";
        if ($howtoreadin == "3") { echo " selected ";}
        echo "value =\"3\">"._ad_set_srv_howtoselremote."</option>";
        echo "</select> ";
        echo "<input type=\"submit\" name=\"action\" value="._gn_select."><br><br><br>";

        if ($howtoreadin == "1") {
            // Read-in Local Settings
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
            . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
            . "<div class=\"title\" align=\"center\">"._ad_set_srv_helocal."</div><br><br>";

            // Read-in Local - General - Folder of log files
            echo "<div class=\"option\">"._ad_set_srv_localsourcehe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_localsourcete;
            echo "<br><br><input name=\"locallogfilefolder\" value=\"".$locallogfilefolder."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            echo "<input type=\"submit\" name=\"action_llff\" value="._gn_browse."><br><br><br>";

            // Read-in Local - General - Delete or move log files after process
            echo "<div class=\"option\">"._ad_set_srv_localhandlehe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_localhandlete;
            echo "<br><br><select name=\"localfilehandling\" size=\"1\">";
            echo "<option ";
            if ($localfilehandling == "1") { echo " selected ";}
            echo "value =\"1\">"._ad_set_srv_localhandlemove."</option>";
            echo "<option ";
            if ($localfilehandling == "2") { echo " selected ";}
            echo"value =\"2\">"._ad_set_srv_localhandledel."</option>";
            echo "</select><br><br><br>";

            // Read-in Local - General - If move where to
            echo "<div class=\"option\">"._ad_set_srv_localmovetohe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_localmovetote;
            echo "<br><br><input name=\"localmovefileto\" value=\"".$localmovefileto."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            echo "<input type=\"submit\" name=\"action_lmlf\" value="._gn_browse."><br><br><br>";

            // Read-in Local - General - Linenumber
            echo "<div class=\"option\">"._ad_set_srv_locallinenumberhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_locallinenumberte;
            echo "<br><br><input name=\"locallinenumber\" value=\"".$locallinenumber."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br>";

            // Read-in Local - General - Folder of PunkBuster files
            // show only if GUID server is selected and if game supports PunkBuster
            if (($guidserver == "1") and ($pbsupport == "1")) {
                // Read-in Local PB Settings
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_helocalpb."</div><br><br>";

                // dispaly folder field
                echo "<div class=\"option\">"._ad_set_srv_localpbpicfolderhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicfolderte;
                echo "<br><br><input name=\"lpbpicsource\" value=\"".$lpbpicsource."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
                echo "<input type=\"submit\" name=\"action_lpbpic\" value="._gn_browse."><br><br><br>";

                // dispaly prune time
                echo "<div class=\"option\">"._ad_set_srv_localpbpicprunehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicprunete;
                echo "<br><br><input name=\"lpbpicprune\" value=\"".$lpbpicprune."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

/*                // dispaly delete source
                echo "<div class=\"option\">"._ad_set_srv_localpbpicdeletehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicdeletete;
                echo "<br><br><select name=\"lpbpicdelete\" size=\"1\">";
                echo "<option ";
                if ($lpbpicdelete == "1") { echo " selected ";}
                echo "value =\"1\">"._ad_set_srv_localpbpicdeleteyes."</option>";
                echo "<option ";
                if ($lpbpicdelete == "2") { echo " selected ";}
                echo"value =\"2\">"._ad_set_srv_localpbpicdeleteno."</option>";
                echo "</select><br><br><br>";*/
            } else {
                // if not GUID server make sure that folder field is empty
                echo "<br><br><input type=\"hidden\" name=\"lpbpicsource\" value=\"\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            }

            if ($amountlogfiles == "1") {
                // Read-in Local - One log File
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_localonehe."</div><br><br>";

                // Read-in Local - One log File - File name
                echo "<div class=\"option\">"._ad_set_srv_localonenamehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localonenamete;
                echo "<br><br><input name=\"locallogfilename\" value=\"".$locallogfilename."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";

                // Read-in Local - One log File - Other information not relevant
                // Read-in Local - One log File - Line number last processed
                // Read-in Local - One log File - Content first line
                // Read-in Local - One log File - Content last processed line
            } else {
                // Read-in Local - Several log Files
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_localmanyhe."</div><br><br>";

                // Read-in Local - Several log Files - File name mask
                echo "<div class=\"option\">"._ad_set_srv_localmanymaskhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localmanymaskte;
                echo "<br><br><input name=\"locallogfilemask\" value=\"".$locallogfilemask."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

/*                // Read-in Local - Several log Files - Process last log file?
                echo "<div class=\"option\">Process latest log file</div>";
                echo "<font class=\"content\">Usually FraXStats will handle the file handling of the latest (last) "
                . "log file for you but if you experience problems that data gets imported twice or that you receive an "
                . "error message during the import then, and only then, you should switch this setting to \"No\".";
                echo "<br><br><select name=\"localprocesslastfile\" size=\"1\">";
                echo "<option ";
                if ($localprocesslastfile == "1") { echo " selected ";}
                echo "value =\"1\">Yes</option>";
                echo "<option ";
                if ($localprocesslastfile == "2") { echo " selected ";}
                echo"value =\"2\">No</option>";
                echo "</select><br><br><br>";
*/
                // Read-in Local - Several log Files - Other information not relevant
                // Read-in Local - Several log Files - PLLF - Line number last processed
                // Read-in Local - Several log Files - PLLF - Content first line
                // Read-in Local - Several log Files - PLLF - Content last processed line
                // Read-in Local - Several log Files - Name of last processed file
            }
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>";

        } elseif ($howtoreadin == "2") {

            // FTP - General
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
            . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
            . "<div class=\"title\" align=\"center\">"._ad_set_srv_heftp."</div><br><br>";

            // FTP - General - FTP Server
            echo "<div class=\"option\">"._ad_set_srv_ftpsrvhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpsrvte."<br>"
            . _gn_attention." "._ad_set_srv_ftpsrvattention."<br>"
            . _ad_set_srv_ftpsrvex1."<br>"
            . _ad_set_srv_ftpsrvex2."<br>"
            . _ad_set_srv_ftpsrvex3."<br>";
             echo "<br><br><input name=\"ftpserver\" value=\"".$ftpserver."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // FTP - General - FTP Port
            echo "<div class=\"option\">"._ad_set_srv_ftpporthe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpportte;
            echo "<br><br><input name=\"ftpport\" value=\"".$ftpport."\" maxlength=\"5\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // FTP - General - FTP Pasive FTP
            echo "<div class=\"option\">"._ad_set_srv_ftppassivehe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftppassivete."<br>"
            . _gn_attention." "._ad_set_srv_ftppassiveattention;
            echo "<br><br><select name=\"ftppasvftp\" size=\"1\">";
            echo "<option ";
            if ($ftppasvftp == "0") { echo " selected ";}
            echo "value =\"0\">"._ad_set_srv_ftppassiveseloff."</option>";
            echo "<option ";
            if ($ftppasvftp == "1") { echo " selected ";}
            echo"value =\"1\">"._ad_set_srv_ftppassiveselon."</option>";
            echo "</select><br><br><br>";

            // FTP - General - FTP Username
            echo "<div class=\"option\">"._ad_set_srv_ftpuserhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpuserte;
            echo "<br><br><input name=\"ftpusername\" value=\"".$ftpusername."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // FTP - General - FTP Password
            echo "<div class=\"option\">"._ad_set_srv_ftppasshe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftppasste;
            echo "<br><br><input name=\"ftppassword\" value=\"".$ftppassword."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br>";
            echo "<input type=\"submit\" name=\"action_testftp\" value=\""._ad_set_srv_ftptest."\"><br><br><br>";

            // FTP - General - FTP Folder of log files
            echo "<div class=\"option\">"._ad_set_srv_ftplocationhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftplocationte;
            echo "<br><br><input name=\"ftpfolder\" value=\"".$ftpfolder."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            echo "<input type=\"submit\" name=\"action_ff\" value="._gn_browse."><br><br><br>";

            // FTP - General - Local archive folder
            echo "<div class=\"option\">"._ad_set_srv_ftparchivehe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftparchivete;
            echo "<br><br><input name=\"ftplocalfolder\" value=\"".$ftplocalfolder."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            echo "<input type=\"submit\" name=\"action_llaf\" value="._gn_browse."><br><br><br>";

            // FTP - General - Delete files after process?
            echo "<div class=\"option\">"._ad_set_srv_ftpdelhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpdelte;
            echo "<br><br><select name=\"ftpdeletefiles\" size=\"1\">";
            echo "<option ";
            if ($ftpdeletefiles == "1") { echo " selected ";}
            echo "value =\"1\">"._gn_yes."</option>";
            echo "<option ";
            if ($ftpdeletefiles == "2") { echo " selected ";}
            echo"value =\"2\">"._gn_no."</option>";
            echo "</select><br><br><br>";

            // FTP - General - last processed line number
            echo "<div class=\"option\">"._ad_set_srv_locallinenumberhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_locallinenumberte;
            echo "<br><br><input name=\"ftplinenumber\" value=\"".$ftplinenumber."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br>";

            // FTP - General - Folder of PunkBuster files
            // show only if GUID server is selected and if game supports PunkBuster
            if (($guidserver == "1") and ($pbsupport == "1")) {
                // FTP PB Settings
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_heftppb."</div><br><br>";

                // dispaly folder field
                echo "<div class=\"option\">"._ad_set_srv_localpbpicfolderhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicfolderte;
                echo "<br><br><input name=\"fpbpicsource\" value=\"".$fpbpicsource."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
                echo "<input type=\"submit\" name=\"action_fpbpic\" value="._gn_browse."><br><br><br>";

                // dispaly prune time
                echo "<div class=\"option\">"._ad_set_srv_localpbpicprunehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicprunete;
                echo "<br><br><input name=\"fpbpicprune\" value=\"".$fpbpicprune."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

/*                // dispaly delete source
                echo "<div class=\"option\">"._ad_set_srv_localpbpicdeletehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicdeletete;
                echo "<br><br><select name=\"fpbpicdelete\" size=\"1\">";
                echo "<option ";
                if ($fpbpicdelete == "1") { echo " selected ";}
                echo "value =\"1\">"._ad_set_srv_localpbpicdeleteyes."</option>";
                echo "<option ";
                if ($fpbpicdelete == "2") { echo " selected ";}
                echo"value =\"2\">"._ad_set_srv_localpbpicdeleteno."</option>";
                echo "</select><br><br><br>";*/
            } else {
                // if not GUID server make sure that folder field is empty
                echo "<br><br><input type=\"hidden\" name=\"fpbpicsource\" value=\"\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            }

            if ($amountlogfiles == "1") {
                // FTP - One log File
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_ftponehe."</div><br><br>";

                // FTP - One log File - File name
                echo "<div class=\"option\">"._ad_set_srv_ftponenamehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_ftponenamete;
                echo "<br><br><input name=\"ftpfilename\" value=\"".$ftpfilename."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

                // FTP - One log File - Other information not relevant
                // FTP - One log File - Line number last processed
                // FTP - One log File - Content first line
                // FTP - One log File - Content last processed line
            } else {
                // FTP - Several log Files
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_ftpmanyhe."</div><br><br>";

                // FTP - Several log Files - File name mask
                echo "<div class=\"option\">"._ad_set_srv_ftpmanymaskhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_ftpmanymaskte;
                echo "<br><br><input name=\"ftpfilemask\" value=\"".$ftpfilemask."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

                // FTP - Several log Files - Process last log file?
/*                echo "<div class=\"option\">Process latest log file</div>";
                echo "<font class=\"content\">Usually FraXStats will deal the file handling of the latest (last) "
                . "log file for you but if you experience problems that data gets imported twice or that you receive an "
                . "error message during the import then, and only then, you should switch this setting to \"No\".";
                echo "<br><br><select name=\"ftpprocesslastfile\" size=\"1\">";
                echo "<option ";
                if ($ftpprocesslastfile == "1") { echo " selected ";}
                echo "value =\"1\">Yes</option>";
                echo "<option ";
                if ($ftpprocesslastfile == "2") { echo " selected ";}
                echo"value =\"2\">No</option>";
                echo "</select><br><br><br>";
*/
                // FTP - Several log Files - Other information not relevant
                // FTP - Several log Files - PLLF - Line number last processed
                // FTP - Several log Files - PLLF - Content first line
                // FTP - Several log Files - PLLF - Content last processed line
                // FTP - Several log Files - Name of last processed file
            }
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>";

        } elseif ($howtoreadin == "3") {

            // Remote - General
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
            . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
            . "<div class=\"title\" align=\"center\">"._ad_set_srv_heremote."</div><br><br>";

            // Remote - General - FTP Server
            echo "<div class=\"option\">"._ad_set_srv_remotesrvhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpsrvte."<br>"
            . _gn_attention." "._ad_set_srv_ftpsrvattention."<br>"
            . _ad_set_srv_ftpsrvex1."<br>"
            . _ad_set_srv_ftpsrvex2."<br>"
            . _ad_set_srv_ftpsrvex3."<br>";
             echo "<br><br><input name=\"remoteserver\" value=\"".$remoteserver."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // Remote - General - FTP Port
            echo "<div class=\"option\">"._ad_set_srv_remoteporthe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpportte;
            echo "<br><br><input name=\"remoteport\" value=\"".$remoteport."\" maxlength=\"5\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // Remote - General - FTP Pasive FTP

            // Remote - General - FTP Username
            echo "<div class=\"option\">"._ad_set_srv_remoteuserhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftpuserte;
            echo "<br><br><input name=\"remoteusername\" value=\"".$remoteusername."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

            // Remote - General - FTP Password
            echo "<div class=\"option\">"._ad_set_srv_remotepasshe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftppasste;
            echo "<br><br><input name=\"remotepassword\" value=\"".$remotepassword."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br>";
            echo "<input type=\"submit\" name=\"action_testremote\" value=\"test FTP\"><br><br><br>";

            // Remote - General - FTP Folder of log files
            echo "<div class=\"option\">"._ad_set_srv_remotelocationhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_ftplocationte;
            echo "<br><br><input name=\"remotefolder\" value=\"".$remotefolder."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            echo "<input type=\"submit\" name=\"action_rf\" value="._gn_browse."><br><br><br>";

            // Remote - General - Last processed line number
            echo "<div class=\"option\">"._ad_set_srv_locallinenumberhe."</div>";
            echo "<font class=\"content\">"._ad_set_srv_locallinenumberte;
            echo "<br><br><input name=\"remotelinenumber\" value=\"".$remotelinenumber."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br>";

            // Remote - Folder of PunkBuster files
            // show only if GUID server is selected and if game supports PunkBuster
            if (($guidserver == "1") and ($pbsupport == "1")) {
                // Remote PB Settings
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_heremotepb."</div><br><br>";

                // dispaly folder field
                echo "<div class=\"option\">"._ad_set_srv_localpbpicfolderhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicfolderte;
                echo "<br><br><input name=\"rpbpicsource\" value=\"".$rpbpicsource."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
                echo "<input type=\"submit\" name=\"action_rpbpic\" value="._gn_browse."><br><br><br>";

                // dispaly prune time
                echo "<div class=\"option\">"._ad_set_srv_localpbpicprunehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicprunete;
                echo "<br><br><input name=\"rpbpicprune\" value=\"".$rpbpicprune."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

/*                // dispaly delete source
                echo "<div class=\"option\">"._ad_set_srv_localpbpicdeletehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_localpbpicdeletete;
                echo "<br><br><select name=\"rpbpicdelete\" size=\"1\">";
                echo "<option ";
                if ($rpbpicdelete == "1") { echo " selected ";}
                echo "value =\"1\">"._ad_set_srv_localpbpicdeleteyes."</option>";
                echo "<option ";
                if ($rpbpicdelete == "2") { echo " selected ";}
                echo"value =\"2\">"._ad_set_srv_localpbpicdeleteno."</option>";
                echo "</select><br><br><br>";*/
            } else {
                // if not GUID server make sure that folder field is empty
                echo "<br><br><input type=\"hidden\" name=\"rpbpicsource\" value=\"\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font> ";
            }

            // Remote - General - Delete files after process?
            // Remote - General - Other information not relevant
            // Remote - General - Line number last processed
            // Remote - General - Content first line
            // Remote - General - Content last processed line

            if ($amountlogfiles == "1") {

                // Remote - One log File
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_remoteonehe."</div><br><br>";

                // Remote - One log File - File name
                echo "<div class=\"option\">"._ad_set_srv_ftponenamehe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_ftponenamete;
                echo "<br><br><input name=\"remotelogfilename\" value=\"".$remotelogfilename."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";


            } else {
                // Remote - Several log Files
                echo "<br><div align=\"right\">"
                . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>"
                . "</div><br><br><div style=\"width:97%; border:thin solid gray; padding:5px\">"
                . "<div class=\"title\" align=\"center\">"._ad_set_srv_remotemanyhe."</div><br><br>";

                // Remote - Several log Files - File name mask
                echo "<div class=\"option\">"._ad_set_srv_ftpmanymaskhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_ftpmanymaskte;
                echo "<br><br><input name=\"remotefilemask\" value=\"".$remotefilemask."\" maxlength=\"250\" class=\"content\" size=\"50\" type=\"text\"></font><br><br><br>";

                // Remote - Several log Files - Copy, move or delete them
                echo "<div class=\"option\">"._ad_set_srv_remotedelhe."</div>";
                echo "<font class=\"content\">"._ad_set_srv_remotedelte;
                echo "<br><br><select name=\"remotedeletefiles\" size=\"1\">";
                echo "<option ";
                if ($remotedeletefiles == "1") { echo " selected ";}
                echo "value =\"1\">"._ad_set_srv_remoteseldel."</option>";
                echo "<option ";
                if ($remotedeletefiles == "2") { echo " selected ";}
                echo"value =\"2\">"._ad_set_srv_remtoeselren."</option>";
                echo "</select><br><br><br>";

                // Remote - Several log Files - Process last log file?
                // Remote - Several log Files - Other information not relevant
                // Remote - Several log Files - Name of last processed file
            }
            echo "<br><div align=\"right\">"
            . "<input type=\"submit\" name=\"action\" value="._gn_save."></div>";
        }

        echo "</form>";
        echo "</div>";
        }
    echo "</div>";
}









//  SETTING PLAYERFILTER @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function setting_playerfilter($sid, $action) {

    echo "<center><div class=\"title\">"._ad_set_usrfilter_header."</div></center><br><br>";
    echo "<div class=\"content\">";

    if ($action!="") {

        if ($sid!= "-1") {
            // Read in all variables
            $filterhandling = $_POST["filterhandling"];
            $filtertype = $_POST["filtertype"];

            $ftype = $_POST["ftype"];
            if (!$ftype) { $ftype = $_GET["ftype"];}
            $useridfilter = $_POST["useridfilter"];
            if (!$useridfilter) { $useridfilter = $_GET["useridfilter"];}
            $filterdescription = $_POST["filterdescription"];
            if (!$filterdescription) { $filterdescription = $_GET["filterdescription"];}
            

            // display server name
            $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
            $row = mysql_fetch_assoc($resultg);
            echo "<font class=\"option\">"._ad_set_usrfilter_server.": </font>";
            echo "<font class=\"content\">".$row["server"]."</font><br><br>";

            // Check if record has been added or deleted 
            if ($action=="add"){
                // add a new filter to the list
                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsuseridfilter SET sid = '$sid', userid = '$useridfilter', name = '$filterdescription'")
                or die();
                action_message(_ad_set_usrfilter_lastadded);
            } elseif ($action=="delete"){
                // delete filter from the list
                mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsuseridfilter WHERE sid=$sid AND userid='$useridfilter'")
                or die();
                action_message(_ad_set_usrfilter_lastdelete);

            } elseif ($action=="changehandling") {
                // Set filter handling to readin or showing filter
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET filterhandling = '$filterhandling' WHERE sid=$sid")
                or die();
                action_message(_ad_set_usrfilter_lastfilterchange);
            } elseif ($action=="changetype") {
                // Set filter type to positive or negative filtering
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET filtertype = '$filtertype' WHERE sid=$sid")
                or die();
                action_message(_ad_set_usrfilter_lasttypechange);
            }


            // Show form with GUID and Name field, 
            // add and remove button and list of existing filters 
            echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
            echo "<font class=\"option\">"._ad_set_usrfilter_listheader.":</font><font class=\"tiny\"> "._ad_set_usrfilter_listheader2."</font><br>";
            echo "<select class=\"content\" name=\"useridfilter\" size=\"7\" style=\"font-family:Fixedsys,Courier; padding:10px;\">";
            $result = mysql_query("SELECT * from ".$_SESSION['dbprefix']."_fraxstatsuseridfilter WHERE sid=".$sid." ORDER BY name");
            $i=0;
            while($row = mysql_fetch_assoc($result)) {
                echo "<option value=\"".$row["userid"]."\">".$row["userid"]."  |  ".$row["name"]."</option>";
                $i++;
            }
            if ($i==0) {
                echo "<option value=\"none\">"._ad_set_usrfilter_listempty."</option>";
            }
            echo "</select><br><br>";
            echo "<input type=\"hidden\" name=\"action\" value=\"delete\">";
            echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
            echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
            echo "<input type=\"hidden\" name=\"func\" value=\"setting_playerfilter\">";
            echo "<input type=\"submit\" value=\""._ad_set_usrfilter_delete."\">";
            echo "</form><br>";

            // Java Script for input check @@@@@@@@@@@@@@@@@@@@@
            echo "<script type=\"text/javascript\"><!--
            function check_input() {
              if(document.add.useridfilter.value == \"\")  {
                alert(\""._ad_set_usrfilter_warningid."!\");
                document.add.useridfilter.focus();
                return false;
              }
              if(document.add.filterdescription.value == \"\")  {
                alert(\""._ad_set_usrfilter_warningname."!\");
                document.add.filterdescription.focus();
                return false;
              }
              return true;
            }
            //--></script>";

            // Field for input of new filters
            echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\" name=\""._ad_set_usrfilter_add."\" onSubmit=\"return check_input();\">";
            echo "<div class=\"option\">"._ad_set_usrfilter_addfilter.":</div>";
            echo ""._ad_set_usrfilter_userid.":<br>";
            echo "<input type=\"text\" name=\"useridfilter\" maxlength=\"20\" size=\"20\" value=\"\">";
            echo "<br><br>";
            echo _ad_set_usrfilter_name.":<br>";
            echo "<input type=\"text\" name=\"filterdescription\" maxlength=\"30\" size=\"30\" value=\"\"><br><br>";
            echo "<input type=\"hidden\" name=\"action\" value=\"add\">";
            echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
            echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
            echo "<input type=\"hidden\" name=\"func\" value=\"setting_playerfilter\">";
            echo "<input type=\"submit\" value=\""._ad_set_usrfilter_add."\">";
            echo "</form><br><br>";

            // Show form to change filter handling
            $result = mysql_query("SELECT filterhandling from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid=".$sid);
            $row = mysql_fetch_assoc($result);
            $filterhandling = $row['filterhandling'];
            if ($filterhandling =="") {
                $filterhandling = "1";
            }
            echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
            echo "<div class=\"option\">"._ad_set_usrfilter_filterhandling.":</div>";

            echo "<input type=\"radio\" name=\"filterhandling\" ";
            if ($filterhandling == "1") { echo "checked ";}
            echo "value =\"1\">"._ad_set_usrfilter_filterhandling1."<br>";
            echo "<input type=\"radio\" name=\"filterhandling\" ";
            if ($filterhandling == "2") { echo "checked ";}
            echo "value =\"2\">"._ad_set_usrfilter_filterhandling2."<br>";

            echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
            echo "<input type=\"hidden\" name=\"action\" value=\"changehandling\">";
            echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
            echo "<input type=\"hidden\" name=\"func\" value=\"setting_playerfilter\">";
            echo "<br><input type=\"submit\" value=\""._ad_set_usrfilter_change."\">";
            echo "</form><br>";

            // Show form to change filter type
            $result = mysql_query("SELECT filtertype from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid=".$sid);
            $row = mysql_fetch_assoc($result);
            $filtertype = $row['filtertype'];
            if ($filtertype =="") {
                $filtertype = "1";
            }
            echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
            echo "<div class=\"option\">"._ad_set_usrfilter_filtertype.":</div>";

            echo "<input type=\"radio\" name=\"filtertype\" ";
            if ($filtertype == "1") { echo "checked ";}
            echo "value =\"1\">"._ad_set_usrfilter_filtertype1."<br>";
            echo "<input type=\"radio\" name=\"filtertype\" ";
            if ($filtertype == "2") { echo "checked ";}
            echo "value =\"2\">"._ad_set_usrfilter_filtertype2."<br>";

            echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
            echo "<input type=\"hidden\" name=\"action\" value=\"changetype\">";
            echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">";
            echo "<input type=\"hidden\" name=\"func\" value=\"setting_playerfilter\">";
            echo "<br><input type=\"submit\" value=\""._ad_set_usrfilter_change."\">";
            echo "</form><br>";

            echo "</div>";
        } else {
            $action = "";
        }
    }

    if ($action =="") {
        if ($sid =="-1") {
            action_message(_ad_set_usrfilter_amselectsrv);
        }

        echo _ad_set_usrfilter_text."<br><br>"
        . _gn_attention." "._ad_set_usrfilter_attention."<br><br>";

        echo "<br>"._ad_set_usrfilter_textmodify."<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\"><br>";
        echo "<select name=\"sid\" size=\"1\">";
        echo "<option value =\"-1\">"._ad_set_usrfilter_selecthere."</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers ORDER BY server");
        while($myrow = mysql_fetch_assoc($result)) {
            echo "<option value =\"".$myrow["sid"]."\">";
            echo $myrow["server"]."</option>";
        }
        echo "</select> ";
        echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">"; //PHP-Nuke integration
        echo "<input type=\"hidden\" name=\"func\" value=\"setting_playerfilter\">";
        echo "<input type=\"hidden\" name=\"action\" value=\"modify\">";
        echo "<input type=\"submit\" value=\""._gn_modify."\">";
        echo"</form><br>";

    }
}





?>

