<?php
session_start();

/**********************************************************************************************/
/*  FraXStats, the most flexible game server stats - http://www.FraXStats.com                 */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2006 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation.                           */
/*                                                                                            */
/**********************************************************************************************/


// ### Lanugage ###
define("_sel_language","The currently choosen language is English.");



// ### General terms   ###

define("_gn_go","go");
define("_gn_selecthere","[Please select here]");
define("_gn_select","Select");
define("_gn_apply","Apply");
define("_gn_nextpage","Next");
define("_gn_previouspage","Previous");
define("_gn_choose","Choose");
define("_gn_attention","ATTENTION:");
define("_gn_execute","execute");
define("_gn_save","save");
define("_gn_ok","ok");
define("_gn_modify","modify");
define("_gn_add","add");
define("_gn_browse","browse");
define("_gn_yes","yes");
define("_gn_no","no");
define("_gn_lastactionresult","FraXStats Status");
define("_gn_click_to_continue","Please click here to continue.");
define("_gn_errormsg","ERROR");



// ### Main stats screen   ###

define("_ms_game","Game");
define("_ms_choosestatsheader","Choose your stats here");
define("_ms_chooseplayer","Statistics per Player");
define("_ms_choosemap","Statistics per Map");
define("_ms_chooseweapon","Statistics per Weapon");
define("_ms_choosegametype","Statistics per Gametype");
define("_ms_chooseweaponbody","Kills per Weapon per Bodypart");
define("_ms_choosebodydamage","Kills per Bodypart per Damage Type");
define("_ms_choosedetailed","Detailed player stats");
define("_ms_choosechat","InGame Chats");
define("_ms_choosenamehistory","Player names history (all servers)");
define("_ms_choosepbscreens","PunkBuster screen shots");
define("_ms_instructions","Instructions");
define("_ms_update","Update Statistics");
define("_ms_filterheader","Enable Filter");
define("_ms_filterexplenation","(To select another item of the same filter please select \"show all\" first.)");
define("_ms_filtershowall","Show all");
define("_ms_filterserver","Server / Last updated");
define("_ms_filterplayer","Player");
define("_ms_filtermap","Map");
define("_ms_filterweapon","Weapon");
define("_ms_filtergametype","Gametype");
define("_ms_filterteam","Team");
define("_ms_filterbodypart","Bodypart");
define("_ms_filterdamagetype","Damage Type");
define("_ms_chats_sayteam","team");
define("_ms_chats_saypublic","public");
define("_ms_chatsheaderplayer","Player");
define("_ms_chatsheadergametype","Gametype");
define("_ms_chatsheadermap","Map");
define("_ms_chatsheaderlevel","Level");
define("_ms_chatsheadertext","Text - Message");
define("_ms_name_current","Current Name");
define("_ms_name_history","History");
define("_ms_detailed_playerneeded","Please select a player from the filter.");
define("_ms_detailed_serverneeded","Please select a server from the filter.");
define("_ms_detailed_selectcompare","Compare with Player");
define("_ms_detailed_top","top of page");
define("_ms_detailed_total","Total");
define("_ms_detailed_player","Player");
define("_ms_detailed_weapon","Weapon");
define("_ms_detailed_map","Map");
define("_ms_detailed_team","Team");
define("_ms_detailed_gametype","Gametype");
define("_ms_detailed_bodypart","Bodypart");
define("_ms_detailed_damagedby","Damaged by");
define("_ms_detailed_perrounds","Per 100 rounds");
define("_ms_detailed_percentage","Percentage");
define("_ms_detailed_nodata","Sorry, no data to compare with");
define("_ms_detailed_nopbfiles","There are currently no PunkBuster screen shots available for this server.");



// ### Game selection screen   ###

define("_gs_header","Please select a game from the list");
define("_gs_selectgame","Select game");
define("_gs_nogame","No game specified, please specify at least one game in the admin panel");



// ### Instruction window   ###

define("_in_title","FraXStats Instructions");
define("_in_header","FraXStats Instructions");
define("_in_generalheader","General Guidelines");
define("_in_generaltext","First you select the kind of statistic you like to have from the left side. You choose to see stats per weapon, per map, per bodypart, etc.");
define("_in_filterheader","Filters");
define("_in_filtertext","Done that you can use the filters to narrow down your results. With no filter set you see all the information about this statistics accross all servers forthis game as well as all maps, gametypes, etc.<br>Just select the filters you like to have, one by one and click \"2. Step\" each time. If you like to select another entry of the same filter you have to choose \"show all\" first. This is done in order to prevent from showing a empty result page to you because of selecting an empty filter.");
define("_in_sortingheader","Sorting Columns");
define("_in_sortingtext","By default the stats are sorted in ascending order on the \"Kills\" column. But if you want to sort it descending just click on the header of the \"Kills\" column. To sort it by any other column just click on the header of it.<br>By this system you can figure out what ever you like to know and wish to trace. For more information have a look further down in the examples section.");
define("_in_compareheader","Compare Players");
define("_in_comparetext","With the \"User Statistics\" you see all available details about one (or two) player(s) down to the most available level. And if you want you can compare this player with another player, just select the desired player from \"3. Step\".<br>All the filters are available as for any other statistic.");
define("_in_examplesheader","Examples");
define("_in_request","Request");
define("_in_solution","Solution");
define("_in_question1","Who is the best player (with most kills) per map?");
define("_in_answer1","- Select \"Statistics per Player\" and click \"1. Step\".<br>- Select the desired map from the filter \"Map\" and click \"2. Step\".");
define("_in_question2","Which player (player A or player B) is doing more head shot kills?");
define("_in_answer2","- Select \"User Statistics\" and click \"1. Step\".<br>- Select \"player A\" from the filter \"Player\" and click \"2. Step\".<br>- Select \"player B\" from from the \"Compare Player with\" and click \"3. Step\".<br>- Scroll down to the \"Did Kill - Bodypart\" section and have a look at the line \"head\".");
define("_in_question3","Which weapon is the best for a specific game type?");
define("_in_answer3","- Select \"Statistics per Weapon\" and click \"1. Step\".<br>- Select the desired gametype from the filter \"Gametype\" and click \"2. Step\".");
define("_in_close","close window");



// ### ADMIN File Browser   ###

define("_ad_check_text1","The following files / folders are not writeable by FraXStats. Please set the permissions accordingly. This is usually done with the use of the chmod function of your FTP prgram. Use this funciton  to set the chmod value to \"0777\" on the listed files / folders:");
define("_ad_check_folder","Folder");
define("_ad_check_file","File");
define("_ad_check_text2","Make sure that these the permission for these folders is set correctly and this message is not shown anymore before you continue.");



// ### ADMIN File Browser   ###

define("_ad_browse_title","FraXStats File Browser");
define("_ad_browse_header","File Browser");
define("_ad_browse_pathlocal","Path to log files on local machine");
define("_ad_browse_pathftp","FTP path to log files");
define("_ad_browse_purpose","Purpse");
define("_ad_browse_game","Game");
define("_ad_browse_server","Server");
define("_ad_browse_errorconnect","ERROR: Couldn't connect to");
define("_ad_browse_errorlogin1","ERROR: Couldn't login to");
define("_ad_browse_errorlogin2",", please check user name and password.");
define("_ad_browse_currentpath","Current path");
define("_ad_browse_directories","Directories to change to");
define("_ad_browse_selectup","[One level up]");
define("_ad_browse_changedir","change dir");
define("_ad_browse_selectdir","select dir");
define("_ad_browse_filesdir","Files in current directory");
define("_ad_browse_close","close window");



### ADMIN Settings Player Filter   ###

define("_ad_set_usrfilter_title","FraXStats Player Filter");
define("_ad_set_usrfilter_header","Player Filters");
define("_ad_set_usrfilter_game","Game");
define("_ad_set_usrfilter_server","Server");
define("_ad_set_usrfilter_lastaction","Last action");
define("_ad_set_usrfilter_lastdelete","Player has been deleted.");
define("_ad_set_usrfilter_lastadded","Spieler wurde hinzugefgt.");
define("_ad_set_usrfilter_lasttypechange","The type of this filter has been changed");
define("_ad_set_usrfilter_lastfilterchange","Filter handling has been changed");
//define("_ad_set_usrfilter_lastwindow","Window just opened");
define("_ad_set_usrfilter_listheader","Current filter");
define("_ad_set_usrfilter_listheader2","(User ID | Name/Description)");
define("_ad_set_usrfilter_listempty","[the filter list is currently empty]");
define("_ad_set_usrfilter_delete","delete");
define("_ad_set_usrfilter_warningid","Please enter value in User ID field");
define("_ad_set_usrfilter_warningname","Please enter value in Name/Description field");
define("_ad_set_usrfilter_add","add");
define("_ad_set_usrfilter_addfilter","Add filter");
define("_ad_set_usrfilter_userid","User ID");
define("_ad_set_usrfilter_name","Name / Description");
define("_ad_set_usrfilter_add","add");
define("_ad_set_usrfilter_filterhandling","Filter handling");
define("_ad_set_usrfilter_filterhandling1","ALL players are held in the database. Recommended!");
define("_ad_set_usrfilter_filterhandling2","Only filtered players are read in to the database.");
define("_ad_set_usrfilter_change","change");
define("_ad_set_usrfilter_filtertype","Filter type");
define("_ad_set_usrfilter_filtertype1","Players form the above list are NOT shown for this server.");
define("_ad_set_usrfilter_filtertype2","ONLY players from the above list are shown for this server.");
define("_ad_set_usrfilter_close","close window");
define("_ad_set_usrfilter_amselectsrv","Please select a server.");
define("_ad_set_usrfilter_text","The player filters are very powerful and should therefore be used with care!<br><br>"
        . "There are generally two possibilities to filter players in your statistics.<br><br>"
        . "The first one is to not import them in first place. This is very good because they "
        . "will not take space on your server database. However this system is that smart that it will than also"
        . "not count any action that is connected to those players. Meaning that if a player that is "
        . "denied by a filter is shooting a player that is allowed by the filter will not count in the stats. "
        . "Which is as it should be, because interaction with a denied player does not count.<br><br>"
        . "The other selection possibility you have is to count any interaction with any player, but to only show "
        . " those players which are allowed by this filter.");
define("_ad_set_usrfilter_attention","What ever you choose don't change it once you have imported the first data into a server or it may result in inconsitent information and the stats might be all wrong. If you are not sure then leave it to default settings, that is the best to start with.");
define("_ad_set_usrfilter_textmodify","To modify an existing server please select here:");
define("_ad_set_usrfilter_selecthere","[Please select server]");
define("_ad_set_usrfilter_added","Player has been added.");




// ### ADMIN Welcome screen   ###

define("_ad_wc_successlogin","Successfully logged in to FraXStats.");
define("_ad_wc_header","Welcome to FraXStats...");
define("_ad_wc_text","Herewith you can administrate your version of FraXStats.");
define("_ad_wc_section1","Settings");
define("_ad_wc_ch1_header","General Settings");
define("_ad_wc_ch1_text","Here you can specify general settings for FraXStats, like table colours, header text, minimum kills, etc.");
define("_ad_wc_ch2_header","MySQL Settings");
define("_ad_wc_ch2_text","During the installation process you have specified the settings to connect to your MySQL server, but if you need to change the settings for any reason you can do that here.");
define("_ad_wc_ch3_header","Database Tables");
define("_ad_wc_ch3_text","All the tables have been created during the installation, but should you like to start from scratch then you can delete the data you want to in here.");
define("_ad_wc_ch4_header","Player Filter");
define("_ad_wc_ch4_text","You want to limit the statistics to certain players or you want to exclude certain player? It's all done here.");
define("_ad_wc_ch5_header","Columns Order");
define("_ad_wc_ch5_text","In different stats you like to show different columns and here you can specify them.");
define("_ad_wc_ch5_attention","Even so all text is comming from the language file you have to change the header text your self, in here.");
define("_ad_wc_ch6_header","Available Games");
define("_ad_wc_ch6_text","All games that are supported by FraXStats are listed here. You can chose the once you like to use and give them a custom name.");
define("_ad_wc_ch7_header","Server Settings");
define("_ad_wc_ch7_text","Here you specify all the necessary information for FraXStats to import the log files. Stuff like the FTP details, log file name, import type you want to use, etc.");
define("_ad_wc_section2","Actions");
define("_ad_wc_ch8_header","Import");
define("_ad_wc_ch8_text","With this function you can import all the games / servers you want to.");
define("_ad_wc_ch9_header","Prune");
define("_ad_wc_ch9_text","In order to not have too much data or old data in your statistics you can herewith delete it.");
define("_ad_wc_section3","Others");
define("_ad_wc_ch10_header","Logout FXS");
define("_ad_wc_ch10_text","It say's it all, log out of FraXStats.");
define("_ad_wc_ch11_header","Hide PHP-Nuke");
define("_ad_wc_ch11_text","This will hide the PHP-Nuke admin menu so that you have more screen space for FraXStats. Once you are done with FraXStats you can easily turn it back on again.");
define("_ad_wc_ch12_header","Show PHP-Nuke");
define("_ad_wc_ch12_text","This will show the PHP-Nuke admin menu.");



// ### ADMIN Prune   ###

define("_ad_pr_header","Prune Statistics");
define("_ad_pr_text","Herewith you keep your tables up to date and can delete old or too much data. This helps you too keep FraXStats running smoothly and to your wishes. Please fill in the date and / or the minimum kills that a player must have.");
define("_ad_pr_dateheader","Date");
define("_ad_pr_datetext","Please enter a date to specify that all records older than the date given will deleted from your statistics.");
define("_ad_pr_datehint","calculated out of days specified in General Settings.");
define("_ad_pr_killsheader","Kills");
define("_ad_pr_killstext","Please enter the amount of kills a player must at least have in order to be listed in your server statistics with FraXStats. Value in field is taken from the General Settings.");
define("_ad_pr_actheader","Please wait...");
define("_ad_pr_acttext","Cleaning of the database is in progess, please wait.");
define("_ad_pr_doneheader","Done");
define("_ad_pr_donetext1","Your statistics have been cleaned up.<br>This operation took");
define("_ad_pr_donetext2","seconds.");
define("_ad_pr_sucessmsg","Data successfully pruned.");



// ### ADMIN Logout   ###

define("_ad_lo_am","Successfully logged out of FraXStats.");
define("_ad_lo_text","Thank you very much for using FraXStats...");



// ### ADMIN Main   ###

define("_ad_main_header","Administration of");
define("_ad_main_nukeon","PHP-Nuke menu has been switched on.");
define("_ad_main_nukeoff","PHP-Nuke menu has been switched off.");



// ### ADMIN Settings General   ###

define("_ad_set_gen_header","General Settings");
define("_ad_set_gen_am_savedok","General config data has been saved successfully.");
define("_ad_set_gen_am_savefailed","Updating general config data failed.");
define("_ad_set_gen_ch1_header","Language:");
define("_ad_set_gen_ch1_text","Please select the language you want FraXStats to be:");
define("_ad_set_gen_ch1_droplist","[Please select language]");
define("_ad_set_gen_ch2_header","Time per step in seconds:");
define("_ad_set_gen_ch2_text","Please specify the amount of time in seconds that the import function can use the most in one go.<br>"
        . "FraXStats did try to set this value to 600 - 5, but the result of it is depending on the permissions of your PHP settings. If it is not possible to change this value than FraXStats will use the default value the server returns to FraXStats.<br><br>"
        . "Usually there is no need to change this value, but if you do please make sure it is within your server specifications.");
define("_ad_set_gen_ch2_attention","Please pay close attention to the fact that the import function is a very processor intensive function and due to the fact that PHP has a maximum execution time for scripts it could happen that the "
        . "script times out and you get an error message. In this case you should lower this value and try again. Repeat this until the script runs fine. I made several tests and with a value of the script did run fine on all servers that I have tested.");
define("_ad_set_gen_ch2_infheader","Information:");
define("_ad_set_gen_ch2_information","Should your logfile import crash, it will not mess up your life data as it will be read into a temporary database first and only if the import runs smothly it will be copied and added to your life data.");
define("_ad_set_gen_ch2_seconds","Seconds:");
define("_ad_set_gen_ch3_header","Header FraXStats statistic page:");
define("_ad_set_gen_ch3_text","Enter the header text you want to be shown in the FraXStats page.");
define("_ad_set_gen_ch3_head1","Header 1st line:");
define("_ad_set_gen_ch3_head2","Header 2nd line:");
define("_ad_set_gen_ch4_header","Background colours for tables:");
define("_ad_set_gen_ch4_text","These three values are defining the background colours of the tables that are showing all the statistics. Depending on the stylesheet template that you are using you may want to change these values.");
define("_ad_set_gen_ch4_head","Header:");
define("_ad_set_gen_ch4_odd","Odd lines:");
define("_ad_set_gen_ch4_even","Even lines:");
define("_ad_set_gen_ch4_over","On Mouse Over:");
define("_ad_set_gen_ch5_header","Minimum kills:");
define("_ad_set_gen_ch5_text","Please enter here the minimum amount a player has to have in order to be listed in the statistics. Also player with less will be delted in order to keep your database small and efficient.");
define("_ad_set_gen_ch5_value","Value:");
define("_ad_set_gen_ch6_header","Maximum age of records:");
define("_ad_set_gen_ch6_text","Here you can specify after how many days the data shall get deleted. This means that any record older than the days specified here will be deleted.<br>You may enter '999' if you dont want to delete any data at all, but this is not recommended. Recommended is a value of about 30 days.");
define("_ad_set_gen_ch6_days","Days:");
define("_ad_set_gen_ch7_header","Minimum time between user updates:");
define("_ad_set_gen_ch7_text","Please specify the minimum time in minutes between the user updates of the statistics. A good value is the default 5 minutes.");
define("_ad_set_gen_ch7_minutes","Minutes:");



### ADMIN mySQL Settings   ###

define("_ad_set_mys_setwrong","The settings you have specified do not work!");
define("_ad_set_mys_settings","Please check the following values and try again:");
define("_ad_set_mys_servername","Server name:");
define("_ad_set_mys_username","User name:");
define("_ad_set_mys_password","Password:");
define("_ad_set_mys_database","Database:");
define("_ad_set_mys_prefix","Prefix for database table names:");
define("_ad_set_mys_notcreated","Config file has NOT been created.");
define("_ad_set_mys_nodatabase","Could connect to the server, but not find the database.");
define("_ad_set_mys_notsaved","ERROR: Data could not be saved.");
define("_ad_set_mys_am_configok","Config file and tables created.");
define("_ad_set_mys_configtableok1","Config File has been created successfully and all tables have been initialised.");
define("_ad_set_mys_configtableok2","Config file and tables created.");
define("_ad_set_mys_configok1","Config File has been created successfully.");
define("_ad_set_mys_configok2","Config file has been created.");
define("_ad_set_mys_header","Set Database Connection Values");
define("_ad_set_mys_text","Please specify here the values for the connection to your database.");
define("_ad_set_mys_prefixhint","(Don't use a dash (-) in this field.)");
define("_ad_set_mys_pwheader","Password to login at FraXStats");
define("_ad_set_mys_pwtext","Password to login to FraXStats:");
define("_ad_set_mys_pwhint","(Only fill in to set new password.)");



### ADMIN Table Settings   ###

define("_ad_set_tbl_delfail","Could not delete table");
define("_ad_set_tbl_delok","sucessfully deleted.");
define("_ad_set_tbl_notcreated","NOT all tables created.");
define("_ad_set_tbl_createfail","Could not create table");
define("_ad_set_tbl_createok","sucessfully created.");
define("_ad_set_tbl_defaultfail","Could not set default values for");
define("_ad_set_tbl_defaultfail1","NOT all tables created.");
define("_ad_set_tbl_defaultok","default settings sucessfully set.");
define("_ad_set_tbl_am_allok","All requested tables created/reset sucessfully.");
define("_ad_set_tbl_confirmword","yes");
define("_ad_set_tbl_amconfirmfail","The confirmation word is not correct.");
define("_ad_set_tbl_header","Create / Reset Tables");
define("_ad_set_tbl_text","This function will create all necessary databases for you and will DELETE all your data should you have any. Should you update from an earlier version of FraXStats than this function will update your current datebase.<br>"
    . "NOTE: If you want ALL databases to be created/reset just tick ALL in the bottom of the list and leave the rest empty.");
define("_ad_set_tbl_select","Please select data you want to be reset/created:");
define("_ad_set_tbl_confirmhint","To continue please write YES into the following line.");
define("_ad_set_tbl_confirmheader","Confirmation:");
define("_ad_set_tbl_confirmnegative","no");



### ADMIN Game List   ###

define("_ad_set_gam_header","Games List");
define("_ad_set_gam_text","Add games that you like to have statistics for. Once done you can add different servers to each game.");
define("_ad_set_gam_attention","Deleting a game will also delete all servers and the statistics which are stored for this game.");
define("_ad_set_gam_deleteok","Game has been deleted sucessfully.");
define("_ad_set_gam_updateok","Game has been updated sucessfully.");
define("_ad_set_gam_addedok","Game has been added sucessfully.");
define("_ad_set_gam_selectfirst","Please select a game.");
define("_ad_set_gam_gamename","Game Title / Custom Name");
define("_ad_set_gam_gamehint","(empty to delete)");
define("_ad_set_gam_gameselect","[Please select game]");
define("_ad_set_gam_addnew","add new");



### ADMIN Columns Order   ###

define("_ad_set_col_header","Select columns and their order");
define("_ad_set_col_amselect","Please select a game type to be modified.");
define("_ad_set_col_selectgame","[Select game type]");
define("_ad_set_col_updateok","Columns order updated successfully.");
define("_ad_set_col_gtheader","Game Type:");
define("_ad_set_col_text","On the left hand side downwards you see all the differnet statistics that will be shown in the different categories that you see in the top row from left to right. If you want a specific column not to be shown then leave it empty. In the \"Order\" column you can enter a number and letter combination of up to three characters. The system will sort them in alphabetical order and show the columns in this order.");
define("_ad_set_col_attention1","Please be aware of the fact that lower case letters are sorted before upper case letters.");
define("_ad_set_col_attention2","Leaving field \"ALL\" empty results in column not being shown in any statistic at all.");
define("_ad_set_col_description","Description");
define("_ad_set_col_order","Order");
define("_ad_set_col_showstats","Show in selected statistic");
define("_ad_set_col_weapon","Weapon");
define("_ad_set_col_map","Map");
define("_ad_set_col_guid","Player");
define("_ad_set_col_bodypart","Bodypart");
define("_ad_set_col_gametype","Gametype");
define("_ad_set_col_detailed","Detailed");
define("_ad_set_col_all","All");



### ADMIN Server Settings   ###

define("_ad_set_srv_amlocalpathupdate","Local log file path updated.");
define("_ad_set_srv_amlocalmoveupdate","Local log file move-to path updated.");
define("_ad_set_srv_amftppathupdate","FTP server log file path updated.");
define("_ad_set_srv_amftparchiveupdate","Local log file archive path updated.");
define("_ad_set_srv_amremotepathupdate","Remote FTP server log file path updated.");
define("_ad_set_srv_ampbpicupdate","PunkBuster source file path updated.");
define("_ad_set_srv_amserveradded","Server has been added sucessfully.");
define("_ad_set_srv_amserverdeleted","Server has been deleted sucessfully.");
define("_ad_set_srv_header","Server Settings");
define("_ad_set_srv_amselectfirst","Please select a game or a server.");
define("_ad_set_srv_modifytext","To modify an existing server please select here:");
define("_ad_set_srv_selectserver","[Please select server]");
define("_ad_set_srv_addtext","To add a new server to a game please select the game here:");
define("_ad_set_srv_selectgame","[Please select game]");
define("_ad_set_srv_amftpfailure","Could not connect or login to FTP server.");
define("_ad_set_srv_amftpok","FTP settings are working properly.");
define("_ad_set_srv_amremotefailure","Could not connect or login to Remote FTP server.");
define("_ad_set_srv_amremoteok","Remote FTP settings are working properly.");
define("_ad_set_srv_hegeneral","General");
define("_ad_set_srv_chgame","Game:");
define("_ad_set_srv_serverch","Server name:");
define("_ad_set_srv_servertext","To delete a server please empty the Server Name field and click on change.");
define("_ad_set_srv_serverattention","This will also delete the statistics which where stored for this server.");
define("_ad_set_srv_udpportch","UDP Port:");
define("_ad_set_srv_udpporttext","Every Game Server can be controlled by sending comands to it via the Internet. And also FraXStats does make use of this feature in order to release the game log file, so that it can be accessed properly. Please specify the UDP Port that is valid for your game server. Usually the default value is correct and there should be no need to change this value.");
define("_ad_set_srv_guidch","GUID Server:");
define("_ad_set_srv_guidtext","Please select whether or not this is a LAN server, meaning that a unique player ID is not available. If you decide that it is NOT a GUID server then the player names will be used and transfered into player IDs. If you are not sure what this means leave it as is (yes).");
define("_ad_set_srv_guidselectyes","Yes, this is a GUID server.");
define("_ad_set_srv_guidselectno","No, this is a LAN only server.");
define("_ad_set_srv_amountch","Amount of Log Files:");
define("_ad_set_srv_amounttext","Usually there is no need to change this value, FraXStats knows which Game creates one and which game creates several log files. However if you have a add-on installed that does it differently than you can chose a different option here.");
define("_ad_set_srv_amountone","Only one log file");
define("_ad_set_srv_amountmany","Several log files");
define("_ad_set_srv_howtoch","How to read-in Log Files:");
define("_ad_set_srv_howtotext","Please select how you would like to read-in log files. There are different methods of doing this and your selection depends on your envinronment. They also have different pros and cons.");
define("_ad_set_srv_howtolocalhe","Local Source");
define("_ad_set_srv_howtolocalte","This is the best option if your game and web server are on the same machine. It is the fastest method to import the data. You can also chose this option if you want to copy the log files yourself.");
define("_ad_set_srv_howtoftphe","Copy with FTP");
define("_ad_set_srv_howtoftpte","If your game server is running on a different machine than this function will first copy the log files and than import them. If you want it can also delete the log files on the game server, once they are copied to the server here.");
define("_ad_set_srv_howtoremotehe","Process Remotely");
define("_ad_set_srv_howtoremotete","This option will import the data directly from the game server log file, without copying the data first. It will not do anything with the log files, but read them in. You have to manage them yourself. ATTENTION: This only works if your game server is capable of transmitting FTP data in pasive mode.");
define("_ad_set_srv_howtosellocal","Read-in from Local Source");
define("_ad_set_srv_howtoselftp","Copy with FTP first");
define("_ad_set_srv_howtoselremote","Process Remotely");
define("_ad_set_srv_howtoselplease","[Please select type]");
define("_ad_set_srv_helocal","Read-in from Local Source - General");
define("_ad_set_srv_helocalpb","Read-in from Local Source - PunkBuster");
define("_ad_set_srv_heftppb","Copy with FTP - PunkBuster");
define("_ad_set_srv_heremotepb","Remote - PunkBuster");
define("_ad_set_srv_localpbpicfolderhe","PunkBuster Files Source");
define("_ad_set_srv_localpbpicfolderte","If you wish you can specify the path for the PunkBuster files on your game server. FraXStats will copy them and provide them together with all the other statistics. Usually this folder is called 'PB' and is located directly in the game folder, next to the 'main' folder. ATTENTION: You have to select the folder 'svss' within the 'PB' folder, so that you see the png and html files in the bottom window.");
define("_ad_set_srv_localpbpicprunehe","PunkBuster Prune Time");
define("_ad_set_srv_localpbpicprunete","Specify the time in days after which you want FraXStats to delete screen shots in the statistics. Recommendation is to set it to 90 days, but that depends on how often you request a screen shot. However you may also enter a 0 (zero) in order to never delete them. You will than have to delete them manually.");
define("_ad_set_srv_localpbpicdeletehe","PunkBuster Delete Source");
define("_ad_set_srv_localpbpicdeletete","Please select whether or not you would like to delete the source files after they have been copied or not.");
define("_ad_set_srv_localpbpicdeleteyes","Yes, delete source files.");
define("_ad_set_srv_localpbpicdeleteno","No, don't delete source files.");
define("_ad_set_srv_localsourcehe","Source of log file(s):");
define("_ad_set_srv_localsourcete","Please specify the directory where the log files for this game can be picked up. You may use the browse function if you wish.");
define("_ad_set_srv_localhandlehe","Move or Delete Log Files:");
define("_ad_set_srv_localhandlete","Please select whether you want to move or delete the log files after they have been processed. If you chose to move them please specify where you would like them to be moved to.");
define("_ad_set_srv_localhandlemove","Move Log Files");
define("_ad_set_srv_localhandledel","Delete Log Files");
define("_ad_set_srv_localmovetohe","Move log file(s) to:");
define("_ad_set_srv_localmovetote","If you selected to move the log files then please specify here the directory to which they shall be moved.");
define("_ad_set_srv_locallinenumberhe","Last processed line number:");
define("_ad_set_srv_locallinenumberte","If you have to read in a log file again AND ONLY THAN, then please ensure that this counter is set to zero (0).");
define("_ad_set_srv_localonehe","Read-in from Local Source - One Log File");
define("_ad_set_srv_localonenamehe","File Name of Log File:");
define("_ad_set_srv_localonenamete","Please specify the file name of the log file that you want to import. Please don't use jokers (* or ?) as FraXStats will only import the first file found with the matching criteria.");
define("_ad_set_srv_localmanyhe","Read-in from Local Source - Several Log Files");
define("_ad_set_srv_localmanymaskhe","File Name Mask of Log File:");
define("_ad_set_srv_localmanymaskte","Please specify the file name mask (e.g. \"*.log\" or \"games*.log\") to specify the log files that you want to import.");
define("_ad_set_srv_heftp","Copy with FTP - General");
define("_ad_set_srv_ftppbpiche","PunkBuster Files Source");
define("_ad_set_srv_ftppbpicte","If you wish you can specify the path for the PunkBuster files on your game server. FraXStats will copy them and provide them together with all the other statistics. Usually this folder is called 'PB' and is located directly in the game folder, next to the 'main' folder.");
define("_ad_set_srv_ftpsrvhe","FTP Server:");
define("_ad_set_srv_ftpsrvte","Please specify the FTP server on which your game log files can be found.");
define("_ad_set_srv_ftpsrvattention","Do NOT write FTP:// or HTTP:// or others in the beginning, just the name or IP address.");
define("_ad_set_srv_ftpsrvex1","ftp.jolt.co.uk");
define("_ad_set_srv_ftpsrvex2","multidemo.org");
define("_ad_set_srv_ftpsrvex3","193.231.22.34:21");
define("_ad_set_srv_ftpporthe","FTP Port:");
define("_ad_set_srv_ftpportte","Port number 21 is the default port for a FTP connection, but if your FTP server is running on a different port then you can change it here.");
define("_ad_set_srv_ftppassivehe","FTP Pasive FTP:");
define("_ad_set_srv_ftppassivete","If the FTP server is behind a Firewall then this setting should be disabled, otherwise turn it on.");
define("_ad_set_srv_ftppassiveattention","If the FTP test succeeded, but the file access/transfer fails then you should try to change this setting and see if it solves the issue.");
define("_ad_set_srv_ftppassiveseloff","Pasive FTP disabled");
define("_ad_set_srv_ftppassiveselon","Pasive FTP enabled");
define("_ad_set_srv_ftpuserhe","FTP Username:");
define("_ad_set_srv_ftpuserte","Usually a FTP server requires a user name and password in order to to login to it. Please specify the user name here.");
define("_ad_set_srv_ftppasshe","FTP Password:");
define("_ad_set_srv_ftppasste","Usually a FTP server requires a user name and password in order to to login to it. Please specify the password here.");
define("_ad_set_srv_ftptest","test FTP");
define("_ad_set_srv_ftplocationhe","FTP Log File Location:");
define("_ad_set_srv_ftplocationte","Please specify the directory on the FTP server as where the log files can be picked up. You may use the browse function if you wish.");
define("_ad_set_srv_ftparchivehe","Local Archive folder:");
define("_ad_set_srv_ftparchivete","Location on this FraXStats server where you would like to archive the log files after they have been read in.");
define("_ad_set_srv_ftpdelhe","Delete FTP Log Files after import");
define("_ad_set_srv_ftpdelte","Please chose whether or not you want FraXStats to delete the log files that have been created on this web server after they have been imported to FraXStats or not.");
define("_ad_set_srv_ftponehe","Copy with FTP - One Log File");
define("_ad_set_srv_ftponenamehe","File name of log file:");
define("_ad_set_srv_ftponenamete","Please enter the file name of the log file you would like to be imported.");
define("_ad_set_srv_ftpmanyhe","Copy with FTP - Several Log Files");
define("_ad_set_srv_ftpmanymaskhe","File mask of log file:");
define("_ad_set_srv_ftpmanymaskte","Please enter the file mask of the log files you would like to be imported. A file mask implicates that you use jokers (? and *) to specify a group of files.");
define("_ad_set_srv_heremote","Read-in from Remote Location - General");
define("_ad_set_srv_remotepbpiche","PunkBuster Files Source");
define("_ad_set_srv_remotepbpicte","If you wish you can specify the path for the PunkBuster files on your game server. FraXStats will copy them and provide them together with all the other statistics. Usually this folder is called 'PB' and is located directly in the game folder, next to the 'main' folder.");
define("_ad_set_srv_remotesrvhe","Remote FTP Server:");
define("_ad_set_srv_remoteporthe","Remote FTP Port:");
define("_ad_set_srv_remoteuserhe","Remote FTP Username:");
define("_ad_set_srv_remotepasshe","Remote FTP Password:");
define("_ad_set_srv_remotelocationhe","Remote FTP Log File Location:");
define("_ad_set_srv_remoteonehe","Read-in from Remote Location - One Log File");
define("_ad_set_srv_remotemanyhe","Read-in from Remote Location - Several Log Files");
define("_ad_set_srv_remotedelhe","Rename or Delete Remote Log Files after import");
define("_ad_set_srv_remotedelte","Please chose whether or not you want FraXStats to rename or delete the log files on your game server after they have been imported to FraXStats or not. A rename will add '.done' at the end of the files.");
define("_ad_set_srv_remoteseldel","Delete log files from game server");
define("_ad_set_srv_remoteselren","Rename log files on game server");
define("_ad_set_srv_srvupdateok","Server has been updated sucessfully.");




### ADMIN Import Import-Function   ###

define("_ad_imp_imp_mainheader","Import game log files");
define("_ad_imp_imp_restartsuccess","Script sucessfully restarted.");
define("_ad_imp_imp_gameselected","Game selected successfully.");
define("_ad_imp_imp_gamenotselected","No game selected, please select a game.");
define("_ad_imp_imp_serverselected","Server selected sucessfully.");
define("_ad_imp_imp_servernotselected","No server selected, please select a server.");
define("_ad_imp_imp_pleaseselect","Please select a game from the list.");
define("_ad_imp_imp_selectgame","Select Game:");
define("_ad_imp_imp_gameselect","[Please select game]");
define("_ad_imp_imp_selectedgame","Selected Game:");
define("_ad_imp_imp_selectserver","Please select a server:");
define("_ad_imp_imp_selectedserver","Selected Server:");
define("_ad_imp_imp_allserver","All servers");
define("_ad_imp_imp_nologfiles","No log files found to process.");
define("_ad_imp_imp_logfileis","Log file to porcess is");
define("_ad_imp_imp_ftpconnecterror","A connection to the FTP server could not be established");
//define("_ad_imp_imp_ftpconnecterror2","Could not connect or login to FTP server.");
define("_ad_imp_imp_heimportlog","Import Action Log");
define("_ad_imp_imp_maxtime1","Maximum script execution time is set to");
define("_ad_imp_imp_maxtime2","seconds");
define("_ad_imp_imp_gameimport","game selected for import.");
define("_ad_imp_imp_serverimport","server selected for import.");
define("_ad_imp_imp_foldererror","Could NOT access folder");
//define("_ad_imp_imp_errorcreatefolder2","Please make sure that file permission on this folder are set correct.");
//define("_ad_imp_imp_errorcreatefolderhe","Could not create local log file folder.");
define("_ad_imp_imp_msgconnectftp1","Currently connecting to FTP server");
define("_ad_imp_imp_msgconnectftp2","using port");
define("_ad_imp_imp_ftpconnectsuccess","Successfully connected to the FTP server.");
define("_ad_imp_imp_ftppassiveon","Passive mode for FTP connection enabled.");
define("_ad_imp_imp_changefolder1","Changed to");
define("_ad_imp_imp_changefolder2","folder.");
define("_ad_imp_imp_copyerror1","The file");
define("_ad_imp_imp_copyerror2","could NOT be copied.");
//define("_ad_imp_imp_copyerrorhe","Could not copy the log file.");
define("_ad_imp_imp_copysuccess1","Log file");
define("_ad_imp_imp_copysuccess2","successfully copied to");
define("_ad_imp_imp_msglogpermokay","Log file permissions set successfully.");
define("_ad_imp_imp_msglogpermerror","ATTENTION: Log file permissions NOT set successfully.");
define("_ad_imp_imp_erroropenfile1","The file");
define("_ad_imp_imp_erroropenfile2","could not be opened.");
//define("_ad_imp_imp_erroropenfilehe","Could not open the log file.");
define("_ad_imp_imp_opensuccess1","Log file");
define("_ad_imp_imp_opensuccess2","successfully opened.");
define("_ad_imp_imp_msgreadingin","Currently reading-in log file.");
define("_ad_imp_imp_msgmethod1","Using");
define("_ad_imp_imp_msgmethod2","function to read-in the log file.");
define("_ad_imp_imp_msgamountlines","lines have been processed.");
define("_ad_imp_imp_msgimpdone1","Import done,");
define("_ad_imp_imp_msgimpdone2","lines got processed.");
define("_ad_imp_imp_msgrecords","records have been created.");
define("_ad_imp_imp_msgdbcopy","Currently copying data into life table.");
define("_ad_imp_imp_dbcopyerror","Could not copy temp stats into life stats.");
//define("_ad_imp_imp_errordbcopyhe","Error copying stats.");
define("_ad_imp_imp_msgdbcopyokay","All data copied into life stats successfully.");
define("_ad_imp_imp_msgserverflagset","Server update flag set successfully.");
define("_ad_imp_imp_msgdeleting","Currently deleting/moving log file.");
define("_ad_imp_imp_msgmethodmoved","moved successfully");
define("_ad_imp_imp_msgmethoddeleted","deleted successfully.");
define("_ad_imp_imp_msgmethoddone","Log file");
define("_ad_imp_imp_msgcontinuenext1","Continuing reading in");
define("_ad_imp_imp_msgcontinuenext2","next time.");
define("_ad_imp_imp_deletedokay1","Log file");
define("_ad_imp_imp_deletedokay2","deleted successfully.");
define("_ad_imp_imp_deleteerror1","Log file");
define("_ad_imp_imp_deleteerror2","could not be deleted.");
//define("_ad_imp_imp_deleteerrorhe","Error deleting log file.");
define("_ad_imp_imp_msgftpdeleteokay1","Log file");
define("_ad_imp_imp_msgftpdeleteokay2","deleted successfully.");
define("_ad_imp_imp_msgrenameokay1","Log file");
define("_ad_imp_imp_msgrenameokay2","successfully renamed to");
define("_ad_imp_imp_msgonlyonefile","Only one log file to execute. Settings saved.");
define("_ad_imp_imp_msgpruning","Currently pruning data.");
define("_ad_imp_imp_playersdeleted1","Deleted");
define("_ad_imp_imp_playersdeleted2","players because they have less than");
define("_ad_imp_imp_playersdeleted3","kill(s).");
define("_ad_imp_imp_timedeleted1","Deleted");
define("_ad_imp_imp_timedeleted2","records because older than");
define("_ad_imp_imp_timedeleted3","days.");
define("_ad_imp_imp_msgoptimizing","Currently optimizing data.");
define("_ad_imp_imp_erroroptstats","Could not optimize stats table.");
//define("_ad_imp_imp_erroroptheader","Error optimizing tables.");
define("_ad_imp_imp_errorptplayers","Could not optimize players table.");
define("_ad_imp_imp_msgoptokay","All tables got optimized.");
define("_ad_imp_imp_msgmoreservers","Checking for more servers.");
define("_ad_imp_imp_msgnextserver","Next server to import:");
define("_ad_imp_imp_msgnomoreservers","No more servers for this game to import.");
define("_ad_imp_imp_msgalldone","All data has been updated.");
define("_ad_imp_imp_msgdonewell","All data imported successfully.");
define("_ad_imp_imp_msgdonefailed","All data imported, but some errors occured, please check this log for occurance of ### ERROR ###.");
define("_ad_imp_imp_pbcopying","Currently copying PunkBuster files.");
define("_ad_imp_imp_pbfolderexits","Folder for PB files already exists.");
define("_ad_imp_imp_pbfolderfailed","PunkBuster folder for this server could NOT be created.");
define("_ad_imp_imp_pbfolderok","PunkBuster folder created successfully.");
define("_ad_imp_imp_pbmovedok1","PB file");
define("_ad_imp_imp_pbmovedok2","successfully moved.");
define("_ad_imp_imp_pbmovefailed1","PB file");
define("_ad_imp_imp_pbmovefailed2","could NOT be moved.");
define("_ad_imp_imp_pbcopyok","PunkBuster screen shots copied successfully.");




### ADMIN Import Error Message Display   ###

define("_ad_imp_err_sqlmaintext","ERROR: the MySQL command could not be performed because of the following error message:");
define("_ad_imp_err_sqlnumber","Error number:");
define("_ad_imp_err_sqlmessage","Error description:");



### ADMIN Import CoD read-in   ###

define("_ad_imp_cod_msgplayerid","Game given player ID in use.");
define("_ad_imp_cod_msgcalcid","Calculating player ID by player name.");
define("_ad_imp_cod_msgprocessing1","Processing:");
define("_ad_imp_cod_msgprocessing2","seconds");
define("_ad_imp_cod_msgprocessing3","lines");
define("_ad_imp_cod_msgcorrectling","Correct line to continue reached:");
define("_ad_imp_cod_msginitline","Init Line with stop signal reached.");


?>