<?php
session_start();



//  ### language files ###
// English     myself -
// German      myself -
// Dansk       Flemming
// Norwegian   Cyclop
// Polnish     Thomas
// Italian     Angelo
// French      Michael + Patricia



/**********************************************************************************************/
/*  FraXStats, the most flexible game server stats - http://www.FraXStats.com                 */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2006 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation.                           */
/*                                                                                            */
/**********************************************************************************************/

/*****************      Function Library for all IMPORT functions      ************************/






//  ACTION IMPORT @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function action_import($gid, $sid, $step, $recall) {


    // determine if admin mode or visitor mode
    if (unserialize($_SESSION['port']) =="") {
        // set index.php as launch file if called by page visitor
        $implauncher = $_SESSION['phpfile'];
        
        // get header information
        $result = mysql_query("select cobgtbhe, cobgtbod, cobgtbev, statsheader1, statsheader2 from ".$_SESSION['dbprefix']."_fraxstatsconfig LIMIT 1");
        $row = mysql_fetch_assoc($result);
        $cobgtbhe = $row["cobgtbhe"];
        $cobgtbod = $row["cobgtbod"];
        $cobgtbev = $row["cobgtbev"];
        $statsheader1 = $row["statsheader1"];
        $statsheader2 = $row["statsheader2"];

        // show visitor header
        echo "<a name=\"#top\">&nbsp;</a>";
        echo "<table class=\"content\" width=\"800\"  valign=\"top\" border=\"0\"><tr><td width=\"300\">";
        echo "<div align=\"center\"><span style=\"color:".$cobgtbev."; font-weight:bold; font-size:200%\">".$statsheader1."</span><span style=\"color:".$cobgtbod.";font-weight:bold; font-size:150%\"><br>".$statsheader2."</span><br><br><br></div>";

        // show action bar at this position
        show_action();
    } else {
        // set admin\index.php as launch file if this function is called by admin
        $implauncher = $_SESSION['mainadmfile'];
        
        // display admin header
        echo "<br><br><div class=\"title\"><center>"._ad_imp_imp_mainheader."</center></div><br><br>";
    }

    //reset old session variables
    unset($_SESSION['linecounter']);
    unset($_SESSION['importcounter']);

    // fill variables from recall function to continue
    if ($recall == "true") {
        $step = $_SESSION['tstep'];
        $gid = $_SESSION['tgid'];
        $sid = $_SESSION['tsid'];
        $total = $_SESSION['linecounter'];
        import_message(_ad_imp_imp_restartsuccess,1);
    } else {
        // if not restart then reset certain variables
        unset($_SESSION['imperror']);
    }

    // open one server after another
    // if no server selected then select first server
    if (($sid =="A") AND (!$_SESSION['allservers'])) {
        $_SESSION['allservers']=true;
        $result = mysql_query("select sid, server from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE gid = '".$gid."' ORDER BY sid");
        $row = mysql_fetch_assoc($result);
        $sid = $row["sid"];
    }

    //check if game has been selected
    if ($step=="step_server") {
        if ($gid!="-1") {
            action_message(_ad_imp_imp_gameselected);
        } else {
            $step="step_game";
            action_message(_ad_imp_imp_gamenotselected);
        }
    }

    //check if server has been selected
    if ($step=="step_copy") {
        if ($sid!="-1") {
            action_message(_ad_imp_imp_serverselected);
        } else {
            $step="step_server";
            action_message(_ad_imp_imp_servernotselected);
        }
    }



// 1.  step_game - Select game / all games
    if (($step == "") or ($step=="step_game")) {

        //reset variables
        unset($_SESSION['import_message']);
        unset($_SESSION['allservers']);

        //show selection of game
        echo "<div class=\"option\">"._ad_imp_imp_pleaseselect."</div><br>";
        echo "<form class=\"form\" method=\"post\" action=\"".$implauncher."\">";
        echo "<div class=\"option\">"._ad_imp_imp_selectgame."</div>";
        echo "<select name=\"gid\"size=\"1\">";
        echo "<option value =\"-1\">"._ad_imp_imp_gameselect."</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames ORDER BY game");
        while($row = mysql_fetch_assoc($result)) {
            $gid = $row["gid"];
            $game = $row["game"];
            echo "<option value =\"".$gid."\">";
            echo $game."</option>";
        }
        echo "</select>&nbsp;"
        . "<input type=\"hidden\" name=\"func\" value=\"action_import\">"
        . "<input type=\"hidden\" name=\"step\" value=\"step_server\">"
        . "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">" //PHP-Nuke integration
        . "<input type=\"submit\" value=\""._gn_select."\">"
        . "</form><br>";
    }



// 2.  step_server - Select server / all servers
    if ($step=="step_server") {

        // show game name
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid = '".$gid."'");
        $row = mysql_fetch_assoc($result);
        $game = $row["game"];
        echo "<font class=\"option\">"._ad_imp_imp_selectedgame." </font><font class=\"content\">".$game."</font><br><br>";

        // show selection of server
        echo "<form class=\"form\" method=\"post\" action=\"".$implauncher."\">";
        echo "<div class=\"option\">"._ad_imp_imp_selectserver."</div>";
        echo "<select name=\"sid\"size=\"1\">";
        echo "<option value =\"A\">*** "._ad_imp_imp_allserver." ***</option>";
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE gid = '".$gid."' ORDER BY server");
        while($row = mysql_fetch_assoc($result)) {
            $sid = $row["sid"];
            $name = $row["server"];
            echo "<option value =\"".$sid."\">";
            echo $name."</option>";
        }
        echo "</select>&nbsp;"
        ."<input type=\"hidden\" name=\"func\" value=\"action_import\">"
        ."<input type=\"hidden\" name=\"gid\" value=\"".$gid."\">"
        . "<input type=\"hidden\" name=\"step\" value=\"step_copy\">"
        . "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">" //PHP-Nuke integration
        ."<input type=\"submit\" value=\""._gn_select."\">"
        ."</form>";
    }



// Step 3 and above - initiate variables and log window
    if (($step!="") AND ($step!="step_server") AND ($step!="step_game")) {

        // write time stamp in user mode
        imp_user_set();

        // identify currentfile and all conection values to it
        $resultc = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
        $row = mysql_fetch_assoc($resultc);
        $howtoreadin=$row['howtoreadin'];
        $servername = $row["server"];
        $amountlogfiles = $row['amountlogfiles'];
        $filterhandling = $ufrow["filterhandling"];

        $locallogfilename = $row['locallogfilename'];
        $locallogfilefolder = $row['locallogfilefolder'];
        $localmovefileto = $row['localmovefileto'];
        $locallinenumber = $row['locallinenumber'];
        $localsizelastfile = $row['localsizelastfile'];
        $localcontentlast = $row['localcontentlast'];
        $localfilehandling = $row['localfilehandling'];
        $locallogfilemask=$row['locallogfilemask'];
        $localprocesslastfile=$row['localprocesslastfile'];
        $localnamelastfile=$row['localnamelastfile'];
        $lpbpicsource = $row['lpbpicsource'];
        $lpbpicprune = $row['lpbpicprune'];
        $lpbpicdelete = $row['lpbpicdelete'];
        
        $ftpserver=$row['ftpserver'];
        $ftpport=$row['ftpport'];
        $ftpusername=$row['ftpusername'];
        $ftppassword=$row['ftppassword'];
        $ftpfolder=$row['ftpfolder'];
        $ftplocalfolder=$row['ftplocalfolder'];
        $ftpfilename = $row['ftpfilename'];
        $ftplinenumber = $row['ftplinenumber'];
        $ftpsizelastfile = $row['ftpsizelastfile'];
        $ftpcontentlast = $row['ftpcontentlast'];
        $ftpdeletefiles = $row['ftpdeletefiles'];
        $ftpfilemask=$row['ftpfilemask'];
        $fpbpicsource = $row['fpbpicsource'];
        $fpbpicprune = $row['fpbpicprune'];
        $fpbpicdelete = $row['fpbpicdelete'];

        $remoteserver=$row['remoteserver'];
        $remoteserver=$row['remoteserver'];
        $remoteport=$row['remoteport'];
        $remoteusername=$row['remoteusername'];
        $remotepassword=$row['remotepassword'];
        $remotefolder=$row['remotefolder'];
        $remotelogfilename = $row['remotelogfilename'];
        $remotelinenumber = $row['remotelinenumber'];
        $remotesizelastfile = $row['remotesizelastfile'];
        $remotecontentlast = $row['remotecontentlast'];
        $remotedeletefiles = $row['remotedeletefiles'];
        $remotefilemask=$row['remotefilemask'];
        $rpbpicsource = $row['rpbpicsource'];
        $rpbpicprune = $row['rpbpicprune'];
        $rpbpicdelete = $row['rpbpicdelete'];

        if ($howtoreadin == "1") {
            $linenumber = $locallinenumber;
            $currentline = $row['localcontentlast'];

            // set next file to process
            if ($amountlogfiles == "1") {
                $currentfile = $locallogfilename;
            } else {
                // generate search pattern out of filemask
                $searchpattern =str_replace("*","[a-z0-9. _-]{1,}", $locallogfilemask);
                $searchpattern =str_replace("?","[a-z0-9. _-]{1}", $searchpattern);
                $searchpattern = '/'.$searchpattern.'$/i';

                // go through all files of the directory
                if ($dir = opendir($locallogfilefolder)) {
                    while (($file = readdir($dir)) !== false) {
                        if ($file != ".." && $file != ".") {
                            // check if found file is matching file mask
                            if (preg_match ($searchpattern , $file )) {
                                $directory[] = $file;
                            }
                        }
                    }
                    closedir($dir);
                }

                // sort in alphabetical order
                @asort($directory);
                @reset($directory);
                if ($directory[0] =="") {
                    import_message(_ad_imp_imp_nologfiles,1);
                    $step="step_more";
                } else {
                    //check array and compare with $localnamelastfile, if exists set $localnamelastfile as currentfile
                    $i=0;
                    while ($directory[$i] !="") {
                        if ($directory[$i] == $localnamelastfile) {
                            $currentfile = $directory[$i];
                        }
                        $i++;
                    }
                    if ($currentfile =="") {
                        $currentfile = $directory[0];
                    }
                    import_message(_ad_imp_imp_logfileis." ".$currentfile.".",1);
                }

                //check and set flag that more files need to be processed
                if ($directory[1] !="") {
                    $_SESSION['morefiles'] = true;
                } else {
                    $_SESSION['morefiles'] = false;
                }
            }
        } elseif ($howtoreadin == "2") {
            $linenumber = $ftplinenumber;
            $currentline = $row['ftpcontentlast'];
            $pasvftp = $row['ftppasvftp'];

            if ($amountlogfiles == "1") {
                $currentfile = $ftpfilename;
            } else {
                $ftpcon = @ftp_connect($ftpserver, $ftpport, 8);
                $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
                if ((!$ftpcon) || (!$ftplog)) {
                    import_message(_ad_imp_imp_ftpconnecterror,2,true);
                } else {
                    @ftp_pasv($ftpcon, $pasvftp);
                    @ftp_chdir($ftpcon, $ftpfolder);
                    $directory = ftp_nlist($ftpcon, "./".$ftpfilemask);
                    @ftp_close($ftpcon);

                    // sort in alphabetical order
                    @asort($directory);
                    @reset($directory);

                    if ($directory[0] =="") {
                        import_message(_ad_imp_imp_nologfiles,2);
                        $step="step_more";
                    } else {
                        //check array and compare with $ftpnamelastfile, if exists set $ftpnamelastfile as currentfile
                        $i=0;
                        while ($directory[$i] !="") {
                            if ($directory[$i] == $ftpnamelastfile) {
                                $currentfile = $directory[$i];
                            }
                            $i++;
                        }
                        if ($currentfile =="") {
                            $currentfile = $directory[0];
                        }
                        import_message(_ad_imp_imp_logfileis." ".$currentfile.".",1);
                    }
                    
                    //check and set flag that more files need to be processed
                    if ($directory[1] !="") {
                        $_SESSION['morefiles'] = true;
                    } else {
                        $_SESSION['morefiles'] = false;
                    }
                }
            }
        } elseif ($howtoreadin == "3") {
            $linenumber = $remotelinenumber;
            $pasvftp = $row['remotepasvftp'];
            $currentline = $row['remotecontentlast'];

            // set current log file to be processed
            if ($amountlogfiles == "1") {
                $currentfile = $remotelogfilename;
            } else {
                $ftpcon = @ftp_connect($remoteserver, $remoteport, 8);
                $ftplog = @ftp_login($ftpcon, $remoteusername, $remotepassword);
                if ((!$ftpcon) || (!$ftplog)) {
                    import_message(_ad_imp_imp_ftpconnecterror,1, true);
                } else {
                    @ftp_pasv($ftpcon, $pasvftp);
                    @ftp_chdir($ftpcon, $remotefolder);
                    $directory = ftp_nlist($ftpcon, "./".$remotefilemask);
                    @ftp_close($ftpcon);

                    // sort in alphabetical order
                    @asort($directory);
                    @reset($directory);

                    if ($directory[0] =="") {
                        import_message(_ad_imp_imp_nologfiles,1);
                        $step="step_more";
                    } else {
                        //check array and compare with $remotenamelastfile, if exists set $remotenamelastfile as currentfile
                        $i=0;
                        while ($directory[$i] !="") {
                            if ($directory[$i] == $remotenamelastfile) {
                                $currentfile = $directory[$i];
                            }
                            $i++;
                        }
                        if ($currentfile =="") {
                            $currentfile = $directory[0];
                        }
                        import_message(_ad_imp_imp_logfileis." ".$currentfile.".",1);
                    }

                    //check and set flag that more files need to be processed
                    if ($directory[1] !="") {
                        $_SESSION['morefiles'] = true;
                    } else {
                        $_SESSION['morefiles'] = false;
                    }
                }
            }
        }

        // show game and server name
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid = '".$gid."'");
        $row = mysql_fetch_assoc($result);
        $game = $row["game"];
        echo "<font class=\"option\">"._ad_imp_imp_selectedgame." </font><font class=\"content\">".$game."</font><br>";
        echo "<font class=\"option\">"._ad_imp_imp_selectedserver." </font><font class=\"content\">".$servername."</font><br><br>";

        // show area to display import log messages
define('NO_EDITOR', 1);
        echo "<div align=\"left\" class=\"option\">"._ad_imp_imp_heimportlog."</div>";
        echo "<div align=\"centre\" class=\"conten\"><form class=\"form\" method=\"post\" name=\"import_log\">";
        echo "<textarea name=\"message\" cols=\"90\" rows=\"22\" readonly></textarea>";
        echo "</form></div>";

        // start counting seconds to interrupt before script time out
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsconfig");
        $row = mysql_fetch_assoc($result);
        $minkills = $row['minkills'];
        $pruneage = $row['pruneage'];
        @ini_set('max_execution_time',$row['tstep']);
        $maxtime = @ini_get('max_execution_time')-5;
        import_message(_ad_imp_imp_maxtime1." ".$maxtime." "._ad_imp_imp_maxtime2.".",1);
        $starttime = time();

        // Add information from 1. and 2. step to import log
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid = '".$gid."'");
        $row = mysql_fetch_assoc($result);
        $game=$row['game'];
        import_message("\'".$game."\' "._ad_imp_imp_gameimport,1);
        import_message("\'".$servername."\' "._ad_imp_imp_serverimport,2);

        // get game type to call correct import function in step 5
        $gametype=$row['gametype'];
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgametype WHERE gametype = '".$gametype."'");
        $row = mysql_fetch_assoc($result);
        $gamekind=$row['game'];

        // prepare temp tables by delting them if not recall of script
        if (!$recall) {
            mysql_query("delete from ".$_SESSION['dbprefix']."_fraxstatstemp");
            mysql_query("delete from ".$_SESSION['dbprefix']."_fraxstatsplayerstemp");
        }
    }



// 3.  step_copy - Only if FTP then copy file - check for time out
    if ($step=="step_copy") {

        // write time stamp in user mode
        imp_user_set();

        if ($howtoreadin == "2") {
            // copy file with ftp

            //display message for processing this step
            action_message("Currently copying log file via FTP.");

            // create folder for receving log files if folder not already exists
            if (@realpath($ftplocalfolder) == FALSE) {
                import_message(_ad_imp_imp_foldererror,1, true);
            }

            //connect to FTP server
            import_message(_ad_imp_imp_msgconnectftp1." ".$ftpserver." "._ad_imp_imp_msgconnectftp2." ".$ftpport.".",1);
            $ftpcon = @ftp_connect($ftpserver, $ftpport, 8);
            $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
            if ((!$ftpcon) || (!$ftplog)) {
                import_message(_ad_imp_imp_ftpconnecterror,1, true);
            } else {
                import_message(_ad_imp_imp_ftpconnectsuccess,1);

                @ftp_pasv($ftpcon, $pasvftp);
                import_message(_ad_imp_imp_ftppassiveon,1);

                // change to appropriate folder
                @ftp_chdir($ftpcon, $ftpfolder);
                import_message(_ad_imp_imp_changefolder1." \'".$ftpfolder."\' "._ad_imp_imp_changefolder2,1);

                // copy log file
                $ftpresult = @ftp_get($ftpcon, $ftplocalfolder."/".$currentfile, $currentfile, FTP_ASCII);
                if ($ftpresult == FALSE) {
                    import_message(_ad_imp_imp_copyerror1." \'".$currentfile."\' "._ad_imp_imp_copyerror2." \'$ftplocalfolder\'.",1, true);
                } else {
                    import_message(_ad_imp_imp_copysuccess1." \'".$currentfile."\' "._ad_imp_imp_copysuccess1." \'$ftplocalfolder\'.",1);
                }

                //close ftp connection
                @ftp_close($ftpcon);

                // set correct permissions for log file
                if (@chmod($ftplocalfolder."/".$currentfile, 0777)) {
                    import_message(_ad_imp_imp_msglogpermokay,1);
                } else {
                    import_message(_ad_imp_imp_msglogpermerror,1);
                }
            }
        }

        // call next step
        $step="step_open";
    }



// 4.  step_open - open current file in the correct method
    if ($step=="step_open") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing this step
        action_message("Currently opening log file.");

        if ($howtoreadin == "1") {
            $filehandle = @fopen($locallogfilefolder.$currentfile, "r");
            if ($filehandle === FALSE) {
                //display error message if file opening failed
                import_message(_ad_imp_imp_erroropenfile1." '".$locallogfilefolder.$currentfile."' "._ad_imp_imp_erroropenfile2,1, true);
            } else {
                //add log message for successfull file opening
                import_message(_ad_imp_imp_opensuccess1." '".$locallogfilefolder.$currentfile."' "._ad_imp_imp_opensuccess2,1);

                // call next step
                $step = "step_readin";
            }
        } elseif ($howtoreadin == "2") {
            $filehandle = @fopen($ftplocalfolder."/".$currentfile, "r");
            if ($filehandle === FALSE) {
                //display error message if file opening failed
                import_message(_ad_imp_imp_erroropenfile1." '".$ftplocalfolder."/".$currentfile."' "._ad_imp_imp_erroropenfile2,1, true);
            } else {
                //add log message for successfull file opening
                import_message(_ad_imp_imp_opensuccess1." '".$ftplocalfolder."/".$currentfile."' "._ad_imp_imp_opensuccess2,1);

                // call next step
                $step = "step_readin";
            }
        } elseif ($howtoreadin == "3") {
            $filehandle = @fopen("ftp://".$remoteusername.":".$remotepassword."@".$remoteserver.":".$remoteport.$remotefolder."/".$currentfile, "r");
            if ($filehandle === FALSE) {
                //display error message if file opening failed
                import_message(_ad_imp_imp_erroropenfile1." '".$remotefolder.$currentfile."' "._ad_imp_imp_erroropenfile2,1, true);
            } else {
                //add log message for successfull file opening
                import_message(_ad_imp_imp_opensuccess1." '".$remotefolder.$currentfile."' "._ad_imp_imp_opensuccess2,1);

                // call next step
                $step = "step_readin";
            }
        }
    }



// 5.  step_readin - Read in file into temp db - check for time out
    if ($step=="step_readin") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing this step
        action_message(_ad_imp_imp_msgreadingin);
        import_message(_ad_imp_imp_msgmethod1." \'".$gamekind."\' "._ad_imp_imp_msgmethod2,2);

        //set correct values for this server to hand over to readin function
        $resultc = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
        $row = mysql_fetch_assoc($resultc);
        $filterh = $row["filterhandling"];
        $guidserver = $row["guidserver"];
        $howtoreadin = $row["howtoreadin"];
        if ($howtoreadin == "1") {
            $continue = $row['locallinenumber'];
            $lastline = $row['localcontentlast'];
            $namelastfile=$row['localnamelastfile'];
        } elseif ($howtoreadin == "2") {
            $continue = $row['ftplinenumber'];
            $lastline = $row['ftpcontentlast'];
            $namelastfile=$row['ftpnamelastfile'];
        } elseif ($howtoreadin == "3") {
            $continue = $row['remotelinenumber'];
            $lastline = $row['remotecontentlast'];
            $namelastfile=$row['remotenamelastfile'];
        }

        //manage continue value depending on current and last file name
        if ($currentfile != $namelastfile) {
            $continue = 0;
        } else {
            //check of content of 11th line to identify the file - if not equal set counter back to 0
            //read in line 11
            for ($i = 0; $i <= 10; $i++) {
                $line = ltrim(fgets($filehandle));
            }
            // compare 11th line with last stored line
            if (substr($line,0,200) != $lastline) {
                $continue = 1;
            }
            //reset file pointer
            rewind($filehandle);
        }

        // add new games here
        if ($gametype=="1") {
            $done = readlogfile_cod($filehandle, $gid, $sid, $starttime, $maxtime, $filterh, $guidserver, $howtoreadin, $continue, $currentline);
        } elseif ($gametype=="2") {
            $done = readlogfile_cod($filehandle, $gid, $sid, $starttime, $maxtime, $filterh, $guidserver, $howtoreadin, $continue, $currentline);
        } elseif ($gametype=="3") {
            $done = readlogfile_cod($filehandle, $gid, $sid, $starttime, $maxtime, $filterh, $guidserver, $howtoreadin, $continue, $currentline);
        }

        // set counter of processed lines and amount of new records
        $tocontinue = $_SESSION['linecounter'];
        $impcounter = $_SESSION['importcounter'];
        if ($impcounter =="") {
            $impcounter = 0;
        }

        // write time stamp in user mode
        imp_user_set();

        import_message($tocontinue." "._ad_imp_imp_msgamountlines,2);

        // save linecounter and name of last processed file
        if ($howtoreadin == "1") {
            mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET locallinenumber=".$tocontinue.", localnamelastfile='".$currentfile."' WHERE sid = '".$sid."'");
        } elseif ($howtoreadin == "2") {
            mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET ftplinenumber=".$tocontinue.", ftpnamelastfile='".$currentfile."' WHERE sid = '".$sid."'");
        } elseif ($howtoreadin == "3") {
            mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET remotelinenumber=".$tocontinue.", remotenamelastfile='".$currentfile."' WHERE sid = '".$sid."'");
        }

        // close file
        @fclose($filehandle);

        if ($done == -1) {
            //recall script continuing import to work around time out.
            $_SESSION['tstep'] = "step_open";
            $_SESSION['tgid'] = $gid;
            $_SESSION['tsid'] = $sid;
            session_write_close();
            echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
        } else {
            // display message about total amount of lines imported
            import_message(_ad_imp_imp_msgimpdone1." ".$tocontinue." "._ad_imp_imp_msgimpdone2,2);
            import_message($impcounter." "._ad_imp_imp_msgrecords,2);

            // if there is not enought time left to execute the rest of the script then recall script
            $timespan = time()-$starttime;
            if ($timespan >= $maxtime-10) {
                $_SESSION['tstep'] = "step_tables";
                $_SESSION['tgid'] = $gid;
                $_SESSION['tsid'] = $sid;
                session_write_close();
                echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
            } else {
                // otherwise continue with next step directly
                $step = "step_tables";
            }
        }
    }



// 6.  step_tables - Copy temp db into life db - check for time out
    if ($step=="step_tables") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing this step
        action_message(_ad_imp_imp_msgdbcopy);

        // copy statistic temp table into life tables
        mysql_query("INSERT INTO ".$_SESSION['dbprefix']."_fraxstats SELECT * from ".$_SESSION['dbprefix']."_fraxstatstemp")
        or import_message(_ad_imp_imp_dbcopyerror,1,true);

        // copy players into life tables
        $resultpp = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsplayerstemp");
        while($rowpp = mysql_fetch_assoc($resultpp)) {
            // if guid already exists in life db then check names
            $result = mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsplayers set history9='".$rowpp['history9']."', history8='".$rowpp['history8']."', history7='".$rowpp['history7']."', history6='".$rowpp['history6']."', history5='".$rowpp['history5']."', history4='".$rowpp['history4']."', history3='".$rowpp['history3']."', history2='".$rowpp['history2']."', history1='".$rowpp['history1']."', history0='".$rowpp['history0']."', player='".$rowpp['player']."', guid='".$rowpp['guid']."', game='".$rowpp['game']."'");
            if (!$result){
                // read in life db for comparison
                $result = mysql_query("SELECT * FROM ".$_SESSION['dbprefix']."_fraxstatsplayers  WHERE guid='".$rowpp['guid']."'AND game='".$rowpp['game']."'");
                $row = mysql_fetch_assoc($result);

                //check if history names from temp db are differnt to current name
                $i = 9;
                while($i >= 0) {
                    if (($rowpp['history'.$i] != $row['player']) && ($rowpp['history'.$i] != "")) {
                        mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsplayers set history9='".$row['history8']."', history8='".$row['history7']."', history7='".$row['history6']."', history6='".$row['history5']."', history5='".$row['history4']."', history4='".$row['history3']."', history3='".$row['history2']."', history2='".$row['history1']."', history1='".$row['history0']."', history0='".$row['player']."', player='".$rowpp['history'.$i]."' WHERE guid='".$rowpp['guid']."'AND game='".$rowpp['game']."'");
                    }
                $i = $i - 1;
                }
                // check if latest name form temp db matches the current name
                if (($rowpp['player'] != $row['player']) && ($rowpp['player'] != "")) {
                    mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsplayers set history9='".$row['history8']."', history8='".$row['history7']."', history7='".$row['history6']."', history6='".$row['history5']."', history5='".$row['history4']."', history4='".$row['history3']."', history3='".$row['history2']."', history2='".$row['history1']."', history1='".$row['history0']."', history0='".$row['player']."', player='".$rowpp['player']."' WHERE guid='".$rowpp['guid']."'AND game='".$rowpp['game']."'");
                }
            }

        }

        // successfull message
        import_message(_ad_imp_imp_msgdbcopyokay,2);

        // set update field of server to todays date
        mysql_query("update ".$_SESSION['dbprefix']."_fraxstatsservers set lastupdate='".time()."', lastchecked='".time()."' WHERE sid = '$sid'");
        import_message(_ad_imp_imp_msgserverflagset,1);

        // if there is not enought time left to execute the rest of the script then recall script
        $timespan = time()-$starttime;
        if ($timespan >= $maxtime-10) {
            $_SESSION['tstep'] = "step_delete";
            $_SESSION['tgid'] = $gid;
            $_SESSION['tsid'] = $sid;
            session_write_close();
            echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
        } else {
            // otherwise continue with next step directly
            $step = "step_delete";
        }
    }



// 7.  step_delete - Delete source file - if applicable - Check if more files to be read in and go back to #3
    if ($step=="step_delete") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing this step
        action_message(_ad_imp_imp_msgdeleting);

        // check for deleting / moving current file
        if ($howtoreadin == "1") {
            // deleting or moving for local file handling
            if ($localfilehandling == "1") {   //move file
                $result = @rename($locallogfilefolder.$currentfile, $localmovefileto."/".$currentfile );
                $handlingmsg = _ad_imp_imp_msgmethodmoved;
            } elseif ($localfilehandling == "2") {   // delete file
                $result = @unlink($locallogfilefolder.$currentfile);
                $handlingmsg = _ad_imp_imp_msgmethoddeleted;
            }
            if ($result) {
                import_message (_ad_imp_imp_msgmethoddone." '".$currentfile."' ".$handlingmsg,1);
            } else {
                //file could not be deleted, save settings to continue same file next time
                $filesize = @filesize($locallogfilefolder.$currentfile);
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET localsizelastfile=".$filesize." WHERE sid = '".$sid."'");
                import_message (_ad_imp_imp_msgcontinuenext1." '".$currentfile."' "._ad_imp_imp_msgcontinuenext2,1);
                // set next step to prune
             }

        } elseif ($howtoreadin == "2") {
            // deleting for FTP file handling
            if ($ftpdeletefiles == "1") {
                // delete local file
                $result = @unlink($ftplocalfolder.$currentfile);
                if ($result) {
                    import_message (_ad_imp_imp_deletedokay1." '".$ftplocalfolder.$currentfile."' "._ad_imp_imp_deletedokay2,1);
                } else {
                    import_message(_ad_imp_imp_deleteerror1." '".$ftplocalfolder.$currentfile."' "._ad_imp_imp_deleteerror2,1, true);
                }
            }
            // delete FTP file
            $ftpcon = @ftp_connect($ftpserver, $ftpport, 8);
            $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
            if ((!$ftpcon) || (!$ftplog)) {
                import_message(_ad_imp_imp_ftpconnecterror,2, true);
            } else {
                @ftp_pasv($ftpcon, $pasvftp);
                @ftp_chdir($ftpcon, $ftpfolder);
                $result = @ftp_delete($ftpcon, $currentfile);

                // get file size in case file delete did not success.
                $filesize = @ftp_size($ftpcon, $currentfile) or die();
                @ftp_close($ftpcon);
                if ($result) {
                    import_message (_ad_imp_imp_msgftpdeleteokay1." 'ftp://".$ftpserver.$ftpfolder."/".$currentfile."' "._ad_imp_imp_msgftpdeleteokay2,1);
                } else {
                    //file could not be deleted, save settings to continue same file next time
                    mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET ftpsizelastfile=".$filesize." WHERE sid = '".$sid."'");
                    import_message (_ad_imp_imp_msgcontinuenext1." '".$currentfile."' "._ad_imp_imp_msgcontinuenext2,1);
                }
            }

        } elseif ($howtoreadin == "3") {
            // delete or rename log files for remote file handling
            $ftpcon = @ftp_connect($remoteserver, $remoteport, 8);
            $ftplog = @ftp_login($ftpcon, $remoteusername, $remotepassword);
            if ((!$ftpcon) || (!$ftplog)) {
                import_message(_ad_imp_imp_ftpconnecterror,1, true);
            } else {
                @ftp_pasv($ftpcon, $pasvftp);
                @ftp_chdir($ftpcon, $remotefolder);
                if ($remotedeletefiles == "1") {
                    // delete remote file
                    $result = @ftp_delete($ftpcon, $currentfile);
                } else {
                    // rename remote file
                    $result = @ftp_rename($ftpcon, $currentfile, $currentfile.".done");
                }
                // get file size in case file delete did not success.
                $filesize = @ftp_size($ftpcon, $currentfile);
                @ftp_close($ftpcon);
                if ($result) {
                    // display message for file action.
                    if ($remotedeletefiles == "1") {
                        import_message (_ad_imp_imp_msgftpdeleteokay1." 'ftp://".$remoteserver.$remotefolder."/".$currentfile."' "._ad_imp_imp_msgftpdeleteokay2,1);
                    } else {
                        import_message (_ad_imp_imp_msgrenameokay1." ".$currentfile."' "._ad_imp_imp_msgrenameokay2." ".$currentfile.".",1);
                    }
                } else {
                    //file could not be deleted, save settings to continue same file next time
                    mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET remotesizelastfile=".$filesize." WHERE sid = '".$sid."'");
                    import_message (_ad_imp_imp_msgcontinuenext1." '".$currentfile."' "._ad_imp_imp_msgcontinuenext2,1);
                }
            }
        }

        // write time stamp in user mode
        imp_user_set();

        // check if more files need to be processed.
        if ($amountlogfiles == "1") {
            //only one log file, no action needed
            import_message(_ad_imp_imp_msgonlyonefile,1);

            // set next step to prune
            $step = "step_prune";
        } else {
            //check if flag for more files is set
            if ($_SESSION['morefiles']) {
                // set next step to open copy and recall script
                $step = "step_copy";
                $_SESSION['tstep'] = "step_copy";
                $_SESSION['tgid'] = $gid;
                $_SESSION['tsid'] = $sid;
                session_write_close();
                echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
            } else {
                // set next step to prune
                $step = "step_prune";
            }
        }
    }



// 8. step_prune - Prune tables - and optimize tables
     if ($step=="step_prune") {

        // write time stamp in user mode
        imp_user_set();

        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsconfig LIMIT 1");
        $row = mysql_fetch_assoc($result);
        $minkills = $row["minkills"];
        $pruneage = $row["pruneage"];

        //display message for processing this step
        action_message(_ad_imp_imp_msgpruning);

        // prune min kills
        $kill = prune_kills($minkills);
        import_message(_ad_imp_imp_playersdeleted1." ".$kill." "._ad_imp_imp_playersdeleted2." ".$minkills." "._ad_imp_imp_playersdeleted3,1);

        // prune old records
        $timestamp = time()-($pruneage*86400);
        $time = prune_time($timestamp);
        import_message(_ad_imp_imp_timedeleted1." ".$time." "._ad_imp_imp_timedeleted2." ".$pruneage." "._ad_imp_imp_timedeleted3,1);
        
        // if there is not enought time left to execute the rest of the script then recall script
        $timespan = time()-$starttime;
        if ($timespan >= $maxtime-15) {
            $_SESSION['tstep'] = "step_optimize";
            $_SESSION['tgid'] = $gid;
            $_SESSION['tsid'] = $sid;
            session_write_close();
            echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
        } else {
            // otherwise continue with next step directly
            $step = "step_optimize";
        }
    }



// 9. step_optimize - Optimize all tables
     if ($step=="step_optimize") {

        // write time stamp in user mode
        imp_user_set();

        //display message for optimizing tables
        action_message(_ad_imp_imp_msgoptimizing);

        //optimize tables
        mysql_query("optimize table ".$_SESSION['dbprefix']."_fraxstats")
        or import_message(_ad_imp_imp_erroroptstats,1, true);
        mysql_query("optimize table ".$_SESSION['dbprefix']."_fraxstatsplayers")
        or import_message(_ad_imp_imp_erroroptplayers,1, true);

        import_message(_ad_imp_imp_msgoptokay,2);

        // set next step
        $step = "step_copyPB";
    }



// 10.  step_copyBP - Copy PB files into stats folder
    if ($step=="step_copyPB") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing this step
        action_message(_ad_imp_imp_pbcopying);

        // set file counter to 0
        $i=0;

        // reset pb updated flag
        $pbupdated = true;

        if ($howtoreadin == "1") {
            // PB source is local

            // get file list of PB source folder
            if ($dir = opendir($lpbpicsource)) {
                while (($file = readdir($dir)) !== false) {
                    // only process the jpg files
                    $filepart = explode(".",$file);
                    if($filepart[1] == "png") {
                        $tmp = realpath($_SESSION['basefolder']."pb-files");
                        if (copy($lpbpicsource.$file, $tmp."/".$sid."-".date("y-m-d_H-i-s")."_".$i.".png")) {
                            unlink($lpbpicsource.$file);
                            unlink($lpbpicsource.$filepart[0].".htm");
                            import_message(_ad_imp_imp_pbmovedok2.": ".$file." "._ad_imp_imp_pbmovedok2,1);
                        } ELSE {
                            import_message(_ad_imp_imp_pbmovefailed1.": ".$file." "._ad_imp_imp_pbmovefailed2,1,true);
                            // set pb update error flag
                            $pbupdated=false;
                        }

                        // increase file counter
                        $i++;
                    }
                }
                closedir($dir);
            }
        } elseif (($howtoreadin == "2") OR ($howtoreadin == "3")) {
            // PB source is FTP or Remote

            // set variables for FTP or remote
            if ($howtoreadin == "2")  {
                $pbpicsource = $fpbpicsource;
            } ELSEIF ($howtoreadin == "3") {
                $pbpicsource = $rpbpicsource;
            }

            //connect to FTP server
            import_message(_ad_imp_imp_msgconnectftp1." ".$ftpserver." "._ad_imp_imp_msgconnectftp2." ".$ftpport.".",1);
            $ftpcon = @ftp_connect($ftpserver, $ftpport, 8);
            $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
            if ((!$ftpcon) || (!$ftplog)) {
                import_message(_ad_imp_imp_ftpconnecterror,1, true);
            } else {
                import_message(_ad_imp_imp_ftpconnectsuccess,1);

                // enable ftp passive mode
                @ftp_pasv($ftpcon, $pasvftp);
                import_message(_ad_imp_imp_ftppassiveon,1);

                // change to appropriate folder
                @ftp_chdir($ftpcon, $pbpicsource."/svss");

                // set file counter
                $i=0;

                // get file list from folder
                $flist = @ftp_nlist($ftpcon,"");
                foreach ($flist as $val) {
                    $file = end(explode("/",$val,2));

                    // check that it is not a directory
                    if (@ftp_chdir($ftpcon, $isfolder)) {
                        @ftp_cdup($ftpcon);
                    } else {
                        // get file name, without file extension
                        $filepart = explode(".",$file);
                        if($filepart[1] == "png") {
                            // porcess only png files
                            // copy PB file
                            $ftpresult = ftp_get($ftpcon, $_SESSION['basefolder']."pb-files/".$sid."-".date("y-m-d_H-i-s")."_".$i.".png", $file, FTP_BINARY);
                            if ($ftpresult == TRUE) {
                                // delte htm file
                                ftp_delete($ftpcon, $filepart[0].".htm");
                                // delte png file
                                ftp_delete($ftpcon, $filepart[0].".png");
                                import_message(_ad_imp_imp_pbmovedok1.": ".$file." "._ad_imp_imp_pbmovedok2,1);
                            } ELSE {
                                import_message(_ad_imp_imp_pbmovefailed1.": ".$file." "._ad_imp_imp_pbmovefailed2,1,true);
                                // set pb update error flag
                                $pbupdated=false;
                            }
                        }
                    }
                    $i++;
                }
                
                // if pb updated flag is set then display success message
                if ($pbupdated) {
                    import_message(_ad_imp_imp_pbcopyok,1);
                }

                //close ftp connection
                @ftp_close($ftpcon);
            }
        }
        // call next step
        $step="step_more";
    }


// 11. step_more - Check for more servers
    if ($step=="step_more") {

        // write time stamp in user mode
        imp_user_set();

        action_message(_ad_imp_imp_msgmoreservers);
        // if "allservers" flag is set then select next server
        if ($_SESSION['allservers']) {
            $result = mysql_query("select sid, server from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE gid = '".$gid."' AND sid > ".$sid." ORDER BY sid");
            if (mysql_num_rows($result) !=0) {
                $row = mysql_fetch_assoc($result);
                $sid = $row["sid"];

                import_message(_ad_imp_imp_msgnextserver." ".$row['server'],1);

                // set next step to open file and recall script
                $step = "step_copy";
                $_SESSION['tstep'] = "step_copy";
                $_SESSION['tgid'] = $gid;
                $_SESSION['tsid'] = $sid;
                session_write_close();
                echo "<head><meta http-equiv=\"refresh\" content=\"1; URL=".$implauncher."?op=FraXStats&amp;func=action_import&amp;recall=true&amp;".Session_Name()."=".Session_ID()."\"></head>";
            } else {
                import_message(_ad_imp_imp_msgnomoreservers,1);
                // set next step
                $step = "step_done";
            }
        } else {
            // set next step
            $step = "step_done";
        }
    }


// 12. step_done - Message that all imports are done
    if ($step=="step_done") {

        // write time stamp in user mode
        imp_user_set();

        //display message for processing done
        action_message(_ad_imp_imp_msgalldone);
        if ($_SESSION['imperror']) {
            import_message(_ad_imp_imp_msgdonefailed,1);
        } else {
            import_message(_ad_imp_imp_msgdonewell,2);
        }

        // if not admin mode then show last action panel
        if (unserialize($_SESSION['port']) =="") {
            echo"<br><br>All data has been updated, please <a href=".$implauncher."?name=FraXStats&gid=4&stat=1&reread=yes&tosort=1>click here</a> to see the statistics now.";
        }
    }
}








// set timestamp during import when user import in progress
// will be checked by other users that request import process as well

function imp_user_set() {

    // if not admin mode then show last action panel
    if (unserialize($_SESSION['port']) =="") {

        // open import history file
        $imp_user = fopen($_SESSION['basefolder']."import.usr","w");
        // write message to import history file
        fwrite($imp_user, time());
        // close file
        fclose($imp_user);
    }
}












// check time stamp to see if importing user has timed out

function imp_user_check() {

    // if not admin mode then show last action panel
    if (unserialize($_SESSION['port']) =="") {

        // open import history file
        $imp_user = fopen($_SESSION['basefolder']."import.usr","r");

        // write message to import history file
        $filetime = fgets($imp_user);

        // close file
        fclose($imp_user);

        // check if time stamp in file is more than one minute old
        if (intval($filetime) <= (time()-60)) {

            // if too old than user timed out, return false
            return(false);
        } else {

            // if not too old than user still importing, return true
            return(true);
        }
    }
}












// Java Scripts Message Box
function import_message($message, $loglevel, $errorflag = false) {

    // if error flag is set than add ### ERROR ### in front of message
    if ($errorflag) {
        $message = "### "._gn_errormsg." ### ".$message;
    }

    // if not admin then only show level 2 messages
    // as admin show all messages
    if (((unserialize($_SESSION['port']) =="") and ($loglevel ==2)) or (unserialize($_SESSION['port']) !="")) {

        // add time stamp to message and add to already existing messages
        if ($_SESSION['import_message'] !="") {
            $tmp = date("H:i.s").' - '.$message.'\n'.$_SESSION['import_message'];
        } else {
            $tmp = date("H:i.s").' - '.$message;
        }

        // safe messages in session
        $_SESSION['import_message'] = $tmp;

        // if error then set message field to red colour style
        if (($errorflag) or ($_SESSION['imperror'])) {
            echo "<style type=\"text/css\">
.rot { background-color:red; }
</style>";
            echo '<script type="text/javascript"><!--
window.document.import_log.message.setAttribute("class","rot");
//--></script>';
            $_SESSION['imperror']=true;
        }

        // update message field with message received
        echo '<script type="text/javascript"><!--
window.document.import_log.message.value="'.$tmp.'";
//--></script>';

        // refresh screen
        ob_flush();
        flush();
    }

    // add date stamp to message
    $tmp2 = date("d-m-Y").' - '.date("H:i.s").' - '.$message.chr(13);

    // open import history file
    $imphandle = fopen($_SESSION['basefolder']."import-history.log","a");
    
    // write message to import history file
    fwrite($imphandle, $tmp2);
    
    // close file
    fclose($imphandle);
}
















//   ACTION IMPORT - REPLACE GUID WITH USERNAME @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
//   guid_name(1- use server guid 2- calc from player name, server guid, player name);

function guid_name($guidserver, $guid, $name) {
    if ($guidserver=="2") {
        $name = stripslashes($name);
        $name = str_replace('\'', '', $name);
        $name = str_replace('^0', '', $name);
        $name = str_replace('^1', '', $name);
        $name = str_replace('^2', '', $name);
        $name = str_replace('^3', '', $name);
        $name = str_replace('^4', '', $name);
        $name = str_replace('^5', '', $name);
        $name = str_replace('^6', '', $name);
        $name = str_replace('^7', '', $name);
        $name = str_replace('^8', '', $name);
        $name = str_replace('^9', '', $name);
        $name = str_replace(" ", "_", $name);
        $name = str_replace("=", "", $name);
        $name = str_replace("-", "", $name);
        $name = str_replace("&", "", $name);
        $name = str_replace("?", "", $name);
        $name = str_replace("#", "", $name);
        $name = str_replace("\"", "", $name);
        $name = str_replace("\$", "", $name);
        $name = str_replace("\\", "", $name);
        $name = strip_tags($name);
        $name = trim ($name);
        $guid = md5(htmlentities($name));
    }
    if (($guid == "") OR ($guid == "0")) {
        $guid ="11111111111111111";
    }
    return ($guid);
}














// Addd user into player temp database  @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2

function user_into_db($guid,$name,$gid) {
    $name = stripslashes($name);
    $name=str_replace('\'', '', $name);
    $name=str_replace('^0', '#0', $name);
    $name=str_replace('^1', '#1', $name);
    $name=str_replace('^2', '#2', $name);
    $name=str_replace('^3', '#3', $name);
    $name=str_replace('^4', '#4', $name);
    $name=str_replace('^5', '#5', $name);
    $name=str_replace('^6', '#6', $name);
    $name=str_replace('^7', '#7', $name);
    $name=str_replace('^8', '#8', $name);
    $name=str_replace('^9', '#9', $name);
    $name=trim(htmlentities($name));
    if ($name =="") {
        $name = "Invalid Name";
    }
    $resins = mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatsplayerstemp set game='$gid', guid='$guid', player='$name'");
    if (!$resins) {
        $restmp = mysql_query("SELECT * from ".$_SESSION['dbprefix']."_fraxstatsplayerstemp WHERE guid='$guid' AND game='$gid' LIMIT 1");
        $rowpp = mysql_fetch_assoc($restmp);
        if ($rowpp['player'] != $name) {
            mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsplayerstemp set game='$gid', history9='".$rowpp['history8']."', history8='".$rowpp['history7']."', history7='".$rowpp['history6']."', history6='".$rowpp['history5']."', history5='".$rowpp['history4']."', history4='".$rowpp['history3']."', history3='".$rowpp['history2']."', history2='".$rowpp['history1']."', history1='".$rowpp['history0']."', history0='".$rowpp['player']."', player='".$name."' WHERE guid='".$guid."'");
        }
    }
}












//  ACTION IMPORT - CoD READ-IN @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function readlogfile_cod($handlef, $gid, $sid, $starttime, $maxtime, $filterh, $guidserver, $howtoreadin, $continue, $currentline) {

    // write time stamp in user mode
    imp_user_set();

    // take timestamp for records
    $ddate = time();

    // import message for GUID server
    if ($guidserver == "1") {
        import_message(_ad_imp_cod_msgplayerid,1);
    } else {
        import_message(_ad_imp_cod_msgcalcid,1);
    }

    //initialise importcounter
    if ($_SESSION['importcounter']>=0) {
        $impcounter = $_SESSION['importcounter'];
    } else {
        $impcounter =0;
    }

    //get all useridfilters for input
    $userfilter= userfilter($sid,"input");

    //check if file end is reached
    while (!feof($handlef)) {

        // check time spent in this call
        $timespan = time()-$starttime;
        if ($timespan >= $maxtime) {
            // set stop marker and display message
            if (!$stop) {
                $stop = true;
            }
        }

        //show time spent in import log
        $roundedtimespanfive = round($timespan/5);
        if (($roundedtimespanfive == ($timespan/5)) AND ($roundedtimespanfive != 0)) {
            if ($lasttime != time()) {
                import_message(_ad_imp_cod_msgprocessing1." ".$timespan." "._ad_imp_cod_msgprocessing2." / ".$counter." "._ad_imp_cod_msgprocessing3,2);
                $lasttime = time();

                // write time stamp in user mode
                imp_user_set();
            }
        }

        $line = ltrim(fgets($handlef));

        // count imported lines
        $counter++;

        // save 11th line for future file identification
        if ($counter == 11) {
            if ($howtoreadin == "1") {
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET localcontentlast='".substr($line,0,200)."' WHERE sid =".$sid);
            } elseif ($howtoreadin == "2") {
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET ftpcontentlast='".substr($line,0,200)."' WHERE sid =".$sid);
            } elseif ($howtoreadin == "3") {
                mysql_query("UPDATE ".$_SESSION['dbprefix']."_fraxstatsservers SET remotecontentlast='".substr($line,0,200)."' WHERE sid =".$sid);
            }
        }

        if ($continue == 0) {
            $continue =1;
        }
        // check if line counter reached
        if ($counter >= $continue) {
            if ($counter == $continue) {
                import_message(_ad_imp_cod_msgcorrectling." ".$counter."/".$continue,1);
            }
            $expline = explode(" ",$line,2);
            $inar = explode(";",$expline[1]);
            $first= substr($inar[0],0,8);
            if ($first == "InitGame") {
                $start = true;
            }
        }

        // if game initialisation line found then start processing lines
        if ($start) {
           //apply useridfilter
           if ($filterh =="2") {
                if ($userfilter[$sid][0] == "1") { //check if useridfilter is positive
                    $i=1;
                    $ok=TRUE; //set proceed flag ok because its default for positive list
                    while ($userfilter[$sid][$i] != "") { //run in loop until all userids are read in
                        if ($userfilter[$sid][$i] == $inar[1]) { $ok=FALSE; } //set proceed flag to no because user on list
                        if ($userfilter[$sid][$i] == $inar[5]) { $ok=FALSE; } //set proceed flag to no because user on list
                        $i++;
                    }
                } elseif ($userfilter[$sid][0] == "2") {
                    if (($inar[0]=="J") or ($inar[0]=="say") or ($inar[0]=="sayteam") or ($inar[0]=="Weapon") or ($inar[0]=="A") or ($inar[0]=="W") or ($inar[0]=="L") or (($inar[7] =="world") AND ($inar[0] =="D"))or (($inar[7] =="world") AND ($inar[0] =="K"))) {
                        $i=1;
                        $ok=FALSE; //set proceed flag no because its default for negative list
                        while ($userfilter[$sid][$i] != "") { //run in loop until all userids are read in
                            if ($userfilter[$sid][$i] == $inar[1]) { $ok=TRUE; } //set proceed flag to ok because user on list
                            $i++;
                        }
                    } elseif (($inar[0]=="D") or ($inar[0]=="K")) {
                        $i=1;
                        $ok1=FALSE;
                        $ok2=FALSE;
                        $ok=FALSE; //set proceed flag no because its default for negative list
                        while ($userfilter[$sid][$i] != "") { //run in loop until all userids are read in
                            if ($userfilter[$sid][$i] == $inar[1]) { $ok1=TRUE; } //set proceed flag to ok because user on list
                            if ($userfilter[$sid][$i] == $inar[5]) { $ok2=TRUE; } //set proceed flag to ok because user on list
                            $i++;
                        }
                        if (($ok1) AND ($ok2)) { $ok =TRUE; }
                    } elseif (($first=="InitGame")) {
                        $ok=TRUE;
                    }
                }
            } else {
                $ok=TRUE;
            }
            if ($ok) {
                if ($first == "InitGame") {
                    $inar[0] = "InitGame";
                }

                // trim white spaces
                $i=1;
                while ($inar[$i]!="") {
                    $inar[$i] = trim($inar[$i]);
                    $i++;
                }
//echo "switch.".$inar[0]."<br>";
                switch ($inar[0]) {
                    case "InitGame":
                        if ($stop) {
                            import_message(_ad_imp_cod_msginitline,1);
                            $_SESSION['linecounter']=$counter-1;
                            $_SESSION['importcounter']=$impcounter;
                            return(-1);
                        }
                        $temp = explode("\\",$line);
                        $i=1;
                        while ($temp[$i]!="") {
                            if ($temp[$i] =="g_gametype") {
                                $gametype=trim(strtolower($temp[$i+1]));
                            }
                            if ($temp[$i] =="mapname") {
                                $map=substr(trim(strtolower($temp[$i+1])),3);
                            }
                            $i=$i+1;
                        }
//                        //mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='W', gametype='$gametype', map='$map'");
                    break;
                    case "J":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[3]);
                        user_into_db($inar[1],$inar[3], $gid);
                        mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='M', guid='$inar[1]', gametype='$gametype', map='$map'");
                        $impcounter++;
                    break;
                    case "say":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[3]);
//                        user_into_db($inar[1],$inar[3], $gid);
                        if (substr($inar[4],0,1)=="^") {   // if first character is a colour flag take it otherwise skip it as it is a strange symbol. Seems to be a bug in the log file
                           $temp = trim(stripslashes(substr($inar[4],0)));
                        } else {
                           $temp = trim(stripslashes(substr($inar[4],1)));
                        }
                        $temp=str_replace('\'', '', $temp);
                        $temp=str_replace('^0', '#0', $temp);
                        $temp=str_replace('^1', '#1', $temp);
                        $temp=str_replace('^2', '#2', $temp);
                        $temp=str_replace('^3', '#3', $temp);
                        $temp=str_replace('^4', '#4', $temp);
                        $temp=str_replace('^5', '#5', $temp);
                        $temp=str_replace('^6', '#6', $temp);
                        $temp=str_replace('^7', '#7', $temp);
                        $temp=str_replace('^8', '#8', $temp);
                        $temp=str_replace('^9', '#9', $temp);
                        $temp=htmlentities($temp);
                        mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='N', guid='$inar[1]', gametype='$gametype', map='$map', say_text='$temp'");
                        $impcounter++;
                    break;
                    case "sayteam":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[3]);
//                        user_into_db($inar[1],$inar[3], $gid);
                        if (substr($inar[4],0,1)=="^") {   // if first character is a colour flag take it otherwise skip it as it is a strange symbol. Seems to be a bug in the log file
                           $temp = stripslashes(substr($inar[4],0));
                        } else {
                           $temp = stripslashes(substr($inar[4],1));
                        }
                        $temp=str_replace('\'', '', $temp);
                        $temp=str_replace('^0', '#0', $temp);
                        $temp=str_replace('^1', '#1', $temp);
                        $temp=str_replace('^2', '#2', $temp);
                        $temp=str_replace('^3', '#3', $temp);
                        $temp=str_replace('^4', '#4', $temp);
                        $temp=str_replace('^5', '#5', $temp);
                        $temp=str_replace('^6', '#6', $temp);
                        $temp=str_replace('^7', '#7', $temp);
                        $temp=str_replace('^8', '#8', $temp);
                        $temp=str_replace('^9', '#9', $temp);
                        $temp=htmlentities($temp);
                        mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='O', guid='$inar[1]', gametype='$gametype', map='$map', say_text='$temp'");
                        $impcounter++;
                    break;
                    case "Weapon":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[3]);
//                        user_into_db($inar[1],$inar[3], $gid);
                        if ($inar[4] !="" && $inar[3] !="spectator"){
                            $temp = rtrim(str_replace('_mp','',$inar[4]));
                            $tmpw = end(explode("_",$temp));
                            if ($tmpw == "semi") { $temp = str_replace('_semi','',$temp); }
                            if ($tmpw == "stand") { $temp = str_replace('_stand','',$temp); }
                            if ($tmpw == "prone") { $temp = str_replace('_prone','',$temp); }
                            if ($tmpw == "slow") { $temp = str_replace('_slow','',$temp); }
                            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='L', guid='$inar[1]', weapon='$temp', gametype='$gametype', map='$map'");
                            $impcounter++;
                        }
                    break;
                    case "A":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[4]);
//                        user_into_db($inar[1],$inar[4], $gid);
                        if ($inar[3] !="" && $inar[5] !="" && $inar[5] !="0" && $inar[3] !="spectator"){
                            $temp = substr($inar[5],0,6);
                            switch ($temp) {
                            case "bomb_p":
                                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='H', guid='$inar[1]', team='$inar[3]', gametype='$gametype', map='$map'");
                                $impcounter++;
                            break;
                            case "bomb_d":
                                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='I', guid='$inar[1]', team='$inar[3]', gametype='$gametype', map='$map'");
                                $impcounter++;
                            break;
                            case "re_pic":
                                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='J', guid='$inar[1]', team='$inar[3]', gametype='$gametype', map='$map'");
                                $impcounter++;
                            break;
                            case "re_cap":
                                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='K', guid='$inar[1]', team='$inar[3]', gametype='$gametype', map='$map'");
                                $impcounter++;
                            break;
                            }
                        }
                    break;
                    case "D":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[4]);
                        $inar[5] = guid_name($guidserver, $inar[5],$inar[8]);
//                        user_into_db($inar[1],$inar[4], $gid);
//                        user_into_db($inar[5],$inar[8], $gid);
                        if ($inar[3] !="" && $inar[3] !="spectator" && $inar[7] !="" && $inar[7] !="world" && $inar[7] !="spectator" && $inar[9] !="" && $inar[12] !="" && $inar[1] != $inar[5]){
                            $temp=rtrim(str_replace('_mp','',$inar[9]));
                            $tmpw = end(explode("_",$temp));
                            if ($tmpw == "semi") { $temp = str_replace('_semi','',$temp); }
                            if ($tmpw == "stand") { $temp = str_replace('_stand','',$temp); }
                            if ($tmpw == "prone") { $temp = str_replace('_prone','',$temp); }
                            if ($tmpw == "slow") { $temp = str_replace('_slow','',$temp); }
                            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='E', guid='$inar[1]', oponentguid='$inar[5]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[3]', damage_points_taken='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                            $impcounter++;
                            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='D', guid='$inar[5]', oponentguid='$inar[1]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[7]', damage_points_given='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                            $impcounter++;
                        }
                    break;
                    case "K":
                        $inar[1] = guid_name($guidserver, $inar[1],$inar[4]);
                        $inar[5] = guid_name($guidserver, $inar[5],$inar[8]);
//                        user_into_db($inar[1],$inar[4], $gid);
//                        user_into_db($inar[5],$inar[8], $gid);
                        if ($inar[9] !="" && $inar[12] !="" && $inar[3] !="spectator" && $inar[7] !="spectator"){
                            $temp=rtrim(str_replace('_mp','',$inar[9]));
                            $tmpw = end(explode("_",$temp));
                            if ($tmpw == "semi") { $temp = str_replace('_semi','',$temp); }
                            if ($tmpw == "stand") { $temp = str_replace('_stand','',$temp); }
                            if ($tmpw == "prone") { $temp = str_replace('_prone','',$temp); }
                            if ($tmpw == "slow") { $temp = str_replace('_slow','',$temp); }
                            if ($inar[7] =="world") {
                                mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='P', guid='$inar[1]', gametype='$gametype', map='$map'");
                                $impcounter++;
                            } elseif ($temp != "") {
                                if (($inar[3] != $inar[7]) OR ($gametype == "dm")) {
                                    mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='B', guid='$inar[1]', oponentguid='$inar[5]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[3]', damage_points_taken='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                                    $impcounter++;
                                    mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='A', guid='$inar[5]', oponentguid='$inar[1]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[7]', damage_points_given='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                                    $impcounter++;
                                } else {
                                    mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='R', guid='$inar[1]', oponentguid='$inar[5]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[3]', damage_points_taken='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                                    $impcounter++;
                                    mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='Q', guid='$inar[5]', oponentguid='$inar[1]', weapon='$temp', bodypart='".trim($inar[12])."', team='$inar[7]', damage_points_given='$inar[10]', damage_by='$inar[11]', gametype='$gametype', map='$map'");
                                    $impcounter++;
                                }
                            }
                        }
                    break;
                    case "W":
                        $i=2;
                        while ($inar[$i]!="" && $inar[3] !="spectator" && $inar[7] !="spectator") {
                            $inar[$i] = guid_name($guidserver, $inar[$i],$inar[$i+1]);
//                            user_into_db($inar[$i],$inar[$i+1], $gid);
                            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='F', guid='$inar[$i]', team='$inar[1]', gametype='$gametype', map='$map'");
                            $impcounter++;
                            $i=$i+2;
                        }
                    break;
                    case "L":
                        $i=2;
                        while ($inar[$i]!="" && $inar[3] !="spectator" && $inar[7] !="spectator") {
                            $inar[$i] = guid_name($guidserver, $inar[$i],$inar[$i+1]);
//                            user_into_db($inar[$i],$inar[$i+1], $gid);
                            mysql_query("INSERT ".$_SESSION['dbprefix']."_fraxstatstemp set game = '$gid', timest = '$ddate', server='$sid', actiontype='G', guid='$inar[$i]', team='$inar[1]', gametype='$gametype', map='$map'");
                            $impcounter++;
                            $i=$i+2;
                        }
                    break;
                }
            }
        }
    }

    $_SESSION['linecounter']=$counter-1;
    $_SESSION['importcounter']=$impcounter;
    return(1);
}


?>