<?php
session_start();

/**********************************************************************************************/
/*  FraXStats, the most flexible game server stats - http://www.FraXStats.com                 */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2006 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation.                           */
/*                                                                                            */
/**********************************************************************************************/

/*******************      Function Library for general functions      *************************/








// CHECK FILE PERMISSIONS FOR CORRECT ACCESS ###############################
function check_permissions() {
    // Permissions check on pb-files folder
    $tmptime = time();
    if ($temp = @fopen($_SESSION['basefolder']."pb-files/".$tmptime.".tmp","w")) {
        @fclose($temp);
    } else {
        $permi1 = true;
    }
    @unlink($_SESSION['basefolder']."pb-files/".$tmptime.".tmp","a");

    // Permissions check on fraxstats-config.php
    if ($temp = @fopen($_SESSION['basefolder']."fraxstats-config.php","a")) {
        @fclose($temp);
    } else {
        $permi2 = true;
    }

    // Permissions check on import.usr
    if ($temp = @fopen($_SESSION['basefolder']."import.usr","a")) {
        @fclose($temp);
    } else {
        $permi3 = true;
    }

    // Permissions check on import-history.log
    if ($temp = @fopen($_SESSION['basefolder']."import-history.log","a")) {
        @fclose($temp);
    } else {
        $permi4 = true;
    }
    // Output the result if necessary
    if ($permi1 || $permi2 || $permi3 || $permi4) {
        echo "<br><font class=\"title\"><b><u>"._gn_attention."</u> "._ad_check_text1."<br><br>";
        if ($permi1) { echo " + "._ad_check_folder.": \"pb-files\"<br>"; }
        if ($permi2) { echo " + "._ad_check_file.": \"fraxstats-config.php\"<br>"; }
        if ($permi3) { echo " + "._ad_check_file.": \"import.usr\"<br>"; }
        if ($permi4) { echo " + "._ad_check_file.": \"import-history.log\"<br>"; }
        echo "<br>"._ad_check_text2."<br><br>";
        echo "</b><br><br><br></font>";
    }
}







//  OTHERS FILE_BROWSER @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function file_browse($sid, $gid, $cfolder, $where, $showlocation, $action) {

    if ($showlocation=="Local log file source") {
        $location = "local";
    } elseif ($showlocation=="Move local log files to") {
        $location = "local";
    } elseif ($showlocation=="Local PunkBuster files source") {
        $location = "local";
    } elseif ($showlocation=="FTP PunkBuster files source") {
        $location = "ftp";
        $which_ftp="ftp";
    } elseif ($showlocation=="Remote PunkBuster files source") {
        $location = "ftp";
        $which_ftp="remote";
    } elseif ($showlocation=="FTP server log file source") {
        $location = "ftp";
        $which_ftp="ftp";
    } elseif ($showlocation=="Local log file archive") {
        $location = "local";
    } elseif ($showlocation=="Remote FTP server log file source") {
        $location = "ftp";
        $which_ftp="remote";
    }


    // get ftp server settings
    $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid ='".$sid."'");
    $row = mysql_fetch_assoc($resultg);
    $server = $row['server'];
    if ($location=="local") {
        if ($where=="") {
            $where=realpath(".");
        }
        $showwhere=$where;
    } elseif ($location=="ftp") {
        $ftpserver = $row[$which_ftp.'server'];
        $ftpusername = $row[$which_ftp.'username'];
        $ftppassword = $row[$which_ftp.'password'];
        $ftpport = $row[$which_ftp.'port'];
        if ($where=="") {
            $where = $row[$which_ftp.'folder'];
        }
        if ($where=="") {
            $where = "/";
        }
        $showwhere = $where;
    }

    // display header
    echo "<center><div class=\"title\">"._ad_browse_header."</div></center><br>";

    //display game name
    echo "<br><font class=\"option\">"._ad_browse_purpose.": </font>";
    echo "<font class=\"content\">".$showlocation."</font>";
    echo "<br>";

    //display game name
    $resultg = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid ='".$gid."'");
    $row = mysql_fetch_assoc($resultg);
    echo "<br><font class=\"option\">"._ad_browse_game.": </font>";
    echo "<font class=\"content\">".$row["game"]."</font>";
    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";

    // display server name
    echo "<font class=\"option\">"._ad_browse_server.": </font>";
    echo "<font class=\"content\">".$server."</font><br>";

    // test FTP connection
    if ($location=="ftp") {
        $ftpcon = @ftp_connect($ftpserver, $ftpport, 10);
        $ftplog = @ftp_login($ftpcon, $ftpusername, $ftppassword);
        if ((!$ftpcon) || (!$ftplog)) {
            error_handling ("true", "", "", "<br><br>A connection to the FTP server could not be established.<br>Please make sure that server name and port as well as username and password are correct.", "Could not connect or login to FTP server.", "setting_server");
        } else {
            @ftp_pasv($ftpcon, 1);
            @ftp_chdir($ftpcon, $where);
        }
    }

    // change to selected sub directory
    if ($action==_ad_browse_changedir) {
        if ($location =="local") {
            if (is_dir($where."/".$cfolder)) {
                $where = $where."/".$cfolder;
                $where=realpath($where);
            }
            $showwhere=$where;
        } elseif ($location =="ftp") {
            if (($cfolder =="..") AND (@ftp_chdir($ftpcon, $where."/".$cfolder))) {
                $arfolder = explode("/",$where);
                $i=0;
                $where = "/";
                while ($i < count($arfolder)-1) {
                    if ($where =="/") {
                        $where = $where.$arfolder[$i];
                    } else {
                        $where = $where."/".$arfolder[$i];
                    }
                    $i++;
                }
            } else {
                if (@ftp_chdir($ftpcon, $where."/".$cfolder)) {
                    if ($where !="/") {
                        $where = $where."/".$cfolder;
                    } else {
                        $where = $where.$cfolder;
                    }
                }
            }
            $showwhere = $where;
        }
    }


    // button to call setting_server function and hand over current directory
    echo "<br><form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
    echo "<font class=\"option\">"._ad_browse_currentpath.":</font> ".$showwhere." ";
    echo "<input type=\"hidden\" name=\"showlocation\" value=\"".$showlocation."\">";
    echo "<input type=\"hidden\" name=\"browserdir\" value=\"".$showwhere."\">";
    echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
    echo "<input type=\"hidden\" name=\"gid\" value=\"$gid\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">"; //PHP-Nuke integration
    echo "<input type=\"hidden\" name=\"func\" value=\"setting_server\">";
    echo "<b><input type=\"submit\" name=\"action\" value=\""._ad_browse_selectdir."\"></b>";
    echo "</form>";

    // show direcotries
    echo "<form class=\"form\" method=\"post\" action=\"".$_SESSION['mainadmfile']."\">";
    echo "<font class=\"option\">"._ad_browse_directories.":</font><br>";
    echo "<select class=\"content\" name=\"cfolder\" size=\"7\" style=\"font-family:Fixedsys,Courier; padding:10px;\">";
    echo "<option value=\"..\">"._ad_browse_selectup
    . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
    . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>";
    if ($location =="local") {
        if ($dir = opendir($where)) {
            while (($file = readdir($dir)) !== false) {
                if($file != ".." && $file != "." && is_dir($where."/".$file)) {
                    $dirlist[] = $file;
                }
            }
            closedir($dir);
        }
        asort($dirlist);
        while (list ($key, $val) = each ($dirlist)) {
            echo "<option value=\"$val\">$val</option>";
        }
    } elseif ($location =="ftp") {
        $flist = @ftp_nlist($ftpcon,"");
        foreach ($flist as $val) {
            $isfolder = end(explode("/",$val,2));
            if (@ftp_chdir($ftpcon, $isfolder)) {
                @ftp_cdup($ftpcon);
                $flist2[]=$isfolder;
            }
        }   
        
        asort($flist2);
        foreach ($flist2 as $val) {
            echo "<option value=\"$val\">$val</option>";
        }   
    }
    echo "</select><br>";
    echo "<input type=\"hidden\" name=\"showlocation\" value=\"".$showlocation."\">";
    echo "<input type=\"hidden\" name=\"where\" value=\"".$where."\">";
    echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
    echo "<input type=\"hidden\" name=\"gid\" value=\"$gid\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"".$_SESSION['modulename']."\">"; //PHP-Nuke integration
    echo "<input type=\"hidden\" name=\"func\" value=\"file_browse\">";
    echo "<input type=\"submit\" name=\"action\" value=\""._ad_browse_changedir."\">";
    
    // show file list of current directory
    echo "<br><br><br>";
    echo "<font class=\"option\">"._ad_browse_filesdir.":</font><br>";
    echo "<select readonly class=\"content\" name=\"cfolder\" size=\"7\" style=\"font-family:Fixedsys,Courier; padding:10px;\">";
    if ($location =="local") {
        if ($dir = opendir($where)) {
            while (($file = readdir($dir)) !== false) {
                if(is_dir($where."/".$file) == FALSE) {
                    $filelist[] = $file;
                }
            }
            closedir($dir);
        }
        asort($filelist);
        while (list ($key, $val) = each ($filelist)) {
            echo "<option>$val</option>";
        }
    } elseif ($location =="ftp") {
        unset($flist, $flist2);

        $flist = @ftp_nlist($ftpcon,"");
        foreach ($flist as $val) {
            $isfolder = end(explode("/",$val,2));
            if (@ftp_chdir($ftpcon, $isfolder)) {
                @ftp_cdup($ftpcon);
            } else {
                $flist2[]=$isfolder;
            }
        }   
        ftp_close($ftpcon);
        asort($flist2);
        foreach ($flist2 as $val) {
            echo "<option value=\"$val\">$val</option>";
        }   
    }
    echo "<option>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
    . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
    . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>";
    echo "</select>";
    echo "</form><br>";

}

















// sorting multi dim array    @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function array_csort() {
   $args = func_get_args(); 
   $marray = array_shift($args); 
   $msortline = "return(array_multisort("; 
   foreach ($args as $arg) { 
       $i++; 
       if (is_string($arg)) { 
           foreach ($marray as $row) { 
               $sortarr[$i][] = $row[$arg]; 
           } 
       } else { 
           $sortarr[$i] = $arg; 
       } 
       $msortline .= "\$sortarr[".$i."],"; 
   } 
   $msortline .= "\$marray, SORT_NUMERIC));"; 
   eval($msortline); 
   return $marray; 
} 






















// Check if mysql table exists @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function mysql_table_exists($table) {
    $exists = mysql_query("SELECT 1 FROM `$table` LIMIT 0");
    if ($exists) {
        return true;
    } else {
        return false;
    }
}










// Java Scripts Message Box   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function action_message($message) {
//    $col1=rand(60,99);
//    $col2=rand(60,99);
//    $col3=rand(60,99);
//  window.document.action_message.message.style.backgroundColor = \"#".$col1.$col2.$col3."\"
    echo "<script type=\"text/javascript\"><!--
  window.document.action_message.message.value=\"".date("H:i")." - ".$message."\";
//--></script>";
    flush();
    ob_flush();
}









// Last Action Result Message @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function show_action(){
    echo "<div align=\"right\" class=\"footmsg\"><form class=\"form\" method=\"post\" name=\"action_message\">";
    echo "<input name=\"message\" type=\"text\" size=\"60\" value=\"\" readonly>";
    echo "<br>"._gn_lastactionresult;
    echo "</form></div>";
}












// General error and warning handling
// error_handling(boolean for stop processing, mysql error number for display, mysql error text for display, error or warning message to be displayed, action message for display, func variable for URL to continue with);
function error_handling($stopprocc, $mysqlerror_no, $mysqlerror_txt, $errormessage, $actionmessage,$backfunc) {
     action_message($actionmessage);

     if ($mysqlerror_no) {
         echo "<div class=\"option\">ERROR, the MySQL command could not be performed because of the following error message:<br><br>";
         echo "Error number: ".$mysqlerror_no."<br>";
         echo "Error description: ".$mysqlerror_txt."<br></div>";
     } else {
         echo "<div class=\"option\">".$errormessage."</div>";
     }

     if ($stopprocc == "true") {
          echo "<br><a href=\"".$_SESSION['mainadmfile']."?op=FraXStats&amp;func=".$backfunc."\">"._gn_click_to_continue."</a><br><br>";
          die();
     }
}













// readin useridfilter into array @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function userfilter($sid,$inout) {

    if ($inout =="output") {
        $inouttmp ="1";
    } elseif ($inout =="input") {
        $inouttmp ="2";
    }
    if ($sid=="") {
        $ufresult = mysql_query("SELECT filterhandling, filtertype, sid FROM ".$_SESSION['dbprefix']."_fraxstatsservers");
    } else {
        $ufresult = mysql_query("SELECT filterhandling, filtertype, sid FROM ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid='$sid'");
    }
    while ($ufrow = mysql_fetch_assoc($ufresult)) {
        $userfilter[$ufrow["sid"]][0]=$ufrow["filtertype"];  // write positive or negative filtering to first array position
        if ($ufrow["filterhandling"]==$inouttmp) { // if set to "1" then filtering at output
            $ufresult2 = mysql_query("SELECT * FROM ".$_SESSION['dbprefix']."_fraxstatsuseridfilter WHERE sid='".$ufrow["sid"]."'");
            while($ufrow2 = mysql_fetch_assoc($ufresult2)) {
                $userfilter[$ufrow["sid"]][]=$ufrow2["userid"]; // add all the filters to array
            }
        }
    }
    
    // returns several 2 dim array, one for each server
    // first array sid
    // second array - first element 1 for output, 2 for intput - other elements are guids
    return $userfilter;
}









// get micro time to measure page built @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function getmicrotime(){
   list($usec, $sec) = explode(" ",microtime()); 
   return ((float)$usec + (float)$sec); 
}









// change game coulour codes in player names into html colour codes @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function texttocolour($ptemp, $forlist) {
    $ef=0;
    $ef= $ef+substr_count($ptemp, "#0");
    $ef= $ef+substr_count($ptemp, "#1");
    $ef= $ef+substr_count($ptemp, "#2");
    $ef= $ef+substr_count($ptemp, "#3");
    $ef= $ef+substr_count($ptemp, "#4");
    $ef= $ef+substr_count($ptemp, "#5");
    $ef= $ef+substr_count($ptemp, "#6");
    $ef= $ef+substr_count($ptemp, "#7");
    $ef= $ef+substr_count($ptemp, "#8");
    $ef= $ef+substr_count($ptemp, "#9");
    $j=0;

    
    if ($forlist) {
        $ptemp=str_replace('#0', "", $ptemp);
        $ptemp=str_replace('#1', "", $ptemp);
        $ptemp=str_replace('#2', "", $ptemp);
        $ptemp=str_replace('#3', "", $ptemp);
        $ptemp=str_replace('#4', "", $ptemp);
        $ptemp=str_replace('#5', "", $ptemp);
        $ptemp=str_replace('#6', "", $ptemp);
        $ptemp=str_replace('#7', "", $ptemp);
        $ptemp=str_replace('#8', "", $ptemp);
        $ptemp=str_replace('#9', "", $ptemp);
    } else {
        while ($j<=$ef) {
            $ptemp = $ptemp."</font>";
            $j++;
        }
        $ptemp=str_replace('#0', '<font color="#000000">', $ptemp);
        $ptemp=str_replace('#1', '<font color="#FF0000">', $ptemp);
        $ptemp=str_replace('#2', '<font color="#00FF00">', $ptemp);
        $ptemp=str_replace('#3', '<font color="#FFFF00">', $ptemp);
        $ptemp=str_replace('#4', '<font color="#0000FF">', $ptemp);
        $ptemp=str_replace('#5', '<font color="#00FFFF">', $ptemp);
        $ptemp=str_replace('#6', '<font color="#FF00FF">', $ptemp);
        $ptemp=str_replace('#7', '<font color="#FFFFFF">', $ptemp);
        $ptemp=str_replace('#8', '<font color="#808080">', $ptemp);
        $ptemp=str_replace('#9', '<font color="#707070">', $ptemp);
    }
    return $ptemp;
}










// delete players from temp db with too few kills   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function import_minkills($minkills){
    $pp = 0;
    $result1 = mysql_query("SELECT guid FROM ".$_SESSION['dbprefix']."_fraxstatsplayerstemp");
    while($row = mysql_fetch_assoc($result1)) {
        $result2 = mysql_query("SELECT actiontype FROM ".$_SESSION['dbprefix']."_fraxstatstemp WHERE guid = '".$row["guid"]."' AND actiontype = 'A'");
        if (mysql_num_rows($result2) < $minkills){
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsplayerstemp WHERE guid = '".$row["guid"]."'");
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatstemp WHERE guid = '".$row["guid"]."'");
            $pp++;
        }
    }
    return($pp);
}












// prune PunkBuster files   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function prune_PB() {

    $restemp = mysql_query("SELECT sid, lpbpicprune, fpbpicprune, rpbpicprune FROM ".$_SESSION['dbprefix']."_fraxstatsservers");
    while($rtemp = mysql_fetch_assoc($restemp)) {

        $lpbpicprune = $rtemp['lpbpicprune'];
        $fpbpicprune = $rtemp['fpbpicprune'];
        $rpbpicprune = $rtemp['rpbpicprune'];
        if ($lpbpicprune !="") {
            $prunedate = time() - ($lpbpicprune * 86440);
        } elseif ($fpbpicprune !="") {
            $prunedate = time() - ($fpbpicprune * 86440);
        } elseif ($rpbpicprune !="") {
            $prunedate = time() - ($rpbpicprune * 86440);
        }
        if ($prunedate !=0) {
            $dir = @opendir($_SESSION['basefolder']."pb-files");
            while ($file = @readdir($dir) ) {
                if (reset(explode("-", $file)) == $sid) {
                    if (@filemtime($_SESSION['basefolder']."pb-files/".$file) < $prunedate) {
                        @unlink($_SESSION['basefolder']."pb-files/".$file);
                    }
                }
            }
            @closedir($dir) ;
        }
    }
}












// prune life db from too old records   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function prune_time($timest) {
    mysql_query("DELETE QUICK FROM ".$_SESSION['dbprefix']."_fraxstats USING ".$_SESSION['dbprefix']."_fraxstats, ".$_SESSION['dbprefix']."_fraxstatsplayers WHERE ".$_SESSION['dbprefix']."_fraxstats.guid = ".$_SESSION['dbprefix']."_fraxstatsplayers.guid AND ".$_SESSION['dbprefix']."_fraxstats.timest < '$timest'");
    return(mysql_affected_rows());
}












// prune live db from players with too few kills   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function prune_kills($minkills){
    $return = 0;
    $result1 = mysql_query("SELECT guid FROM ".$_SESSION['dbprefix']."_fraxstatsplayers");
    while($row = mysql_fetch_assoc($result1)) {
        $result2 = mysql_query("SELECT actiontype FROM ".$_SESSION['dbprefix']."_fraxstats WHERE guid = '".$row["guid"]."' AND actiontype = 'A'");
        $ammkills = mysql_num_rows($result2);
        if ($ammkills <= $minkills){
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstatsplayers WHERE ".$_SESSION['dbprefix']."_fraxstatsplayers.guid = '".$row["guid"]."'");
            mysql_query("DELETE FROM ".$_SESSION['dbprefix']."_fraxstats WHERE guid = '".$row["guid"]."'");
            $return++;
        }
    }
    return($return);
}













// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
function user_stats($filterarray, $game) {

    $filter=$filterarray[0];
    $i= 1;
    while ($filterarray[$i] != "") {
        $filter = $filter." AND ".$filterarray[$i];
        $i++;
    }

    // get gametype for gid
    $result = mysql_query("SELECT gametype FROM ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid='$game'");
    $row = mysql_fetch_assoc($result);
    $gametype = $row["gametype"];

    // define all detail categories
    $result = mysql_query("SELECT actiontype, description FROM ".$_SESSION['dbprefix']."_fraxstatsat WHERE available_detailed='y' AND game='$gametype' ORDER BY orderin");
    while($row = mysql_fetch_assoc($result)) {
        $atype[$row["actiontype"]] = $row["actiontype"];
        $arr[_ms_detailed_total][$row["actiontype"]]=0;
    }

    // read in record
    $result = mysql_query("SELECT actiontype, guid, weapon, bodypart, map, oponentguid, team, gametype, damage_points_taken, damage_points_given, damage_by FROM ".$_SESSION['dbprefix']."_fraxstats WHERE ".$filter);
    while($row = mysql_fetch_assoc($result)) {
        $actiontype = $row["actiontype"];
        $guid = $row["guid"];
        $weapon = $row["weapon"];
        $bodypart = $row["bodypart"];
        $map = $row["map"];
        $oponentguid = $row["oponentguid"];
        $team = $row["team"];
        $gametype = $row["gametype"];
        $damage_by = $row["damage_by"];
        $damage_points_given = $row["damage_points_given"];
        $damage_points_taken = $row["damage_points_taken"];

        // add up total values
        $arr[_ms_detailed_total][$atype[$actiontype]]++;
        $arr[_ms_detailed_total][$atype["T"]] = $arr[_ms_detailed_total][$atype["T"]] + $damage_points_given;
        $arr[_ms_detailed_total][$atype["U"]] = $arr[_ms_detailed_total][$atype["U"]] + $damage_points_taken;

        if ($arr[_ms_detailed_total][$atype["B"]] !=0) {
            $arr[_ms_detailed_total][$atype["C"]] = round ($arr[_ms_detailed_total][$atype["A"]] / $arr[_ms_detailed_total][$atype["B"]], 2);
        }
        $arr[_ms_detailed_total][$atype["S"]] = $arr[_ms_detailed_total][$atype["A"]] - $arr[_ms_detailed_total][$atype["B"]];

        // add up detailed values and calculate kdr + kdp + damage points
        if ($oponentguid !="") {
            $restemp = mysql_query("SELECT player FROM ".$_SESSION['dbprefix']."_fraxstatsplayers WHERE guid ='$oponentguid'");
            $rtemp = mysql_fetch_assoc($restemp);
            $arr[$atype[$actiontype]." - "._ms_detailed_player][texttocolour($rtemp["player"], false)]++;
            $arr[$atype["T"]." - "._ms_detailed_player][texttocolour($rtemp["player"], false)] = $arr[$atype["T"]." - "._ms_detailed_player][texttocolour($rtemp["player"], false)] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_player][texttocolour($rtemp["player"], false)] = $arr[$atype["U"]." - "._ms_detailed_player][texttocolour($rtemp["player"], false)] + $damage_points_taken;
        }
        if ($weapon != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_weapon][$weapon]++;
            $arr[$atype["T"]." - "._ms_detailed_weapon][$weapon] = $arr[$atype["T"]." - "._ms_detailed_weapon][$weapon] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_weapon][$weapon] = $arr[$atype["U"]." - "._ms_detailed_weapon][$weapon] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_weapon][$weapon] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_weapon][$weapon] = round ($arr[$atype["A"]." - "._ms_detailed_weapon][$weapon] / $arr[$atype["B"]." - "._ms_detailed_weapon][$weapon], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_weapon][$weapon] = round ($arr[$atype["A"]." - "._ms_detailed_weapon][$weapon] - $arr[$atype["B"]." - "._ms_detailed_weapon][$weapon], 2);
        }
        if ($map != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_map][$map]++;
            $arr[$atype["T"]." - "._ms_detailed_map][$map] = $arr[$atype["T"]." - "._ms_detailed_map][$map] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_map][$map] = $arr[$atype["U"]." - "._ms_detailed_map][$map] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_map][$map] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_map][$map] = round ($arr[$atype["A"]." - "._ms_detailed_map][$map] / $arr[$atype["B"]." - "._ms_detailed_map][$map], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_map][$map] = round ($arr[$atype["A"]." - "._ms_detailed_map][$map] - $arr[$atype["B"]." - "._ms_detailed_map][$map], 2);
        }
        if ($team != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_team][$team]++;
            $arr[$atype["T"]." - "._ms_detailed_team][$team] = $arr[$atype["T"]." - "._ms_detailed_team][$team] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_team][$team] = $arr[$atype["U"]." - "._ms_detailed_team][$team] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_team][$teams] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_team][$teams] = round ($arr[$atype["A"]." - "._ms_detailed_team][$teams] / $arr[$atype["B"]." - "._ms_detailed_team][$teams], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_team][$teams] = round ($arr[$atype["A"]." - "._ms_detailed_team][$teams] - $arr[$atype["B"]." - "._ms_detailed_team][$teams], 2);
        }
        if ($gametype != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_gametype][$gametype]++;
            $arr[$atype["T"]." - "._ms_detailed_gametype][$gametype] = $arr[$atype["T"]." - "._ms_detailed_gametype][$gametype] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_gametype][$gametype] = $arr[$atype["U"]." - "._ms_detailed_gametype][$gametype] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_gametype][$gametype] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_gametype][$gametype] = round ($arr[$atype["A"]." - "._ms_detailed_gametype][$gametype] / $arr[$atype["B"]." - "._ms_detailed_gametype][$gametype], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_gametype][$gametype] = round ($arr[$atype["A"]." - "._ms_detailed_gametype][$gametype] - $arr[$atype["B"]." - "._ms_detailed_gametype][$gametype], 2);
        }
        if ($bodypart != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_bodypart][$bodypart]++;
            $arr[$atype["T"]." - "._ms_detailed_bodypart][$bodypart] = $arr[$atype["T"]." - "._ms_detailed_bodypart][$bodypart] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_bodypart][$bodypart] = $arr[$atype["U"]." - "._ms_detailed_bodypart][$bodypart] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_bodypart][$bodypart] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_bodypart][$bodypart] = round ($arr[$atype["A"]." - "._ms_detailed_bodypart][$bodypart] / $arr[$atype["B"]." - "._ms_detailed_bodypart][$bodypart], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_bodypart][$bodypart] = round ($arr[$atype["A"]." - "._ms_detailed_bodypart][$bodypart] - $arr[$atype["B"]." - "._ms_detailed_bodypart][$bodypart], 2);
        }
        if ($damage_by != "") {
            $arr[$atype[$actiontype]." - "._ms_detailed_damagedby][$damage_by]++;
            $arr[$atype["T"]." - "._ms_detailed_damagedby][$damage_by] = $arr[$atype["T"]." - "._ms_detailed_damagedby][$damage_by] + $damage_points_given;
            $arr[$atype["U"]." - "._ms_detailed_damagedby][$damage_by] = $arr[$atype["U"]." - "._ms_detailed_damagedby][$damage_by] + $damage_points_taken;
            if ($arr[$atype["B"]." - "._ms_detailed_damagedby][$damage_by] !=0) {
                $arr[$atype["C"]." - "._ms_detailed_damagedby][$damage_by] = round ($arr[$atype["A"]." - "._ms_detailed_damagedby][$damage_by] / $arr[$atype["B"]." - "._ms_detailed_damagedby][$damage_by], 2);
            }
            $arr[$atype["S"]." - "._ms_detailed_damagedby][$damage_by] = round ($arr[$atype["A"]." - "._ms_detailed_damagedby][$damage_by] - $arr[$atype["B"]." - "._ms_detailed_damagedby][$damage_by], 2);
        }
    }

    // sort by category and within category by values
    $arr_keys = array_keys($arr);
    $i=0;
    while ($i < count ($arr_keys)) {
        // separate total from rest
        if ($i ==0) {
            $tmp1[$arr_keys[$i]] = $arr[$arr_keys[$i]];
            ksort($tmp1[$arr_keys[$i]]);
        } else {

            $j=0;
            unset($tosort);
            foreach ($arr[$arr_keys[$i]] as $key => $row) {
               $tosort[$key]  = $row[$j];
               $j++;
            }

            array_multisort($tosort, SORT_ASC, SORT_NUMERIC, $arr[$arr_keys[$i]]);

            $tmp2[$arr_keys[$i]] = $arr[$arr_keys[$i]];

        }
        $i++;
    }

    // sort everything but total in category order
    ksort($tmp2);

    // puttotal on top and rest behind it
    $arr2 = array_merge($tmp1, $tmp2);

    return $arr2;
}










// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

function stats_overview($overview, $category, $listing, $filterarray, $filtersid, $gid) {

    $i= 0;
    $filter="";
    while ($filterarray[$i] != "") {
        if ($filter == "") {
            $filter = $filterarray[$i];
        } else {
            $filter = $filter." AND ".$filterarray[$i];
        }
        $i++;
    }

    // get gametype for gid
    $result = mysql_query("SELECT gametype FROM ".$_SESSION['dbprefix']."_fraxstatsgames WHERE gid='$gid'");
    $row = mysql_fetch_assoc($result);
    $gametype = $row["gametype"];

    // define the header rows 
    if ($listing == "actiontype") {
        $jj=1;
        $result = mysql_query("select * from ".$_SESSION['dbprefix']."_fraxstatsat WHERE game ='".$gametype."' order by orderin");
        while($row = mysql_fetch_assoc($result)) {
            if ($row["available_".$category] =="y") {
                $so[0][$jj]=$row["actiontype"];
                $jj++;
            }
        }
    } else {
        $jj=1;
        if (!$filter) {
            $result = mysql_query("SELECT *, COUNT($listing) as total FROM ".$_SESSION['dbprefix']."_fraxstats GROUP BY $listing ORDER BY total DESC");
        } else {
            $result = mysql_query("SELECT *, COUNT($listing) as total FROM ".$_SESSION['dbprefix']."_fraxstats WHERE $filter GROUP BY $listing ORDER BY total DESC");
        }
        while($row = mysql_fetch_assoc($result)) {
            $so[0][$jj] = $row[$listing];
            $jj++;
        }
    }

    // define first column entry into array
    $userfilter= userfilter($filtersid,"output"); //get all useridfilters for output
    if (!$filter) {
        $result = mysql_query("SELECT guid, $category, $listing, COUNT($listing) as total FROM ".$_SESSION['dbprefix']."_fraxstats GROUP BY $category, $listing ORDER BY $category, $listing ASC, total DESC");
    } else {
        $result = mysql_query("SELECT guid, $category, $listing, COUNT($listing) as total FROM ".$_SESSION['dbprefix']."_fraxstats WHERE $filter GROUP BY $category, $listing ORDER BY $category, $listing ASC, total DESC");
    }

    while($row = mysql_fetch_assoc($result)) {
        $map = $row[$category];
        $actiontype = $row[$listing];
        $total = $row["total"];
        $guid = $row["guid"];
        $j=0;

        if ($category =="guid") {
            if ($filtersid=="") {
                $ufresult = mysql_query("SELECT filterhandling, sid FROM ".$_SESSION['dbprefix']."_fraxstatsservers");
            } else {
                $ufresult = mysql_query("SELECT filterhandling, sid FROM ".$_SESSION['dbprefix']."_fraxstatsservers WHERE sid='$filtersid'");
            }
            while ($ufrow = mysql_fetch_assoc($ufresult)) {
                if ($ufrow["filterhandling"] =="1") {
                    $ok=FALSE;
                    if ($userfilter[$ufrow["sid"]][0] == "1") { //check if filtertype is positive
                        $i=1;
                        $ok=TRUE; //set proceed flag ok because its default for positive list
                        while ($userfilter[$ufrow["sid"]][$i] != "") { //run in loop until all userids are read in
                            if ($userfilter[$ufrow["sid"]][$i] == $guid) {
                                $ok=FALSE;
                            } //set proceed flag to no because user on list
                            $i++;
                        }
                    } elseif ($userfilter[$ufrow["sid"]][0] == "2") {
                        $i=1;
                        $ok=FALSE; //set proceed flag no because its default for negative list
                        while ($userfilter[$ufrow["sid"]][$i] != "") { //run in loop until all userids are read in
                            if ($userfilter[$ufrow["sid"]][$i] == $guid) { $ok=TRUE; } //set proceed flag to ok because user on list
                            $i++;
                        }
                    }
                } else {
                    $ok=TRUE;
                }
                if ($ok) {
                    if ($map != "" AND $actiontype !="") {
                        $setmap="no";
                        $so[0][0]=" ";
                        $i=0;
                        while ($so[$i][0]!="") {
                            if ($so[$i][0] == $map) { $setmap="yes"; }
                            $i++;
                        }
                        if ($setmap=="no") { $so[][0]=$map; }
                    }
                }
            }
        } else {    // if ($category =="guid") {
            if ($map != "" AND $actiontype !="") {
                $setmap="no";
                $so[0][0]=" ";
    
                $i=0;
                while ($so[$i][0]!="") {
                    if ($so[$i][0] == $map) { $setmap="yes"; }
                    $i++;
                }
                if ($setmap=="no") { $so[][0]=$map; }
            }
        }
    }

    //write value into array matrix
    if (!$filter) {
        $result = mysql_query("SELECT guid, $category, $listing, COUNT($listing) as total, sum(damage_points_given) as damage_points_given, sum(damage_points_taken) as damage_points_taken FROM ".$_SESSION['dbprefix']."_fraxstats GROUP BY $category, $listing ORDER BY $category, $listing ASC, total DESC");
    } else {
        $result = mysql_query("SELECT guid, $category, $listing, COUNT($listing) as total, sum(damage_points_given) as damage_points_given, sum(damage_points_taken) as damage_points_taken FROM ".$_SESSION['dbprefix']."_fraxstats WHERE $filter GROUP BY $category, $listing ORDER BY $category, $listing ASC, total DESC");
    }
    while($row = mysql_fetch_assoc($result)) {
        $map = $row[$category];
        $actiontype = $row[$listing];
        $total = $row["total"];
        $guid = $row["guid"];
        $damage_points_given = $row["damage_points_given"];
        $damage_points_taken = $row["damage_points_taken"];
        $j=1;
        $i=1;
        while ($so[$i][0]!="") {
            if ($so[$i][0] == $map) {
                $j=1;
                while ($so[0][$j]!="") {
                    if ($so[0][$j] == $actiontype) { $so[$i][$j]=$total; }
                    if ($so[0][$j] == "U") { $so[$i][$j]=$so[$i][$j]+$damage_points_taken; }
                    if ($so[0][$j] == "T") { $so[$i][$j]=$so[$i][$j]+$damage_points_given; }
                    $j++;
                }
            }
            $i++;
        }
    }

    //add player name to guid in first column
    if ($category=="guid") {
        $i=1;
        $ef=0;
        while ($so[$i][0]!="") {
            $temp = $so[$i][0];
            $result = mysql_query("SELECT player FROM ".$_SESSION['dbprefix']."_fraxstatsplayers WHERE guid = '$temp'");
            $row = mysql_fetch_assoc($result);
            $so[$i][0] = texttocolour($row["player"], false)."######".$temp;
            $i++;
        }
    }

    $so[0][0]=$overview;

    if ($listing == "actiontype") {
        // get columns of all needed rows
        $j=1;
        while ($so[0][$j]!="") {
            if ($so[0][$j]=="A") { $ta=$j; }
            if ($so[0][$j]=="B") { $tb=$j; }
            if ($so[0][$j]=="C") { $tc=$j; }
            if ($so[0][$j]=="S") { $ts=$j; }
            $j++;
        }

        // go through table and do calcutlations
//      if (($gametype="1") OR ($gametype="2")) {  //claculation for CoD and CoD-UO  ---- FOR NOW CALCULATE FOR ALL GAMES
            $j=1;
            while ($so[$j][0]!="") {
                if ($so[$j][$tb] != "") {  //Calculate Kill - Death ratio
                    $so[$j][$tc] = round($so[$j][$ta]/$so[$j][$tb],2);
                } else {
                    $so[$j][$tc] = $so[$j][$ta];
                }
                settype($so[$j][$tc], "string");
    
                if ($so[$j][$tb] != "") {  //Calculcate Kill - Death points
                    $so[$j][$ts] = round($so[$j][$ta]-$so[$j][$tb],2);
                } else {
                    $so[$j][$ts] = $so[$j][$ta];
                }
                settype($so[$j][$ts], "string");
                $j++;
            }
//      }

        // put description in header row
        $result = mysql_query("SELECT actiontype, description FROM ".$_SESSION['dbprefix']."_fraxstatsat WHERE game='".$gametype."'");
        while($row = mysql_fetch_assoc($result)) {
            $atype[$row["actiontype"]] = $row["description"];
        }
        $j=1;
        while ($so[0][$j]!="") {
            $so[0][$j] = $atype[$so[0][$j]];
            $j++;
        }
    }
    return $so;
}















?>