<?php
session_start();

/**********************************************************************************************/
/*  FraXStats, the most flexible game server stats - http://www.FraXStats.com                 */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2005 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation.                           */
/*                                                                                            */
/**********************************************************************************************/


// ### Lanugage ###
define("_sel_language","Die momentan verwendete Sprache ist Deutsch.");



// ### General terms   ###

define("_gn_go","Go");
define("_gn_selecthere","[Bitte hier w&auml;hlen]");
define("_gn_select","Auswhlen");
define("_gn_apply","&uuml;bernehmen");
define("_gn_nextpage","N&auml;chste Seite");
define("_gn_previouspage","Vorherige Seite");
define("_gn_choose","Ausw&auml;hlen");
define("_gn_attention","ACHTUNG:");
define("_gn_execute","ausfhren");
define("_gn_save","speichern");
define("_gn_ok","ok");
define("_gn_modify","bearbeiten");
define("_gn_add","hinzufgen");
define("_gn_browse","browse");
define("_gn_yes","ja");
define("_gn_no","nein");
define("_gn_lastactionresult","FraXStats Status");
define("_gn_click_to_continue","Bitte hier klicken um fortzufahren.");
define("_gn_errormsg","FEHLER");



// ### Main stats screen   ###

define("_ms_game","Spiel");
define("_ms_choosestatsheader","W&auml;hle deine Statistik hier");
define("_ms_chooseplayer","Spieler-Statistik");
define("_ms_choosemap","Map-Statistik");
define("_ms_chooseweapon","Waffen-Statistik");
define("_ms_choosegametype","Spieltyp-Statistik");
define("_ms_chooseweaponbody","Treffer Waffe/K&ouml;rperteil");
define("_ms_choosebodydamage","Treffer K&ouml;rperteil/Schadenstyp");
define("_ms_choosedetailed","Detaillierte Spieler-Statistik");
define("_ms_choosechat","InGame Chats");
define("_ms_choosenamehistory","Spielernamen Historie (alle Server)");
define("_ms_choosepbscreens","PunkBuster Screenshots");
define("_ms_instructions","Anleitung");
define("_ms_update","Statistiken Aktuallisieren");
define("_ms_filterheader","Filter setzen");
define("_ms_filterexplenation","(Um eine weitere Auswahl des gleichen Filters zu treffen, w&auml;hle zun&auml;chst \"Zeige alles\".)");
define("_ms_filtershowall","Zeige alles");
define("_ms_filterserver","Server / Letztes Update");
define("_ms_filterplayer","Spieler");
define("_ms_filtermap","Map");
define("_ms_filterweapon","Waffe");
define("_ms_filtergametype","Spieltyp");
define("_ms_filterteam","Team");
define("_ms_filterbodypart","K&ouml;rperteil");
define("_ms_filterdamagetype","Schadenstyp");
define("_ms_chats_sayteam","Team-Chat");
define("_ms_chats_saypublic","Chat");
define("_ms_chatsheaderplayer","Spieler");
define("_ms_chatsheadergametype","Spieltyp");
define("_ms_chatsheadermap","Map");
define("_ms_chatsheaderlevel","Level");
define("_ms_chatsheadertext","Text - Nachricht");
define("_ms_name_current","Aktueller Name");
define("_ms_name_history","Historie");
define("_ms_detailed_playerneeded","Bitte einen Spieler im Filter auswhlen!");
define("_ms_detailed_serverneeded","Bitte einen Server im Filter auswhlen!");
define("_ms_detailed_selectcompare","Vergleiche mit Spieler");
define("_ms_detailed_top","Seitenanfang");
define("_ms_detailed_total","Total");
define("_ms_detailed_player","Spieler");
define("_ms_detailed_weapon","Waffe");
define("_ms_detailed_map","Map");
define("_ms_detailed_team","Team");
define("_ms_detailed_gametype","Spieltyp");
define("_ms_detailed_bodypart","Krperteil");
define("_ms_detailed_damagedby","Zerstrt durch");
define("_ms_detailed_perrounds","Pro 100 Runden");
define("_ms_detailed_percentage","Prozent");
define("_ms_detailed_nodata","Sorry, keine Daten zum Vergleich");
define("_ms_detailed_nopbfiles","Momentan stehen fr diesen Server keine PunkBuster Screenshots zur Verfgung.");



// ### Game selection screen   ###

define("_gs_header","W&auml;hle ein Spiel aus der Liste");
define("_gs_selectgame","W&auml;hle ein Spiel");
define("_gs_nogame","Kein Spiel ausgew&auml;hlt, w&auml;hle zumindest ein Spiel im Admin panel");



// ### Instruction window   ###

define("_in_title","FraXStats Anleitung");
define("_in_header","FraXStats Anleitung");
define("_in_generalheader","Allgemeine Einf&uuml;hrung");
define("_in_generaltext","Zuerst suchst du dir die Statistik, die du haben m&ouml;chtest, auf der linken Seite aus. Du kannst Statistiken w&auml;hlen zu Waffen, K&ouml;rperteilen, Maps u.s.w.");
define("_in_filterheader","Filter");
define("_in_filtertext","Danach kannst du durch das Setzen von Filtern das Ergebnis eingrenzen. Wird kein Filter gesetzt, siehst du alle Informationen der Statistik von allen Servern dieses Spiels sowie alle Maps, Spieltypen u.s.w.<br>W&auml;hle die gew&uuml;nschten Filter nacheinander aus, und klicke danach jedesmal \"2. Step\". Wenn du einen weiteren Eintrag aus demselben Filter w&auml;hlen m&ouml;chtest, musst du vorher \"Zeige alles\" ausw&auml;hlen, um zu verhindern, als Resultat eine leere Seite zu erhalten.");
define("_in_sortingheader","Sortierung");
define("_in_sortingtext","Standardm&auml;&szlig;ig ist die Statistik nach aufsteigenden Werten der \"kills\"-Spalte geordnet. Wenn du die Sortierung in absteigender Reihenfolge haben willst, klicke auf die Spalten&uuml;berschrift der \"kills\"-Spalte. Um nach einer anderen Spalte zu sortieren, brauchst du nur den entsprechenden Spaltenkopf anzuklicken.<br>Mithilfe dieses Systems kannst du alles anzeigen lassen, was du sehen m&ouml;chtest. F&uuml;r mehr Informationen schau dir weiter unten die Beispiele an.");
define("_in_compareheader","Spieler vergleichen");
define("_in_comparetext","Mit der Benutzer-Statistik kannst du alle m&ouml;glichen Details &uuml;ber einen oder zwei Spielersehen. Und wenn du m&ouml;chtest, kannst du diesen Spieler mit einem anderen Spieler vergleichen, such einfach den gew&uuml;nschten Spieler &uuml;ber \"3. Step\" aus.<br>Alle Filter sind auf jede Statistik verf&uuml;gbar.");
define("_in_examplesheader","Beispiele");
define("_in_request","Frage");
define("_in_solution","L&ouml;sung");
define("_in_question1","Wer ist der beste Spieler (mit den meisten kills) pro Map?");
define("_in_answer1","- W&auml;hle \"Spielerstatistik\" und klicke \"1. Step\".<br>- Suche die gew&uuml;nschte Map aus dem Filter \"Map\" aus und klicke \"2. Step\".");
define("_in_question2","Welcher Spieler (Spieler A oder Spieler B) hat mehr \"head shot kills\" erreicht?");
define("_in_answer2","- W&auml;hle \"Benutzer-Statistik\" und klicke \"1. Step\".<br>- W&auml;hle \"Spieler A\" aus dem Filter \"Player\" und klicke \"2. Step\".<br>- W&auml;hle \"Spieler B\" durch \"Vergleiche Spieler mit\"  und klicke \"3. Step\".<br>- Scroll runter zur \"Did Kill - Bodypart\" Sektion und schau auf die Zeile \"head\".");
define("_in_question3","Welche Waffe ist die beste f&uuml;r einen bestimmten Spieltyp?");
define("_in_answer3","- W&auml;hle \"Waffen-Statistik\" und klicke \"1. Step\".<br>- W&auml;hle den gew&uuml;nschten Spieltypaus dem Filter \"Spieltyp\" und klicke \"2. Step\".");
define("_in_close","Fenster schliessen");



// ### ADMIN File Browser   ###

define("_ad_check_text1","FraXStats kann in die folgenden Dateien / Verzeichnisse nicht schreiben. Bitte korrigiere die Berichtigungen dieser Dateien und Verzeichnisse. Normaler weise wird dies mit der chmod Funktion deines FTP Programmes durchgefhrt. Benutze diese Funktion um den CHMOD Wert dieser Dateien / Verzeichnisse auf  \"0777\" zu setzen:");
define("_ad_check_folder","Verzeichnis");
define("_ad_check_file","Datei");
define("_ad_check_text2","Stelle sicher dass die Berechtigungen ordnungsgemss gesetzt sind und diese Meldung nicht mehr angezeigt wird bevor du weiter machst.");



// ### ADMIN File Browser   ###

define("_ad_browse_title","FraXStats Datei-Browser");
define("_ad_browse_header","Datei-Browser");
define("_ad_browse_pathlocal","Pfad zu den Log-Dateien auf dem lokalen Rechner");
define("_ad_browse_pathftp","FTP Pfad zu den Log-Dateien");
define("_ad_browse_purpose","Ziel");
define("_ad_browse_game","Spiel");
define("_ad_browse_server","Server");
define("_ad_browse_errorconnect","ERROR: Keine Verbindung zu");
define("_ad_browse_errorlogin1","ERROR: Kein Log-In bei");
define("_ad_browse_errorlogin2",", bitte &uuml;berpr&uuml;fe Benutzername und Passwort.");
define("_ad_browse_currentpath","Aktueller Pfad");
define("_ad_browse_directories","Directories to change to");
define("_ad_browse_selectup","[Ein Level hoch]");
define("_ad_browse_changedir","Wechsle Verzeichnis");
define("_ad_browse_selectdir","W&auml;hle Verzeichnis");
define("_ad_browse_filesdir","Dateien im aktuellen Verzeichnis");
define("_ad_browse_close","Fenster schliessen");



### ADMIN Settings Player Filter   ###

define("_ad_set_usrfilter_title","FraXStats Spieler Filter");
define("_ad_set_usrfilter_header","Spieler Filter");
define("_ad_set_usrfilter_game","Spiel");
define("_ad_set_usrfilter_server","Server");
define("_ad_set_usrfilter_lastaction","Letzte Aktion");
define("_ad_set_usrfilter_lastdelete","Spieler wurde gelscht.");
define("_ad_set_usrfilter_lastadded","Spieler wurde hinzugefgt.");
define("_ad_set_usrfilter_lasttypechange","Der Typ dieses Filters wurde gendert");
define("_ad_set_usrfilter_lastfilterchange","Filter-handling wurde gendert");
//define("_ad_set_usrfilter_lastwindow","Fenster schon geffnet");
define("_ad_set_usrfilter_listheader","Aktueller Filter");
define("_ad_set_usrfilter_listheader2","(Benutzer ID | Name/Beschreibung)");
define("_ad_set_usrfilter_listempty","[Die Filter-List ist momentan leer]");
define("_ad_set_usrfilter_delete","l&ouml;schen");
define("_ad_set_usrfilter_warningid","Bitte trage etwas ins Benutzer ID Feld ein");
define("_ad_set_usrfilter_warningname","Bitte trage g&uuml;ltigen Wert ins Name/Beschreibung Feld ein");
define("_ad_set_usrfilter_add","hinzuf&uuml;gen");
define("_ad_set_usrfilter_addfilter","Filter hinzuf&uuml;gen");
define("_ad_set_usrfilter_userid","Benutzer ID");
define("_ad_set_usrfilter_name","Name / Beschreibung");
define("_ad_set_usrfilter_add","hinzuf&uuml;gen");
define("_ad_set_usrfilter_filterhandling","Filter handling");
define("_ad_set_usrfilter_filterhandling1","ALLE Spieler werden in die Datenbank aufgenommen. Empfohlen!");
define("_ad_set_usrfilter_filterhandling2","Nur ausgew&auml;hlte Spieler werden in die Datenbank aufgenommen");
define("_ad_set_usrfilter_change","Wechseln");
define("_ad_set_usrfilter_filtertype","Filter-Typ");
define("_ad_set_usrfilter_filtertype1","Spieler aus der Liste oberhalb werden nicht f&uuml;r diesen Server angezeigt.");
define("_ad_set_usrfilter_filtertype2","NUR Spieler aus der Liste oberhalb werden f&uuml;r diesen Server angezeigt.");
define("_ad_set_usrfilter_close","Fenster schliessen");
define("_ad_set_usrfilter_amselectsrv","Bitte Server auswhlen.");
define("_ad_set_usrfilter_text","Spielerfilter ist eine sehr mchtige Funktion daher bitte mit vorsicht anwenden!<br><br>"
        . "Es wird zwischen zwei Arten von Filtern unterschieden. "
        . "Die erste importiert nicht gewnschte Spieler, was sehr gut ist, denn es wird "
        . "weniger Platz in auf dem Server in der Datenbank beansprucht. Aber FraXStats ist dann auch so schlau, dass alle Aktionen (z.B. Kills)"
        . "die mit diesem unerwnschten Spieler in Verbindung stehen nicht zur Verfgung stehen. Damit ist gemeint, dass "
        . "ein Spieler der vom Filter ausgeschlossen wird und von einem anderen Spieler gekillt wird nicht in der Kill-Statistic des anderen Spielers auftaucht. "
        . "Was so gewnscht ist, denn Aktionen mit gefilterten Spielern werden nicht miteinbezogen.<br><br>"
        . "Die andere Filtermethode zhlt all diese Aktionen, aber zeigt nur die "
        . "Spieler die mit dem Filter erlaubt sind.");
define("_ad_set_usrfilter_attention","Was auch immer du einstellst ndere es spter nicht, denn die Daten knnen dadurch unstimmig werden. Wenn du dir unsicher bist ndere sie nicht ab.");
define("_ad_set_usrfilter_textmodify","Um einen Server zu ndern bitte hier auswhlen:");
define("_ad_set_usrfilter_selecthere","[Server whlen]");
define("_ad_set_usrfilter_lastadded","Spieler wurde hinzugefgt.");




// ### ADMIN Welcome screen   ###

define("_ad_wc_successlogin","Erfolgreich bei FraXStats angemeldet.");
define("_ad_wc_header","Willkommen bei FraXStats...");
define("_ad_wc_text","Hiermit kannst du deine Version von FraXStats verwalten.");
define("_ad_wc_section1","Einstellungen");
define("_ad_wc_ch1_header","Allgem. Einstel.");
define("_ad_wc_ch1_text","Hier kannst du allgemeine Einstellungen von FraXStats anpassen, wie zum Beispiel Tabellenfarben, berschrifen, mindest Kills, etc.");
define("_ad_wc_ch2_header","MySQL Einstel.");
define("_ad_wc_ch2_text","Whrend der installation hast du diese Einstellungen bereits vorgenommen, aber wenn diese gendert werden mssen dann kann das hier geschehen. Auch das PASSWORT fr FraXStats kann hier gendert werden.");
define("_ad_wc_ch3_header","Datenbank Tabellen");
define("_ad_wc_ch3_text","Alle Tabellen wurden whrend der Installation erstellt. Hier kannst du alle Daten lschen und nochmal beginnen.");
define("_ad_wc_ch4_header","Spieler Filter");
define("_ad_wc_ch4_text","Du mchtest die Statistiken auf deinen Clan beschrnken oder bestimmte Spieler ignorieren, dann kannst du das hier tun.");
define("_ad_wc_ch5_header","Spalten Reihenfolge");
define("_ad_wc_ch5_text","In verschiedenen Statistiken kannst du verschiedenen Spalten anzeigen lassen und deren Reihenfolge bestimmen.");
define("_ad_wc_ch5_attention","Ebenso alle Sprachelemente sind in Sprachdateien bereits bersetzt so MUSST DU die berschriften selbst bestimmen, das gibt dir mehr flexibilitt und ist auch fr sptere Funktionen von nten.");
define("_ad_wc_ch6_header","Verfgbare Spiele");
define("_ad_wc_ch6_text","Alle Spiele die von FraXStats supportet werden sind hier gelistet. Whle welche du brauchst und gib ihnen individuelle Namen.");
define("_ad_wc_ch7_header","Server Settings");
define("_ad_wc_ch7_text","Hier kannst du verschiedene Server anlegen und alle dazugehrenden Einstellungen festlegen. Wie zum Beispiel FTP Einstellungen, Logfile Namen, etc.");
define("_ad_wc_section2","Aktionen");
define("_ad_wc_ch8_header","Importieren");
define("_ad_wc_ch8_text","Hiermit kannst du bestimmte Spiele / Server importieren.");
define("_ad_wc_ch9_header","Lschen");
define("_ad_wc_ch9_text","Damit die Daten nicht zuviel werden kannst du sie hiermit lschen. Entweder nach Alter oder nach Anzahl Kills eines Spielers.");
define("_ad_wc_section3","Anderes");
define("_ad_wc_ch10_header","Ausloggen FXS");
define("_ad_wc_ch10_text","Wie es schon sagt, hiermit kannst du dich aus FraXStats ausloggen.");
define("_ad_wc_ch11_header","PHP-Nuke ausblenden");
define("_ad_wc_ch11_text","Hiermit kannst du das PHP-Nuke Administrationsmen ausblenden und dann auch wieder einblenden.");
define("_ad_wc_ch12_header","PHP-Nuke anzeigen");
define("_ad_wc_ch12_text","Hiermit wird das PHP-Nuke Men eingeblendet.");



// ### ADMIN Prune   ###

define("_ad_pr_header","Statistiken Lschen");
define("_ad_pr_text","Hiermit behltst du deine Daten auf dem neusten Stand und kannst alte Daten lschen. Das hilft dir FraXStats problemlos laufen zu lassen.");
define("_ad_pr_dateheader","Datum");
define("_ad_pr_datetext","Bitte gib das Datum ein dass Statistiken maximal haben sollen. Alles was lter ist wird gelscht.");
define("_ad_pr_datehint","berechnet aus den Tagen die in Allgemeinen Einstellung angegeben sind.");
define("_ad_pr_killsheader","Kills");
define("_ad_pr_killstext","Bitte gib die Anzahl der Kills die ein Spieler mindestens haben muss um in die Statistik aufgenommen zu werden. Der hier gezeigte Wert is aus den Allgemeinen Einstellungen bernommen worden.");
define("_ad_pr_actheader","Bitte warten...");
define("_ad_pr_acttext","Daten werden bereinigt, bitte warten.");
define("_ad_pr_doneheader","Fertig");
define("_ad_pr_donetext1","Die Statisktiken wurden aufgerumt.<br>Das dauerte");
define("_ad_pr_donetext2","Sekunden.");
define("_ad_pr_sucessmsg","Daten erfolgreich aufgerumt.");



// ### ADMIN Logout   ###

define("_ad_lo_am","Erfolgreich aus FraXStats ausgeloggt.");
define("_ad_lo_text","Vielen Dank fr die Verwendung von FraXStats...");



// ### ADMIN Main   ###

define("_ad_main_header","Administration von");
define("_ad_main_nukeon","PHP-Nuke Men eingeblendet.");
define("_ad_main_nukeoff","PHP-Nuke Men ausgeblendet.");



// ### ADMIN Settings General   ###

define("_ad_set_gen_header","Allgemeine Einstellungen");
define("_ad_set_gen_am_savedok","Allgemeine Einstellungen erfolgreich gespeichert.");
define("_ad_set_gen_am_savefailed","Speichern der Allgemeinen Einstellungen fehlgeschlagen.");
define("_ad_set_gen_ch1_header","Sprache:");
define("_ad_set_gen_ch1_text","Bitte die Sprache fr FraXStats auswhlen:");
define("_ad_set_gen_ch1_droplist","[Sprache whlen]");
define("_ad_set_gen_ch2_header","Zeit je Vorgang in Sekunden:");
define("_ad_set_gen_ch2_text","Bitte die Zeit in Sekunden angeben die maximal pro Importiervorgang nicht berschritten werden kann.<br>"
        . "FraXStats hat versucht diesen Wert auf 600 Sekunden minus 5 (595 sek.) zu setzen, aber das Ergebnis hngt davon ab was dein PHP Server maximal zulsst. Der hier angegebene Wert ist der maximal zugelassene von deinem Server."
        . "Normalerweise besteht kein Bedarf diesen Wert zu verndern, aber bitte stelle sicher dass er innerhalb der Specifikationen deines Servers liegt.");
define("_ad_set_gen_ch2_attention","Bitte beachte dass der Importvorgang sehr Prozessorintesiv ist und da PHP eine maximale Ausfhrungszeit fr Skripte hat kann es passieren, dass"
        . "das FraXStats mit eine Fehlermeldung stehen bleibt. In einem solchen Fall solltest du den Wert verringern, jedoch nicht unter 15 Sekunden.");
define("_ad_set_gen_ch2_infheader","Information:");
define("_ad_set_gen_ch2_information","Sollte FraXStats beim Importieren abstrzen so werden deine Daten nicht verndert, denn diese werden nur nach erfolgreichem Importieren aktuallisiert.");
define("_ad_set_gen_ch2_seconds","Sekunden:");
define("_ad_set_gen_ch3_header","berschrift FraXStats Benutzer-Seite:");
define("_ad_set_gen_ch3_text","Bitte hier die berschrift fr FraXStats Benutzer-Seite festlegen.");
define("_ad_set_gen_ch3_head1","Erste berschriftszeile:");
define("_ad_set_gen_ch3_head2","Zweite berschriftszeile:");
define("_ad_set_gen_ch4_header","Hintergrundfarben fr Tabellen:");
define("_ad_set_gen_ch4_text","Diese Werte bestimmen die Farben der Tabellen die die Statistiken beinhalten. Je nach dem Umfeld in das FraXStats eingebunden wird sollten diese Werte angepasst werden.");
define("_ad_set_gen_ch4_head","berschrift:");
define("_ad_set_gen_ch4_odd","Ungerade Zeilen:");
define("_ad_set_gen_ch4_even","Gerade Zeilen:");
define("_ad_set_gen_ch4_over","Maus focus:");
define("_ad_set_gen_ch5_header","Minimum Kills:");
define("_ad_set_gen_ch5_text","Bitte gib an wieviele Kills ein Spieler mindestens haben muss um in FraXStats angezeigt zu werden. Spieler mit weniger Kills werden gelscht.");
define("_ad_set_gen_ch5_value","Anzahl:");
define("_ad_set_gen_ch6_header","Mazimales Alter:");
define("_ad_set_gen_ch6_text","Hier gibst du an wie alt Daten maximal sein sollen. Du kannst 999 eingeben um keine Daten zu lschen, aber das ist nicht empfohlen. Je nach dem wie gut besucht dein Server ist, ist ein Wert von cirka 30 Tagen empfohlen.");
define("_ad_set_gen_ch6_days","Tage:");
define("_ad_set_gen_ch7_header","Mindest Zeit zwischen den Aktualisierungen von Besuchern:");
define("_ad_set_gen_ch7_text","Bitte gib die mimimum Zeitspanne, in Minuten, an bevor ein Besucher die Statistiken wiederholt aktuallisiern knnen soll. Ein guter Wert ist 5 Minuten um nicht zu viel Netzwerkverkehr zu generieren.");
define("_ad_set_gen_ch7_minutes","Minuten:");



### ADMIN mySQL Settings   ###

define("_ad_set_mys_setwrong","Die angegebenen Daten funktionieren nicht.");
define("_ad_set_mys_settings","Bitte die folgenden Daten prfen und nochmal probieren:");
define("_ad_set_mys_servername","Servername:");
define("_ad_set_mys_username","Datenbank Benutzername:");
define("_ad_set_mys_password","Passwort:");
define("_ad_set_mys_database","Datenbank:");
define("_ad_set_mys_prefix","Prefix fr Tabellen:");
define("_ad_set_mys_notcreated","Konfigurationsdatei wurde NICHT erstellt.");
define("_ad_set_mys_nodatabase","Verbindung zum Server hergestellt, aber Datenbank konnte nicht gefunden werden.");
define("_ad_set_mys_notsaved","FEHLER: Datei konnte nicht gespeichert werden.");
define("_ad_set_mys_am_configok","Konfigurationsdatei und Tabellen erstellt.");
define("_ad_set_mys_configtableok1","Konfigurationsdatei erfolgreich erstellt und alle Tabellen ebenso.");
define("_ad_set_mys_configtableok2","Konfigurationsdatei und Tabellen erstellt.");
define("_ad_set_mys_configok1","Konfigurationsdatei erfolgreich erstellt.");
define("_ad_set_mys_configok2","Konfigurationsdatei erstellt.");
define("_ad_set_mys_header","Datenbank Angaben festlegen");
define("_ad_set_mys_text","Bitte alle Angaben zur Verbindung zur Datenbank eingeben.");
define("_ad_set_mys_prefixhint","(Bitte keinen Bindestrich (-) verwenden.)");
define("_ad_set_mys_pwheader","Passwort zum einloggen in FraXStats");
define("_ad_set_mys_pwtext","Passwort zum einloggen in FraXStats:");
define("_ad_set_mys_pwhint","(Nur angeben wenn Passwort gendert werden soll)");



### ADMIN Table Settings   ###

define("_ad_set_tbl_delfail","Tabelle konnte nicht gelscht werden.");
define("_ad_set_tbl_delok","erfolgreich gelscht.");
define("_ad_set_tbl_notcreated","NICHT alle Tabellen gelscht.");
define("_ad_set_tbl_createfail","Tabelle konnte nicht erstellt werden");
define("_ad_set_tbl_createok","erfolgreich erstellt.");
define("_ad_set_tbl_defaultfail","Standart Wert konnte nicht festgelegt werden fr");
define("_ad_set_tbl_defaultfail1","NICHT alle Tabellen erstellt.");
define("_ad_set_tbl_defaultok","Standart Werte erfolgreich festgelegt.");
define("_ad_set_tbl_am_allok","Angeforderte Tabellen wurden erfolgreich (neu) erstellt.");
define("_ad_set_tbl_confirmword","ja");
define("_ad_set_tbl_amconfirmfail","Das Besttigungswort ist falsch.");
define("_ad_set_tbl_header","Erstelle Tabellen");
define("_ad_set_tbl_text","Diese Funktion erstellt alle ntigen Tabellen und LSCHT ALLE bereits vorhandenen Daten in den ausgewhlten Bereichen."
    . "INFORMATION: Wenn du ALLE Tabellen in der Datenbank erstellen/leeren mchtest dann markiere einfach nur \"Alle\" am Ende der Liste und lass die anderen unmarkiert.");
define("_ad_set_tbl_select","Bitte auswhlen welche Daten neu erstellt werden sollen:");
define("_ad_set_tbl_confirmhint","Zur Besttigung bitte das Wort JA eingeben.");
define("_ad_set_tbl_confirmheader","Besttigung:");
define("_ad_set_tbl_confirmnegative","nein");



### ADMIN Game List   ###

define("_ad_set_gam_header","Spiele Liste");
define("_ad_set_gam_text","Spiele fr die du Statistiken haben mchtest kannst du hier hinzufgen. Danach kannst du zu jedem Spiele beliebig viele Server festlegen.");
define("_ad_set_gam_attention","Das Lschen eines Spieles lscht auch die dazugehrenden Server und Statistiken.");
define("_ad_set_gam_deleteok","Spiel erfolgreich gelscht.");
define("_ad_set_gam_updateok","Spiel erfolgreich aktuallisiert.");
define("_ad_set_gam_addedok","Spiel erfolgreicht hinzugefgt.");
define("_ad_set_gam_selectfirst","Bitte Spiel auswhlen.");
define("_ad_set_gam_gamename","Spielname / Individueller Name");
define("_ad_set_gam_gamehint","(leer lassen um zu lschen)");
define("_ad_set_gam_gameselect","[Bitte Spiel auswhlen]");
define("_ad_set_gam_addnew","hinzufgen");



### ADMIN Columns Order   ###

define("_ad_set_col_header","Spalten Namen und deren Reihenfolge");
define("_ad_set_col_amselect","Bitte zu modifizierendes Spiel auswhlen.");
define("_ad_set_col_selectgame","[Spiel auswhlen]");
define("_ad_set_col_updateok","Daten erfolgreich aktuallisiert.");
define("_ad_set_col_gtheader","Spiel:");
define("_ad_set_col_text","In der linken Spalte sind die verschiedenen Daten zu sehen die in den verschiedenen Statistiken gelistet werden (Oberste Reihe). Wenn eine bestimmte Spalte in einer Statistik nicht aufgefhrt werden soll so lass das betreffende Feld leer. In der Spalte \"Reihenfolge\" kannst du Zahlen und Buchstaben angeben. FraXStats sortiert sie in Alphabetischer Reihenfolge.");
define("_ad_set_col_attention1","Bitte beachten, dass kleine Buchstaben vor grossen einsortiert werden.");
define("_ad_set_col_attention2","Wenn das Feld \"Alle\" leer gelassen wird so wird diese Information in keiner Statisktik angezeigt.");
define("_ad_set_col_description","Beschreibung");
define("_ad_set_col_order","Reihenfolge");
define("_ad_set_col_showstats","In gewhlter Statistik anzeigen");
define("_ad_set_col_weapon","Waffen");
define("_ad_set_col_map","Karten");
define("_ad_set_col_guid","Spieler");
define("_ad_set_col_bodypart","Krperteil");
define("_ad_set_col_gametype","Spieltyp");
define("_ad_set_col_detailed","Detailiert");
define("_ad_set_col_all","Alle");



### ADMIN Server Settings   ###

define("_ad_set_srv_amlocalpathupdate","Pfad fr lokale Log-Datei aktuallisiert.");
define("_ad_set_srv_amlocalmoveupdate","Verschieben nach Pfad aktuallisiert.");
define("_ad_set_srv_amftppathupdate","FTP server Log-Datei Pfad aktuallisiert.");
define("_ad_set_srv_amftparchiveupdate","Pfad fr lokale Log-Datei Archiv aktuallisiert.");
define("_ad_set_srv_amremotepathupdate","Pfad fr Entfernte Log-Datei aktuallisiert.");
define("_ad_set_srv_ampbpicupdate","PunkBuster datei pfad aktuallisiert.");
define("_ad_set_srv_amserveradded","Server erfolgreich hinzugefgt.");
define("_ad_set_srv_amserverdeleted","Server erfolgreich gelscht.");
define("_ad_set_srv_header","Server Einstellungen");
define("_ad_set_srv_amselectfirst","Bitte Spiel oder Server auswhlen.");
define("_ad_set_srv_modifytext","Um einen Server zu bearbeiten bitte hier auswhlen:");
define("_ad_set_srv_selectserver","[Bitte Server whlen]");
define("_ad_set_srv_addtext","Um einen neuen Server hinzu zu fgen bitte das entsprechende Spiel auswhlen:");
define("_ad_set_srv_selectgame","[Bitte Spiel whlen]");
define("_ad_set_srv_amftpfailure","Konnte nicht zum FTP Server verbinden / anmeldden.");
define("_ad_set_srv_amftpok","FTP Einstellungen funktionieren erfolgreich");
define("_ad_set_srv_amremotefailure","Konnte nicht zum FTP Server verbinden / anmeldden.");
define("_ad_set_srv_amremoteok","FTP Einstellungen funktionieren erfolgreich");
define("_ad_set_srv_hegeneral","Allgemein");
define("_ad_set_srv_chgame","Spiel:");
define("_ad_set_srv_serverch","Server Name:");
define("_ad_set_srv_servertext","Um einen Server zu lschen bitte den Namen lschen und auf ndern klicken.");
define("_ad_set_srv_serverattention","Das lscht auch alle, zu diesen Server gehrenden, Daten und Statistiken.");
define("_ad_set_srv_udpportch","UDP Port:");
define("_ad_set_srv_udpporttext","Jeder Spieleserver kann durch das Senden von Befehlen gesteuert werden. Hier wird festgelegt auf welchm Port diese Befehle vom Server empfangen werden knnen. Normalerweise sind diese Wert standart Werte und brauchen nicht verndert zu werden.");
define("_ad_set_srv_guidch","GUID Server:");
define("_ad_set_srv_guidtext","Bitte festlegen ob dies ein LAN Server ist. Das heisst die Spieler auf diesen Server haben keine eigene GUID. Somit wird FraXStats aus dem Spielernamen eine interne GUID berechenen. Besser ist es, wenn der Server die GUID der Spieler verwendet, denn dann knnen Spieler eindeutig (und nicht nur anhand vom Namen) identifiziert werden.");
define("_ad_set_srv_guidselectyes","Ja, dies ist ein GUID Server.");
define("_ad_set_srv_guidselectno","Nein, dies ist nur ein LAN Server.");
define("_ad_set_srv_amountch","Anzahl der Log-Dateien:");
define("_ad_set_srv_amounttext","Bitte lege fest ob zu diesem Spiel mehrere oder nur eine Log-Datei zur Verfgung steht.");
define("_ad_set_srv_amountone","Nur eine Log-Datei");
define("_ad_set_srv_amountmany","Mehrere Log-Dateien");
define("_ad_set_srv_howtoch","Wie sollen Log-Dateien eingelesen werden:");
define("_ad_set_srv_howtotext","Bitte lege fest wie du die Log-Datei(en) einlesen mchtest. Dies hngt von der Umgebung ab in der FraXStats eingesetzt wird. Jede dieser Mglichkeiten hat Vor- und Nachteile.");
define("_ad_set_srv_howtolocalhe","Lokale Quelle");
define("_ad_set_srv_howtolocalte","Dies ist die beste Auswahl wenn der Spiele und Web-Server auf dem gleichen System installiert sind. Oder aber wenn du die Log-Datei manuell kopieren mchtest.");
define("_ad_set_srv_howtoftphe","Mit FTP kopieren");
define("_ad_set_srv_howtoftpte","Wenn dein Spiel Server auf einem anderen System installiert ist dann wird diese Option die Log-Datei erst mit FTP kopieren bevor sie verarbeitet wird. Wenn du mchtest kann die Log-Datei nach erfolgreichem importieren auc gelscht werden, abhngig vom Spiel.");
define("_ad_set_srv_howtoremotehe","Direkt Verarbeiten");
define("_ad_set_srv_howtoremotete","Diese option importiert die Daten direkt von einem fernen Server ohne diese erst kopieren zu mssen. Dies ist die beste Alternative wenn Spiele und Web Server auf unterschiedlichen Systemen installier sind. Aber leider ist das nicht in jeder Umgebung mglich.");
define("_ad_set_srv_howtosellocal","Lokale Quelle");
define("_ad_set_srv_howtoselftp","Mit FTP kopieren");
define("_ad_set_srv_howtoselremote","Direkt Verarbeiten");
define("_ad_set_srv_howtoselplease","[Bitt auswhlen]");
define("_ad_set_srv_helocal","Lokale Quelle - Generel");
define("_ad_set_srv_helocalpb","Lokale Quelle - PunkBuster");
define("_ad_set_srv_heftppb","Mit FTP kopieren - PunkBuster");
define("_ad_set_srv_heremotepb","Direkt Verarbeiten - PunkBuster");
define("_ad_set_srv_localpbpicfolderhe","PunkBuster Datei Quelle");
define("_ad_set_srv_localpbpicfolderte","Wenn du mchtest so kannst du hier den Pfad zu den PunkBuster Dateien auf deinem Spiele Server angeben. FraXStats wird diese Dateien kopieren und mit den anderen Statistiken anzeigen. Normalerweise heisst der Ordner 'PB' und ist im Hauptverzeichnis des Spieleverzeichnisses zu finden. ACHTUNG: Du musst das Verzeichnis 'SVSS'innerhalb des 'PB' Verzeichnisses auswhlen, so dass du die PNG und HTML Dateien in der unteren Liste sehen kannst.");
define("_ad_set_srv_localpbpicprunehe","PunkBuster Altersgrenze");
define("_ad_set_srv_localpbpicprunete","Bitte gib hier an wie alt die PB Screenshots maximal sein sollen bevor sei von FraXStats gelscht werden. Empfohlen ist hier ein Wert von 90 Tagen, aber das hngt davon ab wie oft ein Screenshot angefordert wird. Es ist auch mglich eine 0 (Null) einzugeben und die Daten dann selbst von Hand zu lschen.");
define("_ad_set_srv_localpbpicdeletehe","PunkBuster Quell-Dateien lschen");
define("_ad_set_srv_localpbpicdeletete","Bitte whle ob die PB Dateien auf dem Spiele Server nach erfolgreichem kopieren gelscht werden sollen oder nicht.");
define("_ad_set_srv_localpbpicdeleteyes","Ja, Quell-Dateien lschen.");
define("_ad_set_srv_localpbpicdeleteno","Nein, Quell-Dateien nicht lschen.");
define("_ad_set_srv_localsourcehe","Quelle der Log-Datei(en):");
define("_ad_set_srv_localsourcete","Bitte angeben wo die Log-Dateien zu finden sind. Du kannst den \"browse\" Knopf benutzen, wenn du mchtest.");
define("_ad_set_srv_localhandlehe","Log-Dateien lschen oder verschieben:");
define("_ad_set_srv_localhandlete","Bitte auswhlen ob Log-Dateien nach dem import gelscht oder verschoben werden sollen.");
define("_ad_set_srv_localhandlemove","Log-Dateien verschieben");
define("_ad_set_srv_localhandledel","Log-Dateien lschen");
define("_ad_set_srv_localmovetohe","Log-Dateien verschieben nach:");
define("_ad_set_srv_localmovetote","Bite hier angeben wohin die Log-Dateien verschoben werden sollen. Du kannst den \"browse\" Knopf benutzen, wenn du mchtest.");
define("_ad_set_srv_locallinenumberhe","Zeilennummer der zuletzt importierten Zeile:");
define("_ad_set_srv_locallinenumberte","Wenn es aus irgendwelchen Grnden erforderlich ist eine Log-Datei nochmal von Anfang an einzulesen dann UND NUR DANN, diesen Zeilenzhler auf Eins (1) setzen.");
define("_ad_set_srv_localonehe","Lokale Quelle - Nur eine Log-Datei");
define("_ad_set_srv_localonenamehe","Log-Datei Name:");
define("_ad_set_srv_localonenamete","Bitte den genauen Namen der zu importierenden Log-Datei angeben. Bitte keine Platzhalter (* oder ?)verwenden.");
define("_ad_set_srv_localmanyhe","Lokale Quelle - Mehrere Log-Dateien");
define("_ad_set_srv_localmanymaskhe","Log-Dateien Namesbeschreibung:");
define("_ad_set_srv_localmanymaskte","Bitte die Namensbeschreibung angeben. Zum Beispiel \"*.log\" oder \"games*.log\").");
define("_ad_set_srv_heftp","Mit FTP kopieren - Generel");
define("_ad_set_srv_ftppbpiche","PunkBuster Datei Quelle");
define("_ad_set_srv_ftppbpicte","Wenn du mchtest so kannst du hier den Pfad zu den PunkBuster Dateien auf deinem Spiele Server angeben. FraXStats wird diese Dateien kopieren und mit den anderen Statistiken anzeigen. Normalerweise heisst der Ordner 'PB' und ist im Hauptverzeichnis des Spieleverzeichnisses zu finden. ACHTUNG: Du musst das Verzeichnis 'PB' auswhlen, so dass du die Bild-Dateien von PunkBuster gelistet bekommst. Dies bedeutet dass der Pfad mit 'PB' endet.");
define("_ad_set_srv_ftpsrvhe","FTP Server:");
define("_ad_set_srv_ftpsrvte","Bitte den FTP Server angeben auf dem die Log-Dateien zu finden sind. Dies ist normalerweise der Spiele Server.");
define("_ad_set_srv_ftpsrvattention","Bitte NICHT FTP:// oder HTTP:// oder hnliches angeben, nur den Namen oder die IP Addresse.");
define("_ad_set_srv_ftpsrvex1","ftp.jolt.co.uk");
define("_ad_set_srv_ftpsrvex2","multidemo.org");
define("_ad_set_srv_ftpsrvex3","193.231.22.34:21");
define("_ad_set_srv_ftpporthe","FTP Port:");
define("_ad_set_srv_ftpportte","Normalerweise benutzen FTP Server den Port Nummer 21, aber sollte der FTP Server aus irgend einem Grund einen anderen Port benutzen dann bitte hier anpassen.");
define("_ad_set_srv_ftppassivehe","Pasive FTP:");
define("_ad_set_srv_ftppassivete","Wenn der FTP Server hinter einer Firewall zur Verfgung gestellt ist dann muss Pasive FTP oft ausgeschaltet werden. Bitte erst testen und dann bei Bedarf hier anpassen.");
define("_ad_set_srv_ftppassiveattention","Wenn der FTP Test Erfolgreich verluft aber die Log-Dateien nicht kopiert werden knnen dann bitte hier anpassen und nochmal testen.");
define("_ad_set_srv_ftppassiveseloff","Pasive FTP ausgeschaltet");
define("_ad_set_srv_ftppassiveselon","Pasive FTP eingeschaltet");
define("_ad_set_srv_ftpuserhe","FTP Benutzername:");
define("_ad_set_srv_ftpuserte","Normalerweise bentigt ein FTP Server einen Benutzernamen und ein Passwort um sich darauf verbinden zu knnen. Bitte hier den Benutzernamen angeben.");
define("_ad_set_srv_ftppasshe","FTP Passwort:");
define("_ad_set_srv_ftppasste","Normalerweise bentigt ein FTP Server einen Benutzernamen und ein Passwort um sich darauf verbinden zu knnen. Bitte hier das Passwort angeben.");
define("_ad_set_srv_ftptest","FTP testen");
define("_ad_set_srv_ftplocationhe","FTP Log-Datei quelle:");
define("_ad_set_srv_ftplocationte","Bitte angeben wo auf dem FTP Server die Log-Datei zur Verfgung stehen. Bitte die browse Funktion benutzen wenn gewnscht.");
define("_ad_set_srv_ftparchivehe","Lokales Arichv fr Log-Dateien:");
define("_ad_set_srv_ftparchivete","Verzeichnis hier auf dem FraXStats Server in dem die Log-Dateien vom FTP Server kopiert werden und archiviert werden, wenn gewnscht.");
define("_ad_set_srv_ftpdelhe","Log-Dateien nach Import lschen:");
define("_ad_set_srv_ftpdelte","Bitte auswhlen ob die Log-Dateien nach dem Import hier auf dem FraXStats Server gelscht werden sollen.");
define("_ad_set_srv_ftponehe","Mit FTP kopieren - Nur eine Log-Datei");
define("_ad_set_srv_ftponenamehe","Log-Datei Name:");
define("_ad_set_srv_ftponenamete","Bitte den genauen Namen der zu importierenden Log-Datei angeben. Bitte keine Platzhalter (* oder ?)verwenden.");
define("_ad_set_srv_ftpmanyhe","Mit FTP kopieren - Mehrere Log-Dateien");
define("_ad_set_srv_ftpmanymaskhe","Log-Dateien Namesbeschreibung:");
define("_ad_set_srv_ftpmanymaskte","Bitte die Namensbeschreibung angeben. Zum Beispiel \"*.log\" oder \"games*.log\").");
define("_ad_set_srv_heremote","Read-in from Remote Location - General");
define("_ad_set_srv_remotepbpiche","PunkBuster Datei Quelle");
define("_ad_set_srv_remotepbpicte","Wenn du mchtest so kannst du hier den Pfad zu den PunkBuster Dateien auf deinem Spiele Server angeben. FraXStats wird diese Dateien kopieren und mit den anderen Statistiken anzeigen. Normalerweise heisst der Ordner 'PB' und ist im Hauptverzeichnis des Spieleverzeichnisses zu finden. ACHTUNG: Du musst das Verzeichnis 'PB' auswhlen, so dass du die Bild-Dateien von PunkBuster gelistet bekommst. Dies bedeutet dass der Pfad mit 'PB' endet.");
define("_ad_set_srv_remotesrvhe","Direkt Verarbeiten:");
define("_ad_set_srv_remoteporthe","FTP Port:");
define("_ad_set_srv_remoteuserhe","FTP Benutzername:");
define("_ad_set_srv_remotepasshe","FTP Passwort:");
define("_ad_set_srv_remotelocationhe","Log-Datei quelle:");
define("_ad_set_srv_remoteonehe","Direkt Verarbeiten - Nur eine Log-Datei");
define("_ad_set_srv_remotemanyhe","Direkt Verarbeiten - Mehrere Log-Dateien");
define("_ad_set_srv_remotedelhe","Log-Dateien nach dem import lschen oder verschieben");
define("_ad_set_srv_remotedelte","Bitte auswhlen ob die Log-Dateien nach dem Import auf dem Spielserver gelscht werden sollen. ");
define("_ad_set_srv_remoteseldel","Log-Dateien von Spielserver lschen");
define("_ad_set_srv_remoteselren","Log-Dateien auf Spielserver umbenenen");
define("_ad_set_srv_srvupdateok","Server wurde aktualisiert.");




### ADMIN Import Import-Function   ###

define("_ad_imp_imp_mainheader","Importieren der Log-Dateien");
define("_ad_imp_imp_restartsuccess","Script erfolgreich wieder gestartet.");
define("_ad_imp_imp_gameselected","Spiel ausgwhlt.");
define("_ad_imp_imp_gamenotselected","Kein Spiel ausgewhlt. Bitte Spiel auswhlen.");
define("_ad_imp_imp_serverselected","Server ausgewhlt.");
define("_ad_imp_imp_servernotselected","Kein Server ausgewhlt. Bitte Server auswhlen.");
define("_ad_imp_imp_pleaseselect","Bitte ein Spiel aus der Liste auswhlen.");
define("_ad_imp_imp_selectgame","Spiel whlen:");
define("_ad_imp_imp_gameselect","[Spiel hier auswhlen]");
define("_ad_imp_imp_selectedgame","Spiel:");
define("_ad_imp_imp_selectserver","Server whlen:");
define("_ad_imp_imp_selectedserver","Server:");
define("_ad_imp_imp_allserver","Alle Server");
define("_ad_imp_imp_nologfiles","Keine Log-Dateien gefunden.");
define("_ad_imp_imp_logfileis","Zu verarbeitende Log-Datei ist");
define("_ad_imp_imp_ftpconnecterror","Verbindung zum FTP Server konnte nicht hergestellt werden. Bitte stelle sicher, dass Server Name, FTP Port, Benutzername und Passwort stimmen.");
//define("_ad_imp_imp_ftpconnecterror2","Konnte nicht zum FTP Server verbinden.");
define("_ad_imp_imp_heimportlog","Aktionsbersicht");
define("_ad_imp_imp_maxtime1","Maximale Skript Ausfhrungszeit ist gesetzt auf ");
define("_ad_imp_imp_maxtime2","Sekunden");
define("_ad_imp_imp_gameimport","Spiel fr Import ausgewhlt.");
define("_ad_imp_imp_serverimport","Server fr Import ausgewhlt.");
define("_ad_imp_imp_foldererror","Verzeichnis konnte nicht erstellt werden");
//define("_ad_imp_imp_errorcreatefolder2","Bitte sicherstellen dass die Benutzerberechtigungen richtig gesetzt sind.");
//define("_ad_imp_imp_errorcreatefolderhe"," Konnte lokales Log-Datei Verzeichnis nicht erstellen.");
define("_ad_imp_imp_msgconnectftp1","Verbindung zum FTP Server wird hergestellt");
define("_ad_imp_imp_msgconnectftp2","benutze Port");
define("_ad_imp_imp_ftpconnectsuccess","Erfolgreich zum FTP Server verbunden.");
define("_ad_imp_imp_ftppassiveon","Passiv Mode fr FTP Verbindung aktiviert.");
define("_ad_imp_imp_changefolder1","Gewechselt nach");
define("_ad_imp_imp_changefolder2","Verzeichnis.");
define("_ad_imp_imp_copyerror1","Die Datei");
define("_ad_imp_imp_copyerror2","konnte nicht kopiert werden.");
//define("_ad_imp_imp_copyerrorhe","Konnte Log-Datei nicht kopieren.");
define("_ad_imp_imp_copysuccess1","Log-Datei");
define("_ad_imp_imp_copysuccess2","erfolgreich kopiert nach");
define("_ad_imp_imp_msglogpermokay","Log-Datei Berechtigungen erfolgreich gesetzt.");
define("_ad_imp_imp_msglogpermerror","ACHTUNG: Log-Datei Berechtigungen konnten nicht gesetzt werden.");
define("_ad_imp_imp_erroropenfile1","Die Log-Datei");
define("_ad_imp_imp_erroropenfile2","konnte nicht geffnet werden.<br>Bitte sicherstellen dass die Datei vorhanden ist. Wenn die Datei direkt von einem anderen Server eingelesen werden sollte dann kann es sein dass der server nicht ber FTP Pasive Mode erreicht werden konnte. In diesem Falle bitte mit der \"FTP kopieren\" und angepassten FTP Pasive Mode probieren.");
//define("_ad_imp_imp_erroropenfilehe","Log-Datei konnte nicht geffnet werden.");
define("_ad_imp_imp_opensuccess1","Log-Datei");
define("_ad_imp_imp_opensuccess2","erfolgreich geffnet.");
define("_ad_imp_imp_msgreadingin","Log-Datei wird momentan eingelesen.");
define("_ad_imp_imp_msgmethod1","Benutze");
define("_ad_imp_imp_msgmethod2","Funktion um die Log-Datei einzulesen.");
define("_ad_imp_imp_msgamountlines","Zeilen wurden verarbeitet.");
define("_ad_imp_imp_msgimpdone1","Importieren abgeschlossen,");
define("_ad_imp_imp_msgimpdone2","Zeilen wurden verarbeitet.");
define("_ad_imp_imp_msgrecords","Datenstze wurden erzeugt.");
define("_ad_imp_imp_msgdbcopy","Daten werden in die Life-Datenbank kopiert.");
define("_ad_imp_imp_dbcopyerror","Daten konnten nicht in die Life-Datenbank kopiert werden.");
//define("_ad_imp_imp_errordbcopyhe","Fehler beim kopieren der Daten.");
define("_ad_imp_imp_msgdbcopyokay","Alle Daten wurden erfolgreich in die Life-DB kopiert.");
define("_ad_imp_imp_msgserverflagset","Server update Zeit erfolgreich gesetzt.");
define("_ad_imp_imp_msgdeleting","Log-Datei wird gerade gelscht/verschoben.");
define("_ad_imp_imp_msgmethodmoved","erfolgreich verschoben.");
define("_ad_imp_imp_msgmethoddeleted","erfolgreich gelscht.");
define("_ad_imp_imp_msgmethoddone","Log-Datei");
define("_ad_imp_imp_msgcontinuenext1","Setze mit dem Einlesen von");
define("_ad_imp_imp_msgcontinuenext2","das nchste Mal fort.");
define("_ad_imp_imp_deletedokay1","Log-Datei");
define("_ad_imp_imp_deletedokay2","erfolgreich gelscht.");
define("_ad_imp_imp_deleteerror1","Log-Datei");
define("_ad_imp_imp_deleteerror2","konnte nicht gelscht werden.");
//define("_ad_imp_imp_deleteerrorhe","Fehler beim lschen der Log-Datei.");
define("_ad_imp_imp_msgftpdeleteokay1","Log-Datei");
define("_ad_imp_imp_msgftpdeleteokay2","erfolgreich gelscht.");
define("_ad_imp_imp_msgrenameokay1","Log-Datei");
define("_ad_imp_imp_msgrenameokay2","erfolgreich umbennant in");
define("_ad_imp_imp_msgonlyonefile","Nur eine Log-Datei zu verarbeiten.");
define("_ad_imp_imp_msgpruning","Lsche veraltete Daten.");
define("_ad_imp_imp_playersdeleted1","Lschte");
define("_ad_imp_imp_playersdeleted2","Spieler weill sie weniger als");
define("_ad_imp_imp_playersdeleted3","kill(s) hatten.");
define("_ad_imp_imp_timedeleted1","Lschte");
define("_ad_imp_imp_timedeleted2","Datenstze weil sie lter als");
define("_ad_imp_imp_timedeleted3","Tage waren.");
define("_ad_imp_imp_msgoptimizing","Daten werden gerade optimiert.");
define("_ad_imp_imp_erroroptstats","Daten konnten nicht optimiert werden.");
//define("_ad_imp_imp_erroroptheader","Fehler beim optimieren.");
define("_ad_imp_imp_errorptplayers","Konnte Spieler Tabelle nicht optimieren");
define("_ad_imp_imp_msgoptokay","Alle Tabellen erfolgreich optimiert.");
define("_ad_imp_imp_msgmoreservers","berprfe ob mehr Server eingelesen werden sollen.");
define("_ad_imp_imp_msgnextserver","Nchster Server zum Import ist:");
define("_ad_imp_imp_msgnomoreservers","Keine weiteren Server zum importieren vorhanden.");
define("_ad_imp_imp_msgalldone","Alle Daten wurden aktualisiert.");
define("_ad_imp_imp_msgdonewell","Alle Daten wurden erfolgreich aktualisiert.");
define("_ad_imp_imp_msgdonefailed","Alle Daten wurden importiert, aber es sind Fehler aufgetreten. Bitte die Import-Historie auf das Erscheinen von ### FEHLER ### durch schauen.");
define("_ad_imp_imp_pbcopying","Kopiere BunkBuster Dateien.");
define("_ad_imp_imp_pbfolderexits","Verzeichnis fr PB existiert bereits.");
define("_ad_imp_imp_pbfolderfailed","PunkBuster Verzeichnis fr diesen Server konnte NICHT erstellt werden.");
define("_ad_imp_imp_pbfolderok","PunkBuster Verzeichnis erstellt.");
define("_ad_imp_imp_pbmovedok1","PB Datei");
define("_ad_imp_imp_pbmovedok2","erfolgreich verschoben.");
define("_ad_imp_imp_pbmovefailed1","PB Datei");
define("_ad_imp_imp_pbmovefailed2","konnte NICHT verschoben werden.");
define("_ad_imp_imp_pbcopyok","PunkBuster Screenshots erfolgreich kopiert.");




### ADMIN Import Error Message Display   ###

define("_ad_imp_err_sqlmaintext","FEHLER: Der MySQL Befehl konnte nciht erfolgreich ausgefhrt werden wegen dem folgendem Fehler:");
define("_ad_imp_err_sqlnumber","Fehler Nummer:");
define("_ad_imp_err_sqlmessage","Fehler Beschreibung:");



### ADMIN Import CoD read-in   ###

define("_ad_imp_cod_msgplayerid","Vom Spiel vergebene GUID wird verwendet.");
define("_ad_imp_cod_msgcalcid","Berechne interne Spieler ID abhngig vom Namen.");
define("_ad_imp_cod_msgprocessing1","Verarbeite:");
define("_ad_imp_cod_msgprocessing2","Sekunden");
define("_ad_imp_cod_msgprocessing3","Zeilen");
define("_ad_imp_cod_msgcorrectling","Zutreffende Zeile zum Fortsetzen erreicht:");
define("_ad_imp_cod_msginitline","Init Line mit Stop-Signal erreicht.");


?>